View Issue Details

IDProjectCategoryView StatusLast Update
0016591ScribusGeneralpublic2021-06-08 06:13
Reporterluzpaz Assigned Tojghali  
PrioritylowSeverityminorReproducibilityN/A
Status resolvedResolutionfixed 
Product Version1.5.8.svn 
Fixed in Version1.5.8.svn 
Summary0016591: Typo fixes in source documentation and comments
DescriptionFound using codespell
TagsNo tags attached.
PatchYes

Activities

luzpaz

2021-06-07 19:21

reporter  

typo.patch (193,962 bytes)   
From 3963b0a85b88a9445571bbde0946c7030e49ff19 Mon Sep 17 00:00:00 2001
From: luz paz <luzpaz@users.noreply.github.com>
Date: Mon, 7 Jun 2021 15:10:24 -0400
Subject: [PATCH] Fix typos

---
 AppImage-package/bundle.sh                    |  2 +-
 BUILDING_win32_cmake.txt                      |  4 +--
 BUILDING_win32_msvc.txt                       |  2 +-
 PACKAGING                                     |  2 +-
 README                                        |  8 +++---
 TRANSLATION                                   |  4 +--
 cmake/modules/old/FindPNG.cmake               |  2 +-
 dtd/scribus.dtd                               |  6 ++---
 scribus/actionmanager.cpp                     |  2 +-
 scribus/canvas.cpp                            |  4 +--
 scribus/canvas.h                              |  2 +-
 scribus/canvasgesture_resize.cpp              |  2 +-
 scribus/canvasmode_imageimport.cpp            |  2 +-
 scribus/canvasmode_normal.cpp                 |  4 +--
 scribus/cellarea.h                            |  2 +-
 scribus/chartablemodel.h                      |  2 +-
 scribus/colormgmt/scciedata.h                 |  4 +--
 scribus/desaxe/actions.h                      |  2 +-
 scribus/desaxe/saxio.h                        |  2 +-
 scribus/designer/README                       |  2 +-
 scribus/documentchecker.h                     |  2 +-
 scribus/dtd/scribuspdfoptions.dtd             |  2 +-
 scribus/exif.cpp                              | 12 ++++-----
 scribus/exif.h                                |  2 +-
 scribus/fontlistmodel.h                       |  2 +-
 .../imagedataloaders/scimgdataloader_jpeg.cpp |  2 +-
 .../imagedataloaders/scimgdataloader_pict.cpp |  2 +-
 scribus/langmgr.cpp                           |  8 +++---
 scribus/loadsaveplugin.h                      |  2 +-
 scribus/main_win32.cpp                        |  2 +-
 scribus/notesstyles.h                         |  6 ++---
 scribus/numeration.h                          |  4 +--
 scribus/old/mspinbox.h                        |  2 +-
 scribus/pageitem.cpp                          |  2 +-
 scribus/pageitem.h                            |  2 +-
 scribus/pageitem_table.cpp                    |  2 +-
 scribus/pageitem_textframe.cpp                | 14 +++++-----
 scribus/pageitem_textframe.h                  |  2 +-
 scribus/pagesize.cpp                          |  2 +-
 scribus/pagestructs.h                         |  2 +-
 scribus/pdf_analyzer.h                        |  2 +-
 scribus/pdflib_core.cpp                       |  2 +-
 scribus/pdfoptions.h                          |  2 +-
 scribus/pluginmanager.cpp                     |  6 ++---
 scribus/pluginmanager.h                       |  2 +-
 scribus/plugins/barcodegenerator/barcode.ps   |  6 ++---
 .../barcodegenerator/barcodegenerator.h       |  2 +-
 scribus/plugins/colorwheel/colorwheelwidget.h |  4 +--
 .../scribus150format_save.cpp                 |  2 +-
 scribus/plugins/formatidlist.h                |  2 +-
 scribus/plugins/import/drw/importdrw.cpp      |  2 +-
 .../import/idml_old/importidmlimpl.cpp        |  2 +-
 scribus/plugins/import/odg/importodg.cpp      |  2 +-
 scribus/plugins/import/pct/importpct.cpp      |  2 +-
 .../plugins/import/pdf/pdftextrecognition.cpp |  6 ++---
 scribus/plugins/import/pdf/slaoutput.cpp      |  2 +-
 scribus/plugins/import/ps/import.prolog       |  2 +-
 scribus/plugins/import/wmf/wmfimport.cpp      |  2 +-
 scribus/plugins/picbrowser/README             |  4 +--
 scribus/plugins/picbrowser/findimage.h        |  6 ++---
 scribus/plugins/picbrowser/picturebrowser.cpp |  8 +++---
 scribus/plugins/picbrowser/picturebrowser.h   |  2 +-
 scribus/plugins/picbrowser/previewimage.h     | 16 ++++++------
 scribus/plugins/plugins_pch.h                 |  2 +-
 scribus/plugins/scripter/api_page.cpp         |  8 +++---
 scribus/plugins/scripter/apidocs.py           |  2 +-
 scribus/plugins/scripter/python/excepthook.py |  2 +-
 scribus/plugins/scripter/python/excepthook.ui |  2 +-
 .../plugins/scripter/python/excepthook_ui.py  |  2 +-
 .../plugins/scripter/python/init_scripter.py  |  2 +-
 scribus/plugins/scripter/python/mikro.py      |  4 +--
 scribus/plugins/scripter/python/permitdlg.py  |  6 ++---
 scribus/plugins/scripter/python/safe_eval.py  | 26 +++++++++----------
 .../plugins/scripter/python/scribusscript.py  |  2 +-
 .../scripter/python/scripter_runtime.py       |  2 +-
 scribus/plugins/scripter/utils.cpp            |  8 +++---
 scribus/plugins/scripter/utils.h              |  8 +++---
 .../plugins/scriptplugin/cmdgetsetprop.cpp    |  4 +--
 scribus/plugins/scriptplugin/cmdobj.cpp       |  4 +--
 scribus/plugins/scriptplugin/cmdobj.h         |  2 +-
 scribus/plugins/scriptplugin/cmdpage.h        |  2 +-
 scribus/plugins/scriptplugin/cmdstyle.h       |  4 +--
 scribus/plugins/scriptplugin/cmdutil.cpp      | 10 +++----
 scribus/plugins/scriptplugin/cmdutil.h        |  8 +++---
 scribus/plugins/scriptplugin/cmdvar.h         |  4 +--
 scribus/plugins/scriptplugin/objimageexport.h |  2 +-
 scribus/plugins/scriptplugin/objpdffile.cpp   |  8 +++---
 scribus/plugins/scriptplugin/objprinter.cpp   |  2 +-
 .../scriptplugin/samples/ExtractText.py       |  2 +-
 .../scriptplugin/samples/sample_db_usage.py   |  2 +-
 scribus/plugins/scriptplugin/scriptercore.cpp |  6 ++---
 scribus/plugins/scriptplugin/scriptplugin.cpp |  2 +-
 .../scripts/Align_image_in_frame.py           |  2 +-
 .../scriptplugin/scripts/ColorChart.py        |  4 +--
 .../scriptplugin/scripts/Ligatursatz.py       | 18 ++++++-------
 .../plugins/scriptplugin/scripts/csv2color.py |  2 +-
 .../scriptplugin/scripts/importcsv2table.py   |  2 +-
 .../scriptplugin_py2x/cmdgetsetprop.cpp       |  4 +--
 scribus/plugins/scriptplugin_py2x/cmdobj.cpp  |  4 +--
 scribus/plugins/scriptplugin_py2x/cmdobj.h    |  2 +-
 scribus/plugins/scriptplugin_py2x/cmdpage.h   |  2 +-
 scribus/plugins/scriptplugin_py2x/cmdstyle.h  |  4 +--
 scribus/plugins/scriptplugin_py2x/cmdutil.cpp | 10 +++----
 scribus/plugins/scriptplugin_py2x/cmdutil.h   |  8 +++---
 scribus/plugins/scriptplugin_py2x/cmdvar.h    |  4 +--
 .../scriptplugin_py2x/objimageexport.h        |  2 +-
 .../plugins/scriptplugin_py2x/objpdffile.cpp  |  8 +++---
 .../plugins/scriptplugin_py2x/objprinter.cpp  |  2 +-
 .../scriptplugin_py2x/samples/ExtractText.py  |  2 +-
 .../samples/sample_db_usage.py                |  2 +-
 .../scriptplugin_py2x/scriptercore.cpp        |  6 ++---
 .../scriptplugin_py2x/scriptplugin.cpp        |  2 +-
 .../scripts/Align_image_in_frame.py           |  2 +-
 .../scriptplugin_py2x/scripts/ColorChart.py   |  4 +--
 .../scriptplugin_py2x/scripts/Ligatursatz.py  | 18 ++++++-------
 .../scriptplugin_py2x/scripts/csv2color.py    |  2 +-
 .../scripts/importcsv2table.py                |  2 +-
 scribus/plugins/short-words/configuration.cpp |  4 +--
 scribus/plugins/short-words/configuration.h   |  6 ++---
 scribus/plugins/short-words/parse.cpp         |  2 +-
 scribus/plugins/short-words/parse.h           |  6 ++---
 scribus/plugins/short-words/shortwords.cpp    |  2 +-
 scribus/plugins/short-words/shortwords.h      |  2 +-
 scribus/plugins/short-words/swdialog.cpp      |  2 +-
 scribus/plugins/short-words/swdialog.h        |  2 +-
 scribus/plugins/short-words/version.h         |  2 +-
 .../hunspellcheck/hunspellpluginimpl.cpp      |  2 +-
 scribus/prefsmanager.h                        |  2 +-
 scribus/prefsstructs.h                        |  2 +-
 scribus/qtiocompressor.cpp                    |  8 +++---
 scribus/sampleitem.h                          |  4 +--
 scribus/scclocale.cpp                         |  2 +-
 scribus/sccolorengine.h                       |  2 +-
 scribus/scfonts.cpp                           |  2 +-
 scribus/scgtplugin.h                          |  4 +--
 scribus/scimagecachemanager.cpp               |  2 +-
 scribus/scimagecachemanager.h                 |  2 +-
 scribus/scplugin.h                            |  6 ++---
 scribus/scprintengine_gdi.cpp                 |  4 +--
 scribus/scribus.cpp                           | 10 +++----
 scribus/scribus.h                             |  2 +-
 scribus/scribus_pch.h                         |  2 +-
 scribus/scribusapp.h                          |  6 ++---
 scribus/scribusdoc.cpp                        | 22 ++++++++--------
 scribus/scribusdoc.h                          | 16 ++++++------
 scribus/scribusview.cpp                       |  2 +-
 scribus/sctextstruct.h                        |  6 ++---
 scribus/styleitem.h                           |  4 +--
 scribus/tests/CMakeLists.txt                  |  2 +-
 scribus/tests/scripts/test_tables.py          |  4 +--
 scribus/text/design.txt                       |  2 +-
 scribus/text/specialchars.cpp                 |  6 ++---
 scribus/text/storytext.cpp                    |  2 +-
 scribus/text/textshaper.cpp                   |  2 +-
 scribus/ui/charselect.h                       |  4 +--
 scribus/ui/charselectenhanced.h               |  2 +-
 scribus/ui/checkDocument.cpp                  |  2 +-
 scribus/ui/checkDocument.h                    | 10 +++----
 scribus/ui/cpalette.cpp                       |  2 +-
 scribus/ui/helpbrowser.cpp                    |  4 +--
 scribus/ui/loremipsum.h                       |  2 +-
 scribus/ui/mark2item.cpp                      |  2 +-
 scribus/ui/marksmanager.cpp                   |  2 +-
 scribus/ui/picsearchoptions.h                 |  2 +-
 scribus/ui/prefs_documentsetup.cpp            |  2 +-
 scribus/ui/prefs_fonts.cpp                    |  2 +-
 scribus/ui/prefs_userinterface.cpp            |  2 +-
 scribus/ui/propertiespalette.h                |  2 +-
 scribus/ui/propertiespalette_text.h           |  2 +-
 scribus/ui/propertiespalette_xyz.h            |  2 +-
 scribus/ui/resourcemanager.cpp                |  6 ++---
 scribus/ui/scfilewidget.cpp                   |  2 +-
 scribus/ui/scfilewidget.h                     |  2 +-
 scribus/ui/smstyleimport.h                    |  2 +-
 scribus/ui/storyeditor.h                      |  2 +-
 scribus/ui/textpalette.h                      |  2 +-
 scribus/ui/unicodesearch.h                    |  4 +--
 scribus/upgradechecker.cpp                    |  2 +-
 scribus/util.h                                |  2 +-
 scribus/util_file.h                           |  6 ++---
 scribus/util_ghostscript.cpp                  |  2 +-
 scribus/util_ghostscript.h                    |  2 +-
 scribus/util_math.cpp                         |  2 +-
 183 files changed, 357 insertions(+), 357 deletions(-)

diff --git a/AppImage-package/bundle.sh b/AppImage-package/bundle.sh
index a59a7a9ec7..92a802148a 100644
--- a/AppImage-package/bundle.sh
+++ b/AppImage-package/bundle.sh
@@ -9,7 +9,7 @@ cat /proc/1/cgroup # Check if we run in Docker; https://github.com/AppImage/AppI
 SCRIBUS_VERSION=nightly
 
 ########################################################################
-# Build Plaform Theme for Gtk+
+# Build Platform Theme for Gtk+
 # https://askubuntu.com/a/910143
 # https://askubuntu.com/a/748186
 # Deploy with linuxdeployqt using
diff --git a/BUILDING_win32_cmake.txt b/BUILDING_win32_cmake.txt
index 9a833d0164..be039237d5 100644
--- a/BUILDING_win32_cmake.txt
+++ b/BUILDING_win32_cmake.txt
@@ -1,7 +1,7 @@
 BUILDING SCRIBUS ON MICROSOFT WINDOWS WITH CMAKE
 ================================================
 
-Note : the informations provided in this file are outdated and kept for 
+Note : the information provided in this file are outdated and kept for 
 reference only. The preferred way to build Scribus on Windows is to use 
 Microsoft Visual Studio. Please read BUILDING_WIN32_msvc.txt for 
 instructions related to Visual Studio builds.
@@ -116,7 +116,7 @@ GETTING DEPENDENCIES
 ====================
 
 This is a quick and dirty set of notes that will be filled out once everything's
-verified as correct and working. It asssumes that you'll be building all your
+verified as correct and working. It assumes that you'll be building all your
 dependencies at a single root, like C:\Developer. The root *MUST* not have spaces
 in its path.
 
diff --git a/BUILDING_win32_msvc.txt b/BUILDING_win32_msvc.txt
index a14c3737b1..bea00ba3a0 100644
--- a/BUILDING_win32_msvc.txt
+++ b/BUILDING_win32_msvc.txt
@@ -102,7 +102,7 @@ After having compiled all dependencies, open the Scribus-build-props.props file
 Scribus\win32\msvc2017 or Scribus\win32\msvc2019 depending on the Visual Studio version you are using in a text editor.
 Update the dependency paths to match your system.
 
-Open the Visual Studio solution located in same directoy and start building. Note: if you built dependencies with a different 
+Open the Visual Studio solution located in same directory and start building. Note: if you built dependencies with a different 
 toolset than the default one, you should either modify toolset directly in all projects or build the solution through command 
 line using msbuild.
 
diff --git a/PACKAGING b/PACKAGING
index 29dc77fcb9..c6560c12bc 100644
--- a/PACKAGING
+++ b/PACKAGING
@@ -41,7 +41,7 @@ Recommended Spec File Description:
 -----------------------------------------------------------------------------
 %description
 Scribus is an desktop open source page layout program with the aim of producing
-commerical grade output in PDF and Postscript, primarily, though not exclusively
+commercial grade output in PDF and Postscript, primarily, though not exclusively
 for Linux. Scribus runs natively on  BSD, Linux, OS/2, Solaris, and Win32.
 -----------------------------------------------------------------------------
 
diff --git a/README b/README
index 3088621ff1..35f19771ad 100644
--- a/README
+++ b/README
@@ -109,13 +109,13 @@ A considerable amount of work has been spent on new import filters, as well as i
 - Macromedia FreeHand (FH*): An experimental import filter using libfreehand has been added.
 - A filter for text files using Markdown as a formatting language has been added.
 - Micrografx Draw (DRW): This a file format of the once popular Micrografx Draw graphics software for Windows 3 and 95. Since many vector collections using this format are still around, an import filter has been written.
-- Microsoft Publisher (PUB): An importer for PUB files has been made possible by the creation of libmspub, wich is also used for Publisher import into LibreOffice. It is supposed to import all Publisher versions.
+- Microsoft Publisher (PUB): An importer for PUB files has been made possible by the creation of libmspub, which is also used for Publisher import into LibreOffice. It is supposed to import all Publisher versions.
 - Microsoft Visio (VSD, VXD): An importer for Visio files has been made possible by the creation of libvisio, which is also used for Visio import into LibreOffice. It is supposed to import at least Visio versions from 2000–2013.
 - Microsoft Word XML (DOCX): MS Word's XML-based file format has become a new de-facto standard for word processing files. The new import filter supports at least DOCX files created with Word 2010 and later.
 - Open Raster File (ORA): Open Raster is an open standard for complex bitmap files. It’s supported by all major Free image editors, including GIMP and Krita.
 - Photoshop Custom Shapes (CSH): CSH is a vector format used for simple vector graphics collections in Adobe Photoshop. They can be imported via the new "Custom Shapes" manager. 
 - Progressive Graphics File (PGF): This is a fairly new image format, designed to replace JPEG, just like JPEG 2000 does, but emphasizing speed and quality over compression ratio.
-- QuarkXPress (QXD): An importer for QuarkXPress files has been made possible by the creation of libqxp, wich is also used for QuarkXPress import into LibreOffice. It is supposed to import at least QuarkXPress versions 3.1–4.1.
+- QuarkXPress (QXD): An importer for QuarkXPress files has been made possible by the creation of libqxp, which is also used for QuarkXPress import into LibreOffice. It is supposed to import at least QuarkXPress versions 3.1–4.1.
 - Rich Text Format (RTF): One of the most widely used exchange formats for formatted text, RTF is also very common in DTP workflows and can be exported by almost every word processor since the 90s.
 - StarView Metafile (SVM): This is an old Metafile format (similar to WMF) that was used by OpenOffice’s / LibreOffice’s predecessor StarOffice. Since both successors still use SVM in - OpenDocument Graphics, the SVM import filter was a by-product of the new ODG filter. 
 - UniConvertor Plug-in: As with the GraphicsMagick plug-in, Scribus won’t list any of the file types supported by UniConvertor to save space in file selectors. It will also ignore UniConvertor for importing file formats for which Scribus provides generic importers.
@@ -124,7 +124,7 @@ A considerable amount of work has been spent on new import filters, as well as i
 - Xara Designer (XAR): Xara Designer (formerly known as Xara Xtreme) is known as one of the most powerful vector drawing programs. Its file format (XAR) is well-documented, and thanks to many contributions from professional Xara users, the Scribus Team has been able to create an excellent XAR filter, whose implementation resulted in the addition of many new features in Scribus.
 - XML Paper Specification (XPS, OXPS): XPS is an alternative to PDF originally developed by Microsoft and now maintained and updated by ECMA International. Scribus 1.5 can import both the original Microsoft version (XPS) and the modified versions as standardized by ECMA (OXPS).
 - XPress Tags (XTG): XTG is a format created by Quark to exchange text layouts between documents. Scribus 1.5 provides an import filter for XTG files created by Quark XPress, which works almost flawlessly. Note that XPress Tags is not identical to Xtags, which is an enhanced version of XPress Tags provided by a third party via an XPress plug-in. 
-- Zoner Draw/Callisto (ZMF): An importer for Zoner Draw files has been made possible by the creation of libzmf, wich is also used for Zoner Draw import into LibreOffice. It is supposed to import at least Zoner Draw versions 4–5.
+- Zoner Draw/Callisto (ZMF): An importer for Zoner Draw files has been made possible by the creation of libzmf, which is also used for Zoner Draw import into LibreOffice. It is supposed to import at least Zoner Draw versions 4–5.
 
 ==PDF Features==
 
@@ -142,7 +142,7 @@ XPS: A basic XPS exporter has been added.
 
 - New icon set: As of version 1.5.1 Scribus uses a new and modern icon set. It's mostly in black and uses color only where necessary.
 - Docked palettes: All palettes can now be docked to the right or left side of the screen space.
-- Context-sensitive Palette: The Properties Palette has become a bit hard to use, due its many added functions. As as of version 1.5.6 all item-type-specific options have been removed from the PP. They are now available in a separate palette that will change its apperance depending on the kind of object you have selected.
+- Context-sensitive Palette: The Properties Palette has become a bit hard to use, due its many added functions. As as of version 1.5.6 all item-type-specific options have been removed from the PP. They are now available in a separate palette that will change its appearance depending on the kind of object you have selected.
 - Menu bar: The menu bar has been restructured and now takes less screen estate, as well as being much more clearly arranged.
 - Context menu: The context menu has been redesigned and is now much smaller.
 - Visual feedback for rejected fonts: As of version 1.5.6, you don't need to start Scribus from the command line to see which fonts where rejected by Scribus. In the font manager you'll find a new tab called "Rejected Fonts", which list all of them (if any).
diff --git a/TRANSLATION b/TRANSLATION
index a0a9edeb59..1470657c32 100644
--- a/TRANSLATION
+++ b/TRANSLATION
@@ -129,7 +129,7 @@ Santhana Sriwanthana (sriwanthana@gmail.com)
 
 Turkish (tr)
 
-Ukranian (uk)
+Ukrainian (uk)
 Oleksandr Moskalenko (malex@tagancha.org)
 
 Welsh (cy)
@@ -216,5 +216,5 @@ Turkish (tr)
 Erkan Kaplan (Selamsana@uni.de)
 Barış Atasoy (batasoy@pozitifpc.com)
 
-Ukranian (uk)
+Ukrainian (uk)
 Sergiy Kudryk (kudryk@yahoo.com)
diff --git a/cmake/modules/old/FindPNG.cmake b/cmake/modules/old/FindPNG.cmake
index 3b82f003ce..eee262d41e 100644
--- a/cmake/modules/old/FindPNG.cmake
+++ b/cmake/modules/old/FindPNG.cmake
@@ -7,7 +7,7 @@
 #  PNG_FOUND, If false, do not try to use PNG.
 # also defined, but not for general use are
 #  PNG_LIBRARY, where to find the PNG library.
-# None of the above will be defined unles zlib can be found.
+# None of the above will be defined unless zlib can be found.
 # PNG depends on Zlib
 INCLUDE(FindZLIB)
 
diff --git a/dtd/scribus.dtd b/dtd/scribus.dtd
index f3a9d8f242..e7dbf1c304 100644
--- a/dtd/scribus.dtd
+++ b/dtd/scribus.dtd
@@ -40,11 +40,11 @@ For more information see http://scribus.tagancha.org/xml/
 <!-- Parsed entities that are used in many declarations -->
 <!-- Object origin, e.g. ltop="Left Top corner" and so on. -->
 <!ENTITY % origin "(ltop | rtop | lbottom | rbottom | center) 'ltop'">
-<!-- Object origin co-ordinates on the horizontal axis. Default value reflects
+<!-- Object origin coordinates on the horizontal axis. Default value reflects
 the default units "pt". It is a real number of a form that depends on the
 unit. -->
 <!ENTITY % xorigin "xorigin CDATA '40'">
-<!-- Object origin co-ordinates on the vertical axis. Default value reflects
+<!-- Object origin coordinates on the vertical axis. Default value reflects
 the default units "pt". It is a real number of a form that depends on the
 unit. -->
 <!ENTITY % yorigin "yorigin CDATA '40'">
@@ -145,7 +145,7 @@ parameter entity "namespaces".-->
 <!ENTITY % pageobjectlist "imgframeobj*,textframeobj*,tableobj*,svgobject*,epsobject*">
 <!ENTITY % canvasobjectlist "imgframe*,textframe*,table*,svgobject*,epsobject*">
 
-<!-- Root element of a Scribus document. Contains all other elments, but only
+<!-- Root element of a Scribus document. Contains all other elements, but only
 "canvas" on which we put EVERYTHING else can be its child. -->
 <!ELEMENT scribus (metadata,settings,colors,styles,canvas+,content*)>
 
diff --git a/scribus/actionmanager.cpp b/scribus/actionmanager.cpp
index af1c343dbb..b6840074d2 100644
--- a/scribus/actionmanager.cpp
+++ b/scribus/actionmanager.cpp
@@ -901,7 +901,7 @@ void ActionManager::initToolsMenuActions()
 	name = "toolsPDFAnnot3D";
 	scrActions->insert(name, new ScrAction(ScrAction::DataInt, "16/annot3d.png", "22/annot3d.png", "", defaultKey(name), mainWindow, modeInsertPDF3DAnnotation));
 #endif
-	//Set the applicaton wide palette shortcuts
+	//Set the application wide palette shortcuts
 	(*scrActions)["toolsProperties"]->setShortcutContext(Qt::ApplicationShortcut);
 	(*scrActions)["toolsContent"]->setShortcutContext(Qt::ApplicationShortcut);
 	(*scrActions)["toolsScrapbook"]->setShortcutContext(Qt::ApplicationShortcut);
diff --git a/scribus/canvas.cpp b/scribus/canvas.cpp
index c19d91a22c..45ff82a65d 100644
--- a/scribus/canvas.cpp
+++ b/scribus/canvas.cpp
@@ -1035,7 +1035,7 @@ void Canvas::drawContents(QPainter *psx, int clipx, int clipy, int clipw, int cl
 					}
 					//first pass draws all except notes frames
 					DrawPageItems(painter, layer, QRect(clipx, clipy, clipw, cliph), false);
-					//seconf only for notes frames
+					//second only for notes frames
 					DrawPageItems(painter, layer, QRect(clipx, clipy, clipw, cliph), true);
 				}
 			}
@@ -1399,7 +1399,7 @@ void Canvas::DrawMasterItems(ScPainter *painter, ScPage *page, ScLayer& layer, Q
 		}
 		// Save PageItem's OwnPage and set its value to page number
 		// so that page number placed in text frames can work, also modify
-		// OwnPage of items embeded inside groups for same reason
+		// OwnPage of items embedded inside groups for same reason
 		currItem->savedOwnPage = currItem->OwnPage;
 		currItem->OwnPage = page->pageNr();
 		if (currItem->isGroup())
diff --git a/scribus/canvas.h b/scribus/canvas.h
index df1b3f7544..661548cac7 100644
--- a/scribus/canvas.h
+++ b/scribus/canvas.h
@@ -193,7 +193,7 @@ public:
 	void setPreviewVisual(int mode);
 	
 	void DrawMasterItems(ScPainter *painter, ScPage *page, ScLayer& layer, QRect clip);
-	//notesFramesPass determine if notes frames are drawed or not
+	//notesFramesPass determine if notes frames are drawn or not
 	void DrawPageItems(ScPainter *painter, ScLayer& layer, QRect clip, bool notesFramesPass);
 	void paintEvent ( QPaintEvent * p ) override;
 	void displayXYHUD(QPoint m);
diff --git a/scribus/canvasgesture_resize.cpp b/scribus/canvasgesture_resize.cpp
index 1f0e848b3d..3dadae6c90 100644
--- a/scribus/canvasgesture_resize.cpp
+++ b/scribus/canvasgesture_resize.cpp
@@ -620,7 +620,7 @@ void ResizeGesture::adjustBounds(QMouseEvent *m)
 //		qDebug() << "constrained:" << m_bounds << double(m_bounds.width()) / m_bounds.height();
 	}
 
-	// shif key modifier
+	// shift key modifier
 	// move around around the pivot
 	if (centerPivot)
 		m_bounds.moveCenter(m_origBounds.center());
diff --git a/scribus/canvasmode_imageimport.cpp b/scribus/canvasmode_imageimport.cpp
index f011da546e..ae471febd2 100644
--- a/scribus/canvasmode_imageimport.cpp
+++ b/scribus/canvasmode_imageimport.cpp
@@ -236,7 +236,7 @@ void CanvasMode_ImageImport::setImage(PageItem *currItem)
 	qApp->processEvents(QEventLoop::ExcludeUserInputEvents);
 	m_doc->loadPict(fileName, currItem, false, true);
 	// Call to showScaleAndOffset() is now very likely unnecessary
-	// due to mecanisms used to update properties in PP in 1.5.x+
+	// due to mechanisms used to update properties in PP in 1.5.x+
 	// m_ScMW->contentPalette->update(currItem->isImageFrame());
 	m_ScMW->repaint();
 	qApp->processEvents(QEventLoop::ExcludeUserInputEvents);
diff --git a/scribus/canvasmode_normal.cpp b/scribus/canvasmode_normal.cpp
index 55eb778c0c..08fdc33ffa 100644
--- a/scribus/canvasmode_normal.cpp
+++ b/scribus/canvasmode_normal.cpp
@@ -201,7 +201,7 @@ void CanvasMode_Normal::mouseDoubleClickEvent(QMouseEvent *m)
 				//mousePressEvent(m);
 				return;
 			}
-			//If we double click on an image frame and theres no image assigned, open the
+			//If we double click on an image frame and there's no image assigned, open the
 			//load picture dialog, else put it into edit mode if the frame is set to show the image
 			if (currItem->itemType() == PageItem::ImageFrame)
 			{
@@ -244,7 +244,7 @@ void CanvasMode_Normal::mouseDoubleClickEvent(QMouseEvent *m)
 				//if cursor is in mark`s place
 				m_ScMW->setTBvals(currItem);
 				//CB ignore the double click and go with a single one
-				//if we werent in mode edit before.
+				//if we weren't in mode edit before.
 				//unsure if this is correct, but its ok given we had no
 				//double click select until now.
 //				mousePressEvent(m);
diff --git a/scribus/cellarea.h b/scribus/cellarea.h
index 4fe32d167e..8cff22d170 100644
--- a/scribus/cellarea.h
+++ b/scribus/cellarea.h
@@ -15,7 +15,7 @@
  * The CellArea class is a simple representation of a rectangular area of table cells.
  *
  * CellArea is similar to QRect, but its contains() and intersects() semantics are a bit
- * different and it has a couple of methods that are specifically taylored for table layout
+ * different and it has a couple of methods that are specifically tailored for table layout
  * purposes. The class is used during table layout when keeping track of areas of merged
  * table cells.
  */
diff --git a/scribus/chartablemodel.h b/scribus/chartablemodel.h
index 56ba21ea17..78a7400114 100644
--- a/scribus/chartablemodel.h
+++ b/scribus/chartablemodel.h
@@ -64,7 +64,7 @@ public:
 public slots:
 	/*! \brief appends an unicode char into m_characters list.
 	\param s a QString with numerical representation of the character.
-	\param base an optional parameter containing base of the numerical converion. See QString::toInt() documentation.
+	\param base an optional parameter containing base of the numerical conversion. See QString::toInt() documentation.
 	The base parameter is used mainly in normal code - not in slot calls.
 	If user adds an already existing glyph it's rejected and the original
 	one is selected (see selectionChanged()).
diff --git a/scribus/colormgmt/scciedata.h b/scribus/colormgmt/scciedata.h
index 77b463c786..500966f63b 100644
--- a/scribus/colormgmt/scciedata.h
+++ b/scribus/colormgmt/scciedata.h
@@ -28,12 +28,12 @@ public:
 	static void destroy();
 
 	/**
-	* @brief Retrive specific CIE illuminant
+	* @brief Retrieve specific CIE illuminant
 	*/
 	const ScCIEIlluminant& cieIlluminant(eIlluminant illuminant) const;
 
 	/**
-	* @brief Retrive specific CIE illuminant
+	* @brief Retrieve specific CIE illuminant
 	*/
 	const ScCIEObserver& cieObserver(eObserver observer) const;
 	
diff --git a/scribus/desaxe/actions.h b/scribus/desaxe/actions.h
index d3c411568f..6b7e8962e1 100644
--- a/scribus/desaxe/actions.h
+++ b/scribus/desaxe/actions.h
@@ -52,7 +52,7 @@ private:
  *   XML attributes or XML text to store this data in other objects. This is usually
  *   done in the end() method.
  *   Warning: end() methods are called in reverse order. This is to ensure that they
- *   see exactly the same stack content as their corresponging begin() method.
+ *   see exactly the same stack content as their corresponding begin() method.
  *   This is the handle class which delegates to the body
  */
 class Action
diff --git a/scribus/desaxe/saxio.h b/scribus/desaxe/saxio.h
index 1d59938989..c1cc54ae82 100644
--- a/scribus/desaxe/saxio.h
+++ b/scribus/desaxe/saxio.h
@@ -39,7 +39,7 @@ public:
 	 */
 	static const Xml_string saxxDefaultElem;
 	/**
-	  Fills the digester with rules wich ensure that an object which was
+	  Fills the digester with rules which ensure that an object which was
 	  saved via saxx() will be reconstructed on top of the digester stack.
 	  The prefix pattern shall be used to create patterns which constrain
 	  the added rules to this context.
diff --git a/scribus/designer/README b/scribus/designer/README
index e2b28c40f7..afd902a0a7 100644
--- a/scribus/designer/README
+++ b/scribus/designer/README
@@ -12,6 +12,6 @@ directory. Manually, of course.
 
 Designer plugin dir on Suse: /usr/lib/qt4/plugins/designer/
 
-The Scribus widgets are (suprisingly) in the "Scribus" group ;)
+The Scribus widgets are (surprisingly) in the "Scribus" group ;)
 
 Petr
\ No newline at end of file
diff --git a/scribus/documentchecker.h b/scribus/documentchecker.h
index 1ef5980464..0b7afc8d1e 100644
--- a/scribus/documentchecker.h
+++ b/scribus/documentchecker.h
@@ -30,7 +30,7 @@ for which a new license (GPL+exception) is in place.
 class ScribusDoc;
 
 /*! \brief It create a error/warning list for CheckDocument GUI class.
-All errors and/or warnings are stored in errorCodes (inheritted QMap
+All errors and/or warnings are stored in errorCodes (inherited QMap
 see scribusstructs.h) and parsed into tree view in CheckDocument widgets.
 */
 class SCRIBUS_API DocumentChecker
diff --git a/scribus/dtd/scribuspdfoptions.dtd b/scribus/dtd/scribuspdfoptions.dtd
index 99858a8413..a613c9a57d 100644
--- a/scribus/dtd/scribuspdfoptions.dtd
+++ b/scribus/dtd/scribuspdfoptions.dtd
@@ -1,6 +1,6 @@
 <!-- DTD for Scribus 1.3cvs PDF options -->
 <!-- Craig Ringer - ringerc@scribus.info -->
-<!-- Any modifcations of this file may require changes in
+<!-- Any modifications of this file may require changes in
      scribus/pdfoptions.h and scribus/pdfoptionsio.{cpp,h} -->
 <!ELEMENT ScribusPDFOptions (thumbnails, articles, useLayers, compress, compressMethod, quality, recalcPic, bookmarks, picRes, pdfVersion, resolution, binding, embedFonts, subsetFonts, mirrorH, mirrorV, rotateDegrees, presentMode, presentationSettings, filename, isGrayscale, useRGB, useProfiles, useProfiles2, useLPI, lpiSettings, solidProf, sComp, imageProf, embeddedI, intent2, printProf, info, intent, bleedTop, bleedLeft, bleedRight, bleedBottom, encrypt, passOwner, passUser, permissions)>
 <!ATTLIST ScribusPDFOptions version CDATA #REQUIRED>
diff --git a/scribus/exif.cpp b/scribus/exif.cpp
index 5ab25d911f..d9e4de1eba 100644
--- a/scribus/exif.cpp
+++ b/scribus/exif.cpp
@@ -285,7 +285,7 @@ int ExifData::ReadJpegSections ( QFile & infile, ReadMode_t ReadMode )
 
 			case M_JFIF:
 				// Regular jpegs always have this tag, exif images have the exif
-				// marker instead, althogh ACDsee will write images with both markers.
+				// marker instead, although ACDsee will write images with both markers.
 				// this program will re-create this marker on absence of exif marker.
 				// hence no need to keep the copy from the file.
 				break;
@@ -643,7 +643,7 @@ void ExifData::ProcessExifDir ( unsigned char * DirStart, unsigned char * Offset
 						break;
 
 					case 3: FocalplaneUnits = 10;   break;  // centimeter
-					case 4: FocalplaneUnits = 1;    break;  // milimeter
+					case 4: FocalplaneUnits = 1;    break;  // millimeter
 					case 5: FocalplaneUnits = .001; break;  // micrometer
 				}
 				break;
@@ -702,7 +702,7 @@ void ExifData::ProcessExifDir ( unsigned char * DirStart, unsigned char * Offset
 	{
 		// In addition to linking to subdirectories via exif tags,
 		// there's also a potential link to another directory at the end of each
-		// directory.  this has got to be the result of a comitee!
+		// directory.  this has got to be the result of a committee!
 		unsigned char * SubdirStart;
 		unsigned Offset;
 
@@ -758,7 +758,7 @@ void ExifData::ProcessExifDir ( unsigned char * DirStart, unsigned char * Offset
 
 //--------------------------------------------------------------------------
 // Process a COM marker.  We want to leave the bytes unchanged.  The
-// progam that displays this text may decide to remove blanks, convert
+// program that displays this text may decide to remove blanks, convert
 // newlines, or otherwise modify the text.  In particular we want to be
 // safe for passing utf-8 text.
 //--------------------------------------------------------------------------
@@ -838,7 +838,7 @@ void ExifData::process_EXIF ( unsigned char * CharBuf, unsigned int length )
 	// This is how far the interesting (non thumbnail) part of the exif went.
 	ExifSettingsLength = LastExifRefd - CharBuf;
 
-	// Compute the CCD width, in milimeters.
+	// Compute the CCD width, in millimeters.
 	if ( FocalplaneXRes != 0 )
 	{
 		ExifData::CCDWidth = ( float ) ( ExifImageWidth * FocalplaneUnits / FocalplaneXRes );
@@ -871,7 +871,7 @@ int ExifData::Exif2tm ( struct tm * timeptr, char * ExifTime )
 }
 
 //--------------------------------------------------------------------------
-// Contructor for initialising
+// Constructor for initialising
 //--------------------------------------------------------------------------
 ExifData::ExifData()
 {
diff --git a/scribus/exif.h b/scribus/exif.h
index c9a9084a3b..eb30388fed 100644
--- a/scribus/exif.h
+++ b/scribus/exif.h
@@ -142,7 +142,7 @@ class FatalError
 extern TagTable ProcessTable[];
 
 //--------------------------------------------------------------------------
-// Define comment writing code, impelemented in setcomment.c
+// Define comment writing code, implemented in setcomment.c
 extern int safe_copy_and_modify ( const char * original_filename, const char * comment );
 
 #endif
diff --git a/scribus/fontlistmodel.h b/scribus/fontlistmodel.h
index b87b9d0641..5fe2692278 100644
--- a/scribus/fontlistmodel.h
+++ b/scribus/fontlistmodel.h
@@ -17,7 +17,7 @@ class ScribusDoc;
 
 
 /*! \brief Model for font views.
-It contains quite all informations about fonts available to display
+It contains quite all information about fonts available to display
 in Qt4 views. It's suggested to use custom FontListView.
 
 You can call view->hideColumn(ColumnType) to hide unneeded columns for
diff --git a/scribus/imagedataloaders/scimgdataloader_jpeg.cpp b/scribus/imagedataloaders/scimgdataloader_jpeg.cpp
index df2d983618..85a92280ba 100644
--- a/scribus/imagedataloaders/scimgdataloader_jpeg.cpp
+++ b/scribus/imagedataloaders/scimgdataloader_jpeg.cpp
@@ -113,7 +113,7 @@ void ScImgDataLoader_JPEG::loadEmbeddedProfile(const QString& fn, int /*page*/)
 
 bool ScImgDataLoader_JPEG::preloadAlphaChannel(const QString& fn, int /*page*/, int res, bool& hasAlpha)
 {
-	// No support for aplha in jpeg pictures
+	// No support for alpha in jpeg pictures
 	initialize();
 	hasAlpha = false;
 	return true;
diff --git a/scribus/imagedataloaders/scimgdataloader_pict.cpp b/scribus/imagedataloaders/scimgdataloader_pict.cpp
index 1a0bca7dc0..a5c297fb2d 100644
--- a/scribus/imagedataloaders/scimgdataloader_pict.cpp
+++ b/scribus/imagedataloaders/scimgdataloader_pict.cpp
@@ -1611,7 +1611,7 @@ void ScImgDataLoader_PICT::handleComment(QDataStream &ts, bool longComment)
 		case 170:			// picArrw1 Arrowhead on 2nd point of line
 			qDebug() << "Comment type: picArrw1";
 			break;
-		case 171:			// picArrw2 Arrowhead on 1nd point of line
+		case 171:			// picArrw2 Arrowhead on 1st point of line
 			qDebug() << "Comment type: picArrw2";
 			break;
 		case 172:			// picArrw3 Arrowhead on both endpoints
diff --git a/scribus/langmgr.cpp b/scribus/langmgr.cpp
index 464bfe71f9..4baff80eeb 100644
--- a/scribus/langmgr.cpp
+++ b/scribus/langmgr.cpp
@@ -679,7 +679,7 @@ void LanguageManager::generateInstalledHyphLangList()
 	bool dictPathFound=findHyphDictionaries(dictionaryPaths);
 	if (!dictPathFound)
 	{
-//		qDebug()<<"No preinstalled hyphenation dictonaries or paths found";
+//		qDebug()<<"No preinstalled hyphenation dictionaries or paths found";
 		return;
 	}
 	QMap<QString, QString> dictionaryMap;
@@ -688,7 +688,7 @@ void LanguageManager::generateInstalledHyphLangList()
 		return;
 
 	QMap<QString, QString>::iterator it = dictionaryMap.begin();
-//	qDebug()<<"Installed Hyphenation Dictonaries:";
+//	qDebug()<<"Installed Hyphenation Dictionaries:";
 	while (it != dictionaryMap.end())
 	{
 		int j = langTableIndex(it.key());
@@ -708,7 +708,7 @@ void LanguageManager::generateInstalledSpellLangList()
 	bool dictPathFound=findSpellingDictionaries(dictionaryPaths);
 	if (!dictPathFound)
 	{
-		qDebug()<<"No preinstalled spelling dictonaries or paths found";
+		qDebug()<<"No preinstalled spelling dictionaries or paths found";
 		return;
 	}
 	QMap<QString, QString> dictionaryMap;
@@ -717,7 +717,7 @@ void LanguageManager::generateInstalledSpellLangList()
 		return;
 
 	QMap<QString, QString>::iterator it = dictionaryMap.begin();
-//	qDebug()<<"Installed Spelling Dictonaries:";
+//	qDebug()<<"Installed Spelling Dictionaries:";
 	while (it != dictionaryMap.end())
 	{
 		int j = langTableIndex(it.key());
diff --git a/scribus/loadsaveplugin.h b/scribus/loadsaveplugin.h
index c23635a4f0..99f45eab78 100644
--- a/scribus/loadsaveplugin.h
+++ b/scribus/loadsaveplugin.h
@@ -163,7 +163,7 @@ class SCRIBUS_API LoadSavePlugin : public ScPlugin
 		static QList<FileFormat> formats;
 
 		// Return an iterator referencing the first format structure named `name'.
-		// If specified, only return formats implmented by `plug'.
+		// If specified, only return formats implemented by `plug'.
 		// If `start' is specified, start searching at this iterator rather than the
 		// start of the list.
 		// The end iterator is returned if no match was found.
diff --git a/scribus/main_win32.cpp b/scribus/main_win32.cpp
index 287b64b6c5..1aa7f56c50 100644
--- a/scribus/main_win32.cpp
+++ b/scribus/main_win32.cpp
@@ -148,7 +148,7 @@ int mainApp(ScribusQApp& app)
 \fn void setPythonEnvironment(const QString& appPath)
 \author Jean Ghali
 \date Sat Jul 03 23:00:00 CET 2009
-\brief set the Python envirionment for Scribus
+\brief set the Python environment for Scribus
 \param appPath application Path
 \retval None
 */
diff --git a/scribus/notesstyles.h b/scribus/notesstyles.h
index d80b8abec9..a02f6d8df1 100644
--- a/scribus/notesstyles.h
+++ b/scribus/notesstyles.h
@@ -16,7 +16,7 @@ class ScribusDoc;
 class PageItem_NoteFrame;
 class PageItem_TextFrame;
 
-//used for map with endnotes frames maped with range item
+//used for map with endnotes frames mapped with range item
 typedef union
 {
 	void* P;
@@ -76,8 +76,8 @@ private:
 	NumerationRange m_numRange {NSRdocument}; //range of numeration for current set
 	QString m_prefixStr;
 	QString m_suffixStr {")"};
-	bool m_autoNotesHeight {true}; //change height of notes frames to its content automaticaly?
-	bool m_autoNotesWidth {true}; //change width of notes frames automaticaly if width of master frame changes?
+	bool m_autoNotesHeight {true}; //change height of notes frames to its content automatically?
+	bool m_autoNotesWidth {true}; //change width of notes frames automatically if width of master frame changes?
 	bool m_autoRemoveEmptyNotesFrames {true};
 	bool m_autoWeldNotesFrames {true};
 	bool m_superscriptInNote {true};
diff --git a/scribus/numeration.h b/scribus/numeration.h
index 1f0498ea80..a7d7dd4adf 100644
--- a/scribus/numeration.h
+++ b/scribus/numeration.h
@@ -65,9 +65,9 @@ struct NumStruct
 
 //util functions for use without Numeration class
 
-//convert passed num to a string useable when saving file
+//convert passed num to a string usable when saving file
 QString fromNumToString(NumFormat format);
-//convert passed num to a string useable in a combobox
+//convert passed num to a string usable in a combobox
 QString fromNumToUserString(NumFormat format);
 //convert string to its NumFormat representation
 NumFormat fromStringToNum(const QString& str);
diff --git a/scribus/old/mspinbox.h b/scribus/old/mspinbox.h
index 2e6a5434e3..21b9a7824b 100644
--- a/scribus/old/mspinbox.h
+++ b/scribus/old/mspinbox.h
@@ -77,7 +77,7 @@ public:
 	double minValue();
 	/*!
 	\author Franz Schmid
-	\brief Gets the Maximim Value of the Spinbox
+	\brief Gets the Maximum Value of the Spinbox
 	\retval The Value
 	*/
 	double maxValue();
diff --git a/scribus/pageitem.cpp b/scribus/pageitem.cpp
index 00a6529a20..293f7def1d 100644
--- a/scribus/pageitem.cpp
+++ b/scribus/pageitem.cpp
@@ -7416,7 +7416,7 @@ void PageItem::setObjectAttributes(ObjAttrVector* map)
 	pageItemAttributes = *map;
 }
 
-//if not `prependCopy` then string "Copy of" wil not be prepended
+//if not `prependCopy` then string "Copy of" will not be prepended
 QString PageItem::generateUniqueCopyName(const QString& originalName, bool prependCopy) const
 {
 	if (!m_Doc->itemNameExists(originalName))
diff --git a/scribus/pageitem.h b/scribus/pageitem.h
index 02bacb8a63..eead942004 100644
--- a/scribus/pageitem.h
+++ b/scribus/pageitem.h
@@ -1151,7 +1151,7 @@ public: // Start public functions
 	/** @brief Get the subclass item type
 	 *
 	 * This function should be used everywhere, where a itemType is required, but
-	 * no C++ type informations is available. e.g. when saving files, etc.
+	 * no C++ type information is available. e.g. when saving files, etc.
 	 * It returns the same type as itemType() for the standard classes, but
 	 * subclasses override it.
 	 */
diff --git a/scribus/pageitem_table.cpp b/scribus/pageitem_table.cpp
index 1695d7e601..53006cd28c 100644
--- a/scribus/pageitem_table.cpp
+++ b/scribus/pageitem_table.cpp
@@ -1416,7 +1416,7 @@ void PageItem_Table::activateCell(const TableCell& cell)
 	textFrame->itemText.deselectAll();
 	textFrame->HasSel = false;
 
-	// Set current style context befor assigning new active cell:
+	// Set current style context before assigning new active cell:
 	// if old active cell ref count is 1, the old context might be deleted
 	const ParagraphStyle& curStyle = newActiveCell.textFrame()->currentStyle();
 	m_Doc->currentStyle.setContext(curStyle.context());
diff --git a/scribus/pageitem_textframe.cpp b/scribus/pageitem_textframe.cpp
index 5f79938ae7..7e3b32e5bd 100644
--- a/scribus/pageitem_textframe.cpp
+++ b/scribus/pageitem_textframe.cpp
@@ -891,7 +891,7 @@ struct LineControl {
 	}
 
 	/**
-	 Clones the tab fill char as often as necssary after all distances are known
+	 Clones the tab fill char as often as necessary after all distances are known
 	 */
 	void fillInTabLeaders()
 	{
@@ -1006,7 +1006,7 @@ struct LineControl {
 				rightCorr *= 0.5;
 			else {
 #if 0
-				// FIXME HOST: is the kerning with "." a realy reliable way to check this?
+				// FIXME HOST: is the kerning with "." a really reliable way to check this?
 				rightCorr = chStyle.font().realCharWidth(chr, chs / 10.0);
 				rightCorr -= chStyle.font().charWidth(chr, chs / 10.0, QChar('.'));
 #else
@@ -1276,7 +1276,7 @@ void PageItem_TextFrame::layout()
 	//for moving next line if glyphs are higher than that
 	double lastLineY = 0;
 
-	QMap<int, Mark*> noteMarksPosMap;  //maping notes marks and its position in text
+	QMap<int, Mark*> noteMarksPosMap;  //mapping notes marks and its position in text
 
 	// dump styles
 /*
@@ -1415,7 +1415,7 @@ void PageItem_TextFrame::layout()
 		current.mustLineEnd = current.colRight;
 		current.restartX = 0;
 
-		//why emit invalidating signals each time text is changed by appling styles?
+		//why emit invalidating signals each time text is changed by applying styles?
 		//this speed up layouting in case of using notes marks and drop caps
 		itemText.blockSignals(true);
 		setMaxY(-1);
@@ -2193,7 +2193,7 @@ void PageItem_TextFrame::layout()
 					//force break
 					if (!SpecialChars::isBreak(itemText.text(a), m_columns > 1))
 					{
-						//force line end at previouse glyph
+						//force line end at previous glyph
 						i--;
 						currentIndex = i - current.lineData.firstCluster;
 						a = (i >= 0) ? glyphClusters.at(i).firstChar() : (a - 1);
@@ -4498,7 +4498,7 @@ void PageItem_TextFrame::handleModeEditKey(QKeyEvent *k, bool& keyRepeat)
 				m_nextBox->updateLayout();
 		}
 		//check if cursor need to jump to next linked frame
-		//but not for notes frames can`t be updated as may disapper during update
+		//but not for notes frames can`t be updated as may disappear during update
 		if ((itemText.cursorPosition() > lastInFrame() + 1) && (lastInFrame() < (itemText.length() - 2)) && m_nextBox != nullptr)
 		{
 			view->deselectItems(true);
@@ -4842,7 +4842,7 @@ void PageItem_TextFrame::updateBulletsNum()
 // Parameters
 //   PageItem *currItem text item to be processed
 //   inc < 0 for left key > 0 for right key
-//  if value is +/-1 work on slection
+//  if value is +/-1 work on selection
 //  if value is +/-2 refresh if text under cursor is selected -- not used
 
 void PageItem_TextFrame::ExpandSel(int oldPos)
diff --git a/scribus/pageitem_textframe.h b/scribus/pageitem_textframe.h
index 2d66bdbfd9..a2a002e641 100644
--- a/scribus/pageitem_textframe.h
+++ b/scribus/pageitem_textframe.h
@@ -76,7 +76,7 @@ public:
 	using PageItem::invalidateLayout;
 	void layout() override;
 
-	//return true if all previouse frames from chain are valid (including that one)
+	//return true if all previous frames from chain are valid (including that one)
 	bool isValidChainFromBegin();
 	void setTextAnnotationOpen(bool open);
 
diff --git a/scribus/pagesize.cpp b/scribus/pagesize.cpp
index 72e4c2bf8e..2de6063f25 100644
--- a/scribus/pagesize.cpp
+++ b/scribus/pagesize.cpp
@@ -89,7 +89,7 @@ void PageSize::init(const QString& sizeName)
 
 	if (!valuesSet)
 	{
-		//qDebug("Non-existant page size selected");
+		//qDebug("Non-existent page size selected");
 		m_width=m_height=0.0;
 		m_pageUnitIndex=-1;
 		m_pageSizeName=CommonStrings::customPageSize;
diff --git a/scribus/pagestructs.h b/scribus/pagestructs.h
index f232e3f69a..883d15a74d 100644
--- a/scribus/pagestructs.h
+++ b/scribus/pagestructs.h
@@ -50,7 +50,7 @@ struct DocumentSection
 	NumFormat type; //Type of section numbering, ie i,ii,iii or a,b,c or 1,2,3, etc
 	uint sectionstartindex; // Start of section, an index in the range of type, eg for type i,ii,iii, this would be 2 for "ii".
 	bool reversed; // Counting 10-1 ?
-	bool active; // Is the section active, ie, if the fromindex is 10, and theres 5 pages, this should be inactive.
+	bool active; // Is the section active, ie, if the fromindex is 10, and there's 5 pages, this should be inactive.
 	QChar pageNumberFillChar; //Prefix to be placed before page number
 	int pageNumberWidth; //Minimum width of page number string
 
diff --git a/scribus/pdf_analyzer.h b/scribus/pdf_analyzer.h
index 77caad8ea2..b9df2e924a 100644
--- a/scribus/pdf_analyzer.h
+++ b/scribus/pdf_analyzer.h
@@ -152,7 +152,7 @@ public:
 	 * Perform the actual inspection on one page of the PDF.
 	 *
 	 * \return A boolean is return indicating whether the process is successful.
-	 * \param pageNum Specifying the page's number (zero-based) in the PDF where the analyzing process is opearted on.
+	 * \param pageNum Specifying the page's number (zero-based) in the PDF where the analyzing process is operated on.
 	 * \param usedColorSpaces List of used color spaces in the page which will be filled while processing.
 	 * \param hasTransparency A boolean which will be set to true after analyzing if the page contains transparency.
 	 * \param usedFonts List of used fonts in the page which will be filled while processing.
diff --git a/scribus/pdflib_core.cpp b/scribus/pdflib_core.cpp
index 9a687a3683..ad355056ee 100644
--- a/scribus/pdflib_core.cpp
+++ b/scribus/pdflib_core.cpp
@@ -5759,7 +5759,7 @@ QByteArray PDFLibCore::putColor(const QString & colorName, int shade, bool fill)
 	// Cache of last foreground and background colours We cache fg and bg
 	// separately because they're alternated so much.  The primary purpose of
 	// this cache is to avoid re-caculating the fg and bg colors on each char
-	// of text when the color doens't change.
+	// of text when the color doesn't change.
 	static QString lastFGColorName, lastFGOutput, lastBGColorName, lastBGOutput;
 	static int lastFGShade = -1, lastBGShade = -1;
 	if (fill && colorName == lastBGColorName && shade == lastBGShade)
diff --git a/scribus/pdfoptions.h b/scribus/pdfoptions.h
index 70e420376e..41333b5010 100644
--- a/scribus/pdfoptions.h
+++ b/scribus/pdfoptions.h
@@ -27,7 +27,7 @@ struct LPIData;
 class  MarginStruct;
 
 /**
- * @brief PDF Options struture. Capable of verifying its self, but otherwise largely
+ * @brief PDF Options structure. Capable of verifying its self, but otherwise largely
  *        a dumb struct.
  *
  * If you change this class, please ensure that PDFOptionsIO is
diff --git a/scribus/pluginmanager.cpp b/scribus/pluginmanager.cpp
index 67619da93c..ec70c71623 100644
--- a/scribus/pluginmanager.cpp
+++ b/scribus/pluginmanager.cpp
@@ -693,7 +693,7 @@ PluginManager & PluginManager::instance()
 QString PluginManager::getPluginPath(const QString & pluginName) const
 {
 	// It is not legal to call this function without a valid
-	// plug in name.
+	// plugin name.
 	Q_ASSERT(pluginMap.contains(pluginName));
 	return pluginMap[pluginName].pluginFile;
 }
@@ -701,7 +701,7 @@ QString PluginManager::getPluginPath(const QString & pluginName) const
 bool & PluginManager::enableOnStartup(const QString & pluginName)
 {
 	// It is not legal to call this function without a valid
-	// plug in name.
+	// plugin name.
 	Q_ASSERT(pluginMap.contains(pluginName));
 	return pluginMap[pluginName].enableOnStartup;
 }
@@ -709,7 +709,7 @@ bool & PluginManager::enableOnStartup(const QString & pluginName)
 bool PluginManager::enabled(const QString & pluginName)
 {
 	// It is not legal to call this function without a valid
-	// plug in name.
+	// plugin name.
 	Q_ASSERT(pluginMap.contains(pluginName));
 	return pluginMap[pluginName].enabled;
 }
diff --git a/scribus/pluginmanager.h b/scribus/pluginmanager.h
index 2ec30aabbd..94656d75d2 100644
--- a/scribus/pluginmanager.h
+++ b/scribus/pluginmanager.h
@@ -140,7 +140,7 @@ public slots:
 
 protected:
 	/**
-	 * \brief PluginData is structure for plugin related informations.
+	 * \brief PluginData is structure for plugin related information.
 	 * \param pluginFile path to the share library (with name).
 	 * \param pluginName internal name of plug-in, used for prefix to dlsym() names
 	 * \param pluginDLL reference to plug-in data for dynamic loading
diff --git a/scribus/plugins/barcodegenerator/barcode.ps b/scribus/plugins/barcodegenerator/barcode.ps
index 3759da68a6..7da6e5db52 100644
--- a/scribus/plugins/barcodegenerator/barcode.ps
+++ b/scribus/plugins/barcodegenerator/barcode.ps
@@ -16790,7 +16790,7 @@ begin
     /dcpb dcws ecb1 ecb2 add idiv def                 % Base data codewords per block
     /ecpb ncws ecb1 ecb2 add idiv dcpb sub def        % Error correction codewords per block
 
-    % Complete the message bits by adding the terminator, truncated if neccessary
+    % Complete the message bits by adding the terminator, truncated if necessary
     /term term 0 dmod msgbits length sub term length 2 copy gt {exch} if pop getinterval def
     msgbits length term length add string
     dup 0 msgbits putinterval
@@ -17439,7 +17439,7 @@ begin
             /fid () def
         } ifelse
 
-        % Read the postcode, country code and service code fields seperated by GS
+        % Read the postcode, country code and service code fields separated by GS
         msg <1d> search pop /pcode exch def
         pop <1d> search pop /ccode exch def
         pop <1d> search pop /scode exch def
@@ -21336,7 +21336,7 @@ begin
         } if
 
         % Check for groups of blank rows unless data is encoded horizontally
-        % in a symbol of sufficent width to overcome up to six consecutive 0s
+        % in a symbol of sufficient width to overcome up to six consecutive 0s
         % in two neighbouring 5 of 9 dot patterns
         rows 2 mod 0 eq columns 12 le or {
             /sum 0 def  /p 0 def
diff --git a/scribus/plugins/barcodegenerator/barcodegenerator.h b/scribus/plugins/barcodegenerator/barcodegenerator.h
index 2e9d713404..8e723e2eb2 100644
--- a/scribus/plugins/barcodegenerator/barcodegenerator.h
+++ b/scribus/plugins/barcodegenerator/barcodegenerator.h
@@ -80,7 +80,7 @@ class BarcodeGenerator : public QDialog
 		QList<QString> encoderlist;
 		//! \brief Descriptions of each encoder.
 		QHash<QString, QString> resdescs;
-		//! \brief Dependancies of each encoder.
+		//! \brief Dependencies of each encoder.
 		QHash<QString, QString> resreqs;
 		//! \brief Example data input for each encoder.
 		QHash<QString, QString> resexams;
diff --git a/scribus/plugins/colorwheel/colorwheelwidget.h b/scribus/plugins/colorwheel/colorwheelwidget.h
index daddf38244..76de2cb77c 100644
--- a/scribus/plugins/colorwheel/colorwheelwidget.h
+++ b/scribus/plugins/colorwheel/colorwheelwidget.h
@@ -76,7 +76,7 @@ class ColorWheel : public QLabel
 		\retval QString Translated method name. */
 		QString getTypeDescription(MethodType aType);
 
-		/** \brief Get sample color from specifid angle.
+		/** \brief Get sample color from specific angle.
 		\param angle Angle of the color in the wheel. An angle for transformation counting.
 		E.g. base angle is 30, param is 90 - transformation is 120.
 		There is easy "convert 665485 into 0-359 interval" algorithm too.
@@ -183,7 +183,7 @@ class ColorWheel : public QLabel
 		/** \brief Display user selection - selected colors.
 		Chosen colors are marked via bullets on the border of
 		the wheel.
-		\param angle angle of the drawed mark
+		\param angle angle of the drawn mark
 		\param base Draw it highlighted if it is base color
 		\param clear Draw point with white = clear it from painter
 		*/
diff --git a/scribus/plugins/fileloader/scribus150format/scribus150format_save.cpp b/scribus/plugins/fileloader/scribus150format/scribus150format_save.cpp
index 68beff0325..f8b0c24624 100644
--- a/scribus/plugins/fileloader/scribus150format/scribus150format_save.cpp
+++ b/scribus/plugins/fileloader/scribus150format/scribus150format_save.cpp
@@ -1449,7 +1449,7 @@ void Scribus150Format::writeSections(ScXmlStreamWriter & docu)
 
 void Scribus150Format::writeMarks(ScXmlStreamWriter & docu)
 {
-	//write list of definied marks to SLA
+	//write list of defined marks to SLA
 	if (m_Doc->marksList().isEmpty())
 		return;
 
diff --git a/scribus/plugins/formatidlist.h b/scribus/plugins/formatidlist.h
index 017889ebe3..a2a11cfd48 100644
--- a/scribus/plugins/formatidlist.h
+++ b/scribus/plugins/formatidlist.h
@@ -3,7 +3,7 @@
 
 /**
  * \brief The IDs for the load/save format plugins. They must be a macro not a static const member
- * because they must be available even when the specifid plugin is not linked in
+ * because they must be available even when the specific plugin is not linked in
  * or even compiled.
  */
 
diff --git a/scribus/plugins/import/drw/importdrw.cpp b/scribus/plugins/import/drw/importdrw.cpp
index 2181c76de4..b087d76736 100644
--- a/scribus/plugins/import/drw/importdrw.cpp
+++ b/scribus/plugins/import/drw/importdrw.cpp
@@ -843,7 +843,7 @@ void DrwPlug::decodeCmd(quint8 cmd, int pos)
 			break;
 		case 32:
 			cmdText += "DRW Band";
-/* For this record the documentation is completly wrong
+/* For this record the documentation is completely wrong
 
 	offs	meaning
 	0		X-Offset
diff --git a/scribus/plugins/import/idml_old/importidmlimpl.cpp b/scribus/plugins/import/idml_old/importidmlimpl.cpp
index e60690ff97..e79721a4d6 100644
--- a/scribus/plugins/import/idml_old/importidmlimpl.cpp
+++ b/scribus/plugins/import/idml_old/importidmlimpl.cpp
@@ -775,7 +775,7 @@ PathPoint ImportIdmlImpl::readPathPoint(QDomElement e)
 	return p;
 }
 /**
-\brief A Funtion to find width 
+\brief A Function to find width 
 \return width as double if successful, else return -1
 */
 
diff --git a/scribus/plugins/import/odg/importodg.cpp b/scribus/plugins/import/odg/importodg.cpp
index 2ece0bcec6..ebc199df76 100644
--- a/scribus/plugins/import/odg/importodg.cpp
+++ b/scribus/plugins/import/odg/importodg.cpp
@@ -3120,7 +3120,7 @@ int OdgPlug::arcToCurve(double rx, double ry, double startAngle, double sweepAng
 		//TODO
 	}
 
-	// split angles bigger than 90° so that it gives a good aproximation to the circle
+	// split angles bigger than 90° so that it gives a good approximation to the circle
 	double parts = ceil(qAbs(sweepAngle / 90.0));
 
 	double sa_rad = startAngle * M_PI / 180.0;
diff --git a/scribus/plugins/import/pct/importpct.cpp b/scribus/plugins/import/pct/importpct.cpp
index 916d5e89e7..f3399e14e5 100644
--- a/scribus/plugins/import/pct/importpct.cpp
+++ b/scribus/plugins/import/pct/importpct.cpp
@@ -2000,7 +2000,7 @@ void PctPlug::handleComment(QDataStream &ts, bool longComment)
 		case 170:			// picArrw1 Arrowhead on 2nd point of line
 //			qDebug() << "Comment type: picArrw1";
 			break;
-		case 171:			// picArrw2 Arrowhead on 1nd point of line
+		case 171:			// picArrw2 Arrowhead on 1st point of line
 //			qDebug() << "Comment type: picArrw2";
 			break;
 		case 172:			// picArrw3 Arrowhead on both endpoints
diff --git a/scribus/plugins/import/pdf/pdftextrecognition.cpp b/scribus/plugins/import/pdf/pdftextrecognition.cpp
index 76955f7dff..0e8ea70232 100644
--- a/scribus/plugins/import/pdf/pdftextrecognition.cpp
+++ b/scribus/plugins/import/pdf/pdftextrecognition.cpp
@@ -289,7 +289,7 @@ PdfTextRegion::LineType PdfTextRegion::isRegionConcurrent(QPointF newPoint)
 *	Move the position of the cursor to a new point,
 *	test if that point is within the current textframe or within a new textframe.
 *	initialize the textregion and setup lines and segments
-*	TODO: iscloseto x and y may need to be different from addGlyph but use thge common isRegionbConcurrent for now
+*	TODO: iscloseto x and y may need to be different from addGlyph but use the common isRegionbConcurrent for now
 *		need to check to see if we are creating a new paragraph or not.
 *		basically if the cursor is returned to x origin before it reached x width.
 *		Also needs to have support for rotated text, but I expect I'll add this by removing the text rotation
@@ -353,8 +353,8 @@ PdfTextRegion::LineType PdfTextRegion::moveToPoint(QPointF newPoint)
 /*
 *	Add a new glyph to the current line segment, lines and segments should already have been setup by the
 *	moveto function which should generally be called prior to addGlyph to setup the lines and segments correctly.
-*	does some basic calculations to determine and save withs and heights and linespacings of texts etc...
-*	FIXME: these need to be changed to use the mode average of all glyps added to the text frame instead of just picking the first ones we come accross
+*	does some basic calculations to determine and save widths and heights and linespacings of texts etc...
+*	FIXME: these need to be changed to use the mode average of all glyps added to the text frame instead of just picking the first ones we come across
 *		the mode average can also be used to determine the base font style when fonts are added
 *		left and right hand margins however need to use the maximum and minimum, support for right hand justification
 *		and centered text needs to be added as we only support left and fully justified at the moment.
diff --git a/scribus/plugins/import/pdf/slaoutput.cpp b/scribus/plugins/import/pdf/slaoutput.cpp
index ea556ae2f9..ba67395310 100644
--- a/scribus/plugins/import/pdf/slaoutput.cpp
+++ b/scribus/plugins/import/pdf/slaoutput.cpp
@@ -2873,7 +2873,7 @@ void SlaOutputDev::createImageFrame(QImage& image, GfxState *state, int numColor
 	if (inPattern == 0)
 	{
 		outline.translate(xCoor - ite->xPos(), yCoor - ite->yPos());
-		// Undo the rotation of the clipping path as it is rotated together with the iamge.
+		// Undo the rotation of the clipping path as it is rotated together with the image.
 		QTransform mm;
 		mm.rotate(-ite->rotation());
 		outline = mm.map(outline);
diff --git a/scribus/plugins/import/ps/import.prolog b/scribus/plugins/import/ps/import.prolog
index 6e656d2a06..759d2ff97c 100644
--- a/scribus/plugins/import/ps/import.prolog
+++ b/scribus/plugins/import/ps/import.prolog
@@ -149,7 +149,7 @@ setglobal
 /i_shortcut false def
 
 % defines an overloaded function     name proc i_shortcutOverload -
-% equvalent to /name { i_shortcut { //name } { proc } ifelse } bind def
+% equivalent to /name { i_shortcut { //name } { proc } ifelse } bind def
 /i_shortcutOverload
 {
 	[ /i_shortcut /load load [ 5 index load ] cvx 4 index /ifelse load ] cvx 
diff --git a/scribus/plugins/import/wmf/wmfimport.cpp b/scribus/plugins/import/wmf/wmfimport.cpp
index 04913bbb33..43f1972485 100644
--- a/scribus/plugins/import/wmf/wmfimport.cpp
+++ b/scribus/plugins/import/wmf/wmfimport.cpp
@@ -1192,7 +1192,7 @@ void WMFImport::extTextOut( QList<PageItem*>& items, long num, short* params )
 		textString = QString::fromLocal8Bit(textArray.data());
 
 	QFontMetrics fm( m_context.font() );
-	int width  = fm.horizontalAdvance(textString) + fm.descent();  // because fm.width(text) isn't rigth with Italic text
+	int width  = fm.horizontalAdvance(textString) + fm.descent();  // because fm.width(text) isn't right with Italic text
 	/*int height = fm.height();
 	int ascent = fm.ascent();*/
 
diff --git a/scribus/plugins/picbrowser/README b/scribus/plugins/picbrowser/README
index 824587b53b..9a83e41093 100644
--- a/scribus/plugins/picbrowser/README
+++ b/scribus/plugins/picbrowser/README
@@ -9,7 +9,7 @@ How to add my Picturebrowser plugin to your current Scribus source snapshot:
 You will find the Picturebrowser at Extras/Picturebrowser
 
 
-I didnt find out how to compile only the plugin yet, the tutorial with qmake specified here:
+I didn't find out how to compile only the plugin yet, the tutorial with qmake specified here:
 http://docs.scribus.net/index.php?lang=en&page=plugin_howto
 
 does not seem to work. Maybe i will figure out later.
@@ -85,7 +85,7 @@ does not seem to work. Maybe i will figure out later.
   to the itemmodel to make signals/slots run in the new thread.
   The third problem was the validity of the passed pointers. I pass the pointer of the previewImage Object
   the image belongs to to the slot which loads the image, however if the user selects a new folder in the 
-  meantime, the pointer is invalid and this will give us a segfault ocasionally. To prevent this, a unique
+  meantime, the pointer is invalid and this will give us a segfault occasionally. To prevent this, a unique
   id is associated with every set of images ("pId"), and passed to the thread. If the id of the itemmodel changes,
   the thread or the method which creates the icon knows and cancels.
   The fourth issue was (and is) how to pass the image and other information between the threads, to copy all this
diff --git a/scribus/plugins/picbrowser/findimage.h b/scribus/plugins/picbrowser/findimage.h
index c0aa6c0d1f..654d610acf 100644
--- a/scribus/plugins/picbrowser/findimage.h
+++ b/scribus/plugins/picbrowser/findimage.h
@@ -34,7 +34,7 @@ class findImagesThread : public QThread
 		//const QString& path2: path to be searched
 		//const QStringList& nameFilters2: namefilters for the images
 		//QDir::SortFlags sort2: sortflags
-		//bool searchSubfolders2: tells wether to search subfolders
+		//bool searchSubfolders2: tells whether to search subfolders
 		findImagesThread ( const QString& path2, const QStringList& nameFilters2, QDir::SortFlags sort2, bool searchSubfolders2 );
 		//called after thread has been started
 		void run();
@@ -46,7 +46,7 @@ class findImagesThread : public QThread
 
 		//contains the images which have been found
 		QStringList imageFiles;
-		//tells wether the thread should restart
+		//tells whether the thread should restart
 		volatile bool restartThread;
 
 	private:
@@ -56,7 +56,7 @@ class findImagesThread : public QThread
 		QStringList nameFilters;
 		//sortflags for search
 		QDir::SortFlags sort;
-		//tells wether to search subfolders
+		//tells whether to search subfolders
 		bool searchSubfolders;
 };
 
diff --git a/scribus/plugins/picbrowser/picturebrowser.cpp b/scribus/plugins/picbrowser/picturebrowser.cpp
index 3064efd84c..006b25ff4c 100644
--- a/scribus/plugins/picbrowser/picturebrowser.cpp
+++ b/scribus/plugins/picbrowser/picturebrowser.cpp
@@ -171,7 +171,7 @@ PictureBrowser::PictureBrowser(ScribusDoc* doc, QWidget *parent):
 	collectionsWidget->setHeaderLabels(QStringList("Name"));
 
 	cdbFile = ScPaths::instance().pluginDataDir(true) + QString("collectionsdb.xml");
-//emtpy initialization, maybe accessed before collection is actually loaded
+//empty initialization, maybe accessed before collection is actually loaded
 	currCollection = new imageCollection;
 	currCollection->name = "empty";
 	currCollection->file = "empty";
@@ -310,7 +310,7 @@ void PictureBrowser::callLoadImageThread(int row, int pId)
 
 void PictureBrowser::navigate(int index)
 {
-	//this check shouldnt be necessary but you never know...
+	//this check shouldn't be necessary but you never know...
 	if ((index >= 0) && (index < 3))
 	{
 		if (index == 2)
@@ -357,7 +357,7 @@ void PictureBrowser::previewIconDoubleClicked(const QModelIndex &index)
 
 void PictureBrowser::sortChanged(int index)
 {
-	//this check shouldnt be necessary but you never know...
+	//this check shouldn't be necessary but you never know...
 	if ((index >= 0) && (index < 4))
 	{
 		pbSettings.sortSetting = index;
@@ -1024,7 +1024,7 @@ void PictureBrowser::insertSizeComboboxChanged(int index)
 
 void PictureBrowser::filterCriteriaComboboxChanged(int index)
 {
-	//this check shouldnt be necessary but you never know...
+	//this check shouldn't be necessary but you never know...
 	if ((index >= 0) && (index < 5))
 	{
 		filterStackedwidget->setCurrentIndex(index);
diff --git a/scribus/plugins/picbrowser/picturebrowser.h b/scribus/plugins/picbrowser/picturebrowser.h
index 2c9d76e43b..af927b5894 100644
--- a/scribus/plugins/picbrowser/picturebrowser.h
+++ b/scribus/plugins/picbrowser/picturebrowser.h
@@ -121,7 +121,7 @@ class PictureBrowser : public QDialog, Ui::PictureBrowser
 		//previewImage* imageToLoad: pointer to identify the previewimage
 		//QString path: path to the image
 		//int size: size of the icon, the returned QImage will be resized according to this
-		//int pId: a unique id to check wether the pointer is valid or a different set of images has been chosen while thread was executed
+		//int pId: a unique id to check whether the pointer is valid or a different set of images has been chosen while thread was executed
 		void loadImageJob ( int, QString, int, int );
 		//signals for selecting a page in the current document
 		void selectPage ( int );
diff --git a/scribus/plugins/picbrowser/previewimage.h b/scribus/plugins/picbrowser/previewimage.h
index 1c3ea70c6f..3a770ab0f3 100644
--- a/scribus/plugins/picbrowser/previewimage.h
+++ b/scribus/plugins/picbrowser/previewimage.h
@@ -82,7 +82,7 @@ class previewImage
 		ImageInformation *imgInfo;
 		//current size of previewIcon
 		int currentSize;
-		//tells wether previewIcon is loading in thread
+		//tells whether previewIcon is loading in thread
 		bool previewImageLoading;
 		//tells if previewIcon was created previously or needs to be loaded
 		bool previewIconCreated;
@@ -109,17 +109,17 @@ class previewImages
 
 		//little helper function to reduce code
 		bool toRemove ( bool a, bool b );
-		//filters by filename, invert specifies wether to include or to remove file fileName
+		//filters by filename, invert specifies whether to include or to remove file fileName
 		void filterFileName ( const QString &fileName, bool invert );
-		//filters by filesize, smallerThan specifies wether to include or to remove files smaller than fileSize
+		//filters by filesize, smallerThan specifies whether to include or to remove files smaller than fileSize
 		void filterFileSize ( qint64 fileSize, bool smallerThan );
-		//filters by filetype, invert specifies wether to include or to remove files with fileExtension
+		//filters by filetype, invert specifies whether to include or to remove files with fileExtension
 		void filterFileType ( const QStringList &types, bool invert );
-		//filters by date last modified, smallerThan specifies wether to include or to remove files younger than modified
+		//filters by date last modified, smallerThan specifies whether to include or to remove files younger than modified
 		void filterFileModified ( const QDateTime &modified, bool smallerThan );
-		//filters by imageresolution, smallerThan specifies wether to include or to remove images with lower resolution
+		//filters by imageresolution, smallerThan specifies whether to include or to remove images with lower resolution
 		void filterResolution ( qint64 resolution, bool smallerThan );
-		//filters by tag, invert specifies wether to include or to remove item with tag
+		//filters by tag, invert specifies whether to include or to remove item with tag
 		void filterTag ( const QStringList &tags, bool invert );
 		//clears all previously applied filters
 		void clearFilters();
@@ -167,7 +167,7 @@ class PreviewImagesModel : public QAbstractListModel
 
 		//all our precious previewimages are indexed here
 		QList<previewImage *> modelItemsList;
-		//a unique id telling the thread wether to cancel current loading operations because files have changed
+		//a unique id telling the thread whether to cancel current loading operations because files have changed
 		int pId;
 
 	private slots:
diff --git a/scribus/plugins/plugins_pch.h b/scribus/plugins/plugins_pch.h
index ac16f69676..86891bc99b 100644
--- a/scribus/plugins/plugins_pch.h
+++ b/scribus/plugins/plugins_pch.h
@@ -63,7 +63,7 @@
 
 #include <QCoreApplication>
 #include <QList>
-#include <QVariant>  // All moc genereated code has this include
+#include <QVariant>  // All moc generated code has this include
 #include <QObject>
 #include <QString>
 #include <QStringList>
diff --git a/scribus/plugins/scripter/api_page.cpp b/scribus/plugins/scripter/api_page.cpp
index f7c9758a69..df1de57810 100644
--- a/scribus/plugins/scripter/api_page.cpp
+++ b/scribus/plugins/scripter/api_page.cpp
@@ -138,7 +138,7 @@ QList<QVariant> PageAPI::selection()
 
 
 // copied from scripter/cmdutil.cpp
-/// Convert an X co-ordinate part in page units to a document co-ordinate
+/// Convert an X coordinate part in page units to a document coordinate
 /// in system units.
 double PageAPI::pageXtoDocX(double x)
 {
@@ -147,9 +147,9 @@ double PageAPI::pageXtoDocX(double x)
 
 
 // copied from scripter/cmdutil.cpp
-/// Convert a Y co-ordinate part in page units to a document co-ordinate
-/// in system units. The document co-ordinates have their origin somewere
-/// up and left of the first page, where page co-ordinates have their
+/// Convert a Y coordinate part in page units to a document coordinate
+/// in system units. The document coordinates have their origin somewhere
+/// up and left of the first page, where page coordinates have their
 /// origin on the top left of the current page.
 double PageAPI::pageYtoDocY(double y)
 {
diff --git a/scribus/plugins/scripter/apidocs.py b/scribus/plugins/scripter/apidocs.py
index 0a365dc963..2cadff2c85 100755
--- a/scribus/plugins/scripter/apidocs.py
+++ b/scribus/plugins/scripter/apidocs.py
@@ -14,7 +14,7 @@ The comment block has to start with two stars.
 There is an empty line between the call-declaration and the description. 
 If an entry is a property, the second line should be "Property".
 You should mention in the line below which type the property is.
-Append (read-only) to this line, if you cannot change the propery.
+Append (read-only) to this line, if you cannot change the property.
 """
 
 import os
diff --git a/scribus/plugins/scripter/python/excepthook.py b/scribus/plugins/scripter/python/excepthook.py
index b1d7bdd698..f399099b5a 100644
--- a/scribus/plugins/scripter/python/excepthook.py
+++ b/scribus/plugins/scripter/python/excepthook.py
@@ -1,6 +1,6 @@
 """
 Exception hook
-If some unexpected error occures it can be shown in a nice looking dialog.
+If some unexpected error occurs it can be shown in a nice looking dialog.
 Especially useful is the traceback view.
 
 Things to extend: Clicking on the filename should open an editor.
diff --git a/scribus/plugins/scripter/python/excepthook.ui b/scribus/plugins/scripter/python/excepthook.ui
index aefef54e05..d4f0dd03ec 100644
--- a/scribus/plugins/scripter/python/excepthook.ui
+++ b/scribus/plugins/scripter/python/excepthook.ui
@@ -22,7 +22,7 @@
      <item row="0" column="0">
       <widget class="QLabel" name="label">
        <property name="text">
-        <string>An exception occured while running the script.</string>
+        <string>An exception occurred while running the script.</string>
        </property>
       </widget>
      </item>
diff --git a/scribus/plugins/scripter/python/excepthook_ui.py b/scribus/plugins/scripter/python/excepthook_ui.py
index 73485ea50f..0a6252af1c 100644
--- a/scribus/plugins/scripter/python/excepthook_ui.py
+++ b/scribus/plugins/scripter/python/excepthook_ui.py
@@ -45,7 +45,7 @@ class Ui_ExceptHookDialog(object):
 
     def retranslateUi(self, ExceptHookDialog):
         ExceptHookDialog.setWindowTitle(QtGui.QApplication.translate("ExceptHookDialog", "Script error", None, QtGui.QApplication.UnicodeUTF8))
-        self.label.setText(QtGui.QApplication.translate("ExceptHookDialog", "An exception occured while running the script.", None, QtGui.QApplication.UnicodeUTF8))
+        self.label.setText(QtGui.QApplication.translate("ExceptHookDialog", "An exception occurred while running the script.", None, QtGui.QApplication.UnicodeUTF8))
         self.closeButton.setText(QtGui.QApplication.translate("ExceptHookDialog", "&Close", None, QtGui.QApplication.UnicodeUTF8))
         self.exceptionLabel.setText(QtGui.QApplication.translate("ExceptHookDialog", "Exception", None, QtGui.QApplication.UnicodeUTF8))
         self.detailsButton.setText(QtGui.QApplication.translate("ExceptHookDialog", "&Details >>", None, QtGui.QApplication.UnicodeUTF8))
diff --git a/scribus/plugins/scripter/python/init_scripter.py b/scribus/plugins/scripter/python/init_scripter.py
index 17446bd0ee..79af44b212 100644
--- a/scribus/plugins/scripter/python/init_scripter.py
+++ b/scribus/plugins/scripter/python/init_scripter.py
@@ -21,7 +21,7 @@ except ImportError, e:
     print >> sys.stderr, "Please make sure you have also libqt4-script installed."
     raise
 
-# Shows nice looking error dialog if an unhandled exception occures.
+# Shows nice looking error dialog if an unhandled exception occurs.
 import excepthook
 excepthook.install()
 
diff --git a/scribus/plugins/scripter/python/mikro.py b/scribus/plugins/scripter/python/mikro.py
index faa75540b4..e4ffbddd2b 100644
--- a/scribus/plugins/scripter/python/mikro.py
+++ b/scribus/plugins/scripter/python/mikro.py
@@ -179,7 +179,7 @@ def is_scripter_child(qobj):
 
 class Error(Exception):
     """ 
-    Base error classed. Catch this to handle exceptions comming from C++
+    Base error classed. Catch this to handle exceptions coming from c++
     """
 
 
@@ -435,7 +435,7 @@ def create_pyqt_object(obj):
      @type obj:  QObject
      @param obj: an unwrapped QObject
      @rtype:     PyQtClass object
-     @return:    dynamicaly created object with all available properties and slots
+     @return:    dynamically created object with all available properties and slots
      
      This is probably the only function you need from this module. 
      Everything else are helper functions and classes. 
diff --git a/scribus/plugins/scripter/python/permitdlg.py b/scribus/plugins/scripter/python/permitdlg.py
index 5a11dd77a2..54d7550f9a 100644
--- a/scribus/plugins/scripter/python/permitdlg.py
+++ b/scribus/plugins/scripter/python/permitdlg.py
@@ -23,7 +23,7 @@ class PermitDialog(QDialog):
         QDialog.__init__(self)
         self.ui = Ui_PermitDialog()
         self.ui.setupUi(self)
-        # XXX: re-enable later, remember does currently not work currectly
+        # XXX: re-enable later, remember does currently not work correctly
         self.ui.rememberCheck.hide() 
         self.ui.filenameLabel.setText(filename)
         # XXX: only show specific reasons for found problems
@@ -34,7 +34,7 @@ class PermitDialog(QDialog):
         </ul>
         <p>To ensure safe execution importing external modules is not allowed by default 
         because external modules could access your system directly.
-        <br/>Additonally access to "private" attributes is not allowed because accessing 
+        <br/>Additionally access to "private" attributes is not allowed because accessing 
         them could trigger side-effects which may help to break out of the sandbox.<br/>
         Unfortunately exceptions are also a security problem because they can change 
         the control flow and you could access the stack frame.</p>
@@ -68,7 +68,7 @@ class PermitDialog(QDialog):
 
 def ask(filename, problems):
     """
-    Use this fuction
+    Use this function
     """
     return PermitDialog(filename, problems).exec_()
 
diff --git a/scribus/plugins/scripter/python/safe_eval.py b/scribus/plugins/scripter/python/safe_eval.py
index df5c2e8688..c338ac4ca6 100644
--- a/scribus/plugins/scripter/python/safe_eval.py
+++ b/scribus/plugins/scripter/python/safe_eval.py
@@ -25,7 +25,7 @@ Based on the public domain code of Babar K. Zafar
 http://aspn.activestate.com/ASPN/Cookbook/Python/Recipe/496746
 (version 0.1 or 1.2 May 27 2006)
 
-The idea is to examine the compiled ast tree and chack for invalid
+The idea is to examine the compiled ast tree and check for invalid
 entries
 
 I have removed the timeout checking as this probably isn't a serious
@@ -58,7 +58,7 @@ all_builtins = [name for (name, obj) in inspect.getmembers(__builtin__)
                 (inspect.isclass(obj) and not issubclass(obj, Exception))]
 
 #----------------------------------------------------------------------
-# Utilties.
+# Utilities.
 #----------------------------------------------------------------------
 
 def classname(obj):
@@ -174,8 +174,8 @@ class SafeEvalError(object):
     Base class for all which occur while walking the AST.
 
     Attributes:
-      errmsg = short decription about the nature of the error
-      lineno = line offset to where error occured in source code
+      errmsg = short description about the nature of the error
+      lineno = line offset to where error occurred in source code
     """
     def __init__(self, errmsg, lineno):
         self.errmsg, self.lineno = errmsg, lineno
@@ -339,7 +339,7 @@ class SafeEvalException(Exception):
 
 class SafeEvalCodeException(SafeEvalException):
     """
-    Exception class for reporting all errors which occured while
+    Exception class for reporting all errors which occurred while
     validating AST for source code in safe_eval().
 
     Attributes:
@@ -354,7 +354,7 @@ class SafeEvalCodeException(SafeEvalException):
 class SafeEvalContextException(SafeEvalException):
     """
     Exception class for reporting unallowed objects found in the dict
-    intended to be used as the local enviroment in safe_eval().
+    intended to be used as the local environment in safe_eval().
 
     Attributes:
       keys   = list of keys of the unallowed objects
@@ -368,7 +368,7 @@ class SafeEvalContextException(SafeEvalException):
         
 class SafeEvalTimeoutException(SafeEvalException):
     """
-    Exception class for reporting that code evaluation execeeded
+    Exception class for reporting that code evaluation exceeded
     the given timelimit.
 
     Attributes:
@@ -377,11 +377,11 @@ class SafeEvalTimeoutException(SafeEvalException):
     def __init__(self, timeout):
         self.timeout = timeout
     def __str__(self):
-        return "Timeout limit execeeded (%s secs) during exec" % self.timeout
+        return "Timeout limit exceeded (%s secs) during exec" % self.timeout
 
 def exec_timed(code, context, timeout_secs):
     """
-    Dynamically execute 'code' using 'context' as the global enviroment.
+    Dynamically execute 'code' using 'context' as the global environment.
     SafeEvalTimeoutException is raised if execution does not finish within
     the given timelimit.
     """
@@ -415,7 +415,7 @@ def timed_safe_eval(code, context = {}, timeout_secs = 5):
     'exec' using 'context' as the global environment. More details on
     how code is executed can be found in the Python Reference Manual
     section 6.14 (ignore the remark on '__builtins__'). The 'context'
-    enviroment is also validated and is not allowed to contain modules
+    environment is also validated and is not allowed to contain modules
     or builtins. The following exception will be raised on errors:
 
       if 'context' contains unallowed objects = 
@@ -460,12 +460,12 @@ class TestSafeEval(unittest.TestCase):
             timed_safe_eval, "open('test.txt', 'w')")
 
     def test_getattr(self):
-        # attempt to get arround direct attr access
+        # attempt to get around direct attr access
         self.assertRaises(SafeEvalException, \
             timed_safe_eval, "getattr(int, '__abs__')")
 
     def test_func_globals(self):
-        # attempt to access global enviroment where fun was defined
+        # attempt to access global environment where fun was defined
         self.assertRaises(SafeEvalException, \
             timed_safe_eval, "def x(): pass; print x.func_globals")
 
@@ -486,7 +486,7 @@ class TestSafeEval(unittest.TestCase):
             timed_safe_eval, "while 1: pass")
 
     def test_invalid_context(self):
-        # can't pass an enviroment with modules or builtins
+        # can't pass an environment with modules or builtins
         env = {'f' : __builtins__.open, 'g' : time}
         self.assertRaises(SafeEvalException, \
             timed_safe_eval, "print 1", env)
diff --git a/scribus/plugins/scripter/python/scribusscript.py b/scribus/plugins/scripter/python/scribusscript.py
index 1283329017..18809167fc 100644
--- a/scribus/plugins/scripter/python/scribusscript.py
+++ b/scribus/plugins/scripter/python/scribusscript.py
@@ -1,6 +1,6 @@
 """
 Loader and handler for Scribus descriptor files/headers.
-They help to integrate scripts into Scribus by definining menu-entries, 
+They help to integrate scripts into Scribus by defining menu-entries, 
 shortcuts, etc. Some additional metadata gives useful information and help.
 
 See doc/TUTORIAL for a detailed explanation including examples.
diff --git a/scribus/plugins/scripter/python/scripter_runtime.py b/scribus/plugins/scripter/python/scripter_runtime.py
index 2b547cb581..2864c37411 100644
--- a/scribus/plugins/scripter/python/scripter_runtime.py
+++ b/scribus/plugins/scripter/python/scripter_runtime.py
@@ -269,5 +269,5 @@ def run_filename(filename, subroutine=None, extension=False, background=False):
     else:
         run_func(run_python, filename, subroutine, extension)
     if not background and not extension:
-        # XXX: make sure this is called if an exception occures...
+        # XXX: make sure this is called if an exception occurs...
         cleanup()
diff --git a/scribus/plugins/scripter/utils.cpp b/scribus/plugins/scripter/utils.cpp
index 74720d3238..4e60366018 100644
--- a/scribus/plugins/scripter/utils.cpp
+++ b/scribus/plugins/scripter/utils.cpp
@@ -27,7 +27,7 @@ double ValueToPoint(double Val)
 	return value2pts(Val, ScCore->primaryMainWindow()->doc->unitIndex());
 }
 
-/// Convert an X co-ordinate part in page units to a document co-ordinate
+/// Convert an X coordinate part in page units to a document coordinate
 /// in system units.
 double pageUnitXToDocX(double pageUnitX)
 {
@@ -40,9 +40,9 @@ double docUnitXToPageX(double pageUnitX)
 	return PointToValue(pageUnitX - ScCore->primaryMainWindow()->doc->currentPage()->xOffset());
 }
 
-/// Convert a Y co-ordinate part in page units to a document co-ordinate
-/// in system units. The document co-ordinates have their origin somewere
-/// up and left of the first page, where page co-ordinates have their
+/// Convert a Y coordinate part in page units to a document coordinate
+/// in system units. The document coordinates have their origin somewhere
+/// up and left of the first page, where page coordinates have their
 /// origin on the top left of the current page.
 double pageUnitYToDocY(double pageUnitY)
 {
diff --git a/scribus/plugins/scripter/utils.h b/scribus/plugins/scripter/utils.h
index 9bed61a9cf..ce9fe370b2 100644
--- a/scribus/plugins/scripter/utils.h
+++ b/scribus/plugins/scripter/utils.h
@@ -12,15 +12,15 @@ for which a new license (GPL+exception) is in place.
 double PointToValue(double Val);
 double ValueToPoint(double Val);
 
-/*! \brief Convert an X co-ordinate part in page units to a document co-ordinate in system units.
+/*! \brief Convert an X coordinate part in page units to a document coordinate in system units.
 */
 double pageUnitXToDocX(double pageUnitX);
 /// \brief Doc units -> page-relative units
 double docUnitXToPageX(double pageUnitX);
 
-/*! \brief Convert a Y co-ordinate part in page units to a document co-ordinate
-in system units. The document co-ordinates have their origin somewere
-up and left of the first page, where page co-ordinates have their
+/*! \brief Convert a Y coordinate part in page units to a document coordinate
+in system units. The document coordinates have their origin somewhere
+up and left of the first page, where page coordinates have their
 origin on the top left of the current page. */
 double pageUnitYToDocY(double pageUnitY);
 /// \brief Doc units -> page-relative units
diff --git a/scribus/plugins/scriptplugin/cmdgetsetprop.cpp b/scribus/plugins/scriptplugin/cmdgetsetprop.cpp
index cb06cd6a9f..ed12543566 100644
--- a/scribus/plugins/scriptplugin/cmdgetsetprop.cpp
+++ b/scribus/plugins/scriptplugin/cmdgetsetprop.cpp
@@ -77,7 +77,7 @@ PyObject* scribus_propertyctype(PyObject* /*self*/, PyObject* args, PyObject* kw
 		return nullptr;
 	objArg = nullptr; // no need to decref, it's borrowed
 
-	// Look up the property and retrive its type information
+	// Look up the property and retrieve its type information
 	const char* type = getpropertytype( (QObject*) obj, propertyname, includesuper);
 	if (type == nullptr)
 	{
@@ -217,7 +217,7 @@ PyObject* scribus_getpropertynames(PyObject* /*self*/, PyObject* args, PyObject*
 		return nullptr;
 	objArg = nullptr; // no need to decref, it's borrowed
 
-	// Retrive the object's meta object so we can query it
+	// Retrieve the object's meta object so we can query it
 	const QMetaObject* objmeta = obj->metaObject();
 	if (!objmeta)
 		return nullptr;
diff --git a/scribus/plugins/scriptplugin/cmdobj.cpp b/scribus/plugins/scriptplugin/cmdobj.cpp
index 4de78d02f7..d44fcf0e30 100644
--- a/scribus/plugins/scriptplugin/cmdobj.cpp
+++ b/scribus/plugins/scriptplugin/cmdobj.cpp
@@ -673,7 +673,7 @@ PyObject *scribus_getparagraphstyle(PyObject* /* self */, PyObject* args)
 /*
  * Craig Ringer, 2004-09-09
  * Apply the named style to the currently selected object.
- * pv, 2004-09-13, optionaly param objectName + "check the page" stuff
+ * pv, 2004-09-13, optionally param objectName + "check the page" stuff
  */
 PyObject *scribus_setparagraphstyle(PyObject* /* self */, PyObject* args)
 {
@@ -749,7 +749,7 @@ PyObject *scribus_setparagraphstyle(PyObject* /* self */, PyObject* args)
 /*
 * Jean Ghali, 2017-07-18
 * Apply the named character style to the currently selected object.
-* pv, 2004-09-13, optionaly param objectName + "check the page" stuff
+* pv, 2004-09-13, optionally param objectName + "check the page" stuff
 */
 PyObject *scribus_setcharstyle(PyObject* /* self */, PyObject* args)
 {
diff --git a/scribus/plugins/scriptplugin/cmdobj.h b/scribus/plugins/scriptplugin/cmdobj.h
index 8835045aee..ba05c5c04b 100644
--- a/scribus/plugins/scriptplugin/cmdobj.h
+++ b/scribus/plugins/scriptplugin/cmdobj.h
@@ -306,7 +306,7 @@ Deprecated. Use setParagraphStyle() instead.\n\
 /**
  Craig Ringer, 2004-09-09
  Apply the named style to the currently selected object.
- pv, 2004-09-13, optionaly param objectName + "check the page" stuff
+ pv, 2004-09-13, optionally param objectName + "check the page" stuff
  */
 PyObject *scribus_setparagraphstyle(PyObject * /*self*/, PyObject* args);
 
diff --git a/scribus/plugins/scriptplugin/cmdpage.h b/scribus/plugins/scriptplugin/cmdpage.h
index 2bd1954253..ac843de5c3 100644
--- a/scribus/plugins/scriptplugin/cmdpage.h
+++ b/scribus/plugins/scriptplugin/cmdpage.h
@@ -150,7 +150,7 @@ Returns a tuple with document page dimensions measured in the document's current
 See UNIT_<type> constants and getPageMargins()\n\
 "));
 /**
-returns a tuple with page domensions in used system
+returns a tuple with page dimensions in used system
 e.g. when is the doc in picas returns picas ;)
 (Petr Vanek 02/17/04)
 */
diff --git a/scribus/plugins/scriptplugin/cmdstyle.h b/scribus/plugins/scriptplugin/cmdstyle.h
index cf40c3bd63..0eb74cbe3a 100644
--- a/scribus/plugins/scriptplugin/cmdstyle.h
+++ b/scribus/plugins/scriptplugin/cmdstyle.h
@@ -41,7 +41,7 @@ dropcaplines [optional] -> height (in lines) of the caps if used\n\n\
 dropcapoffset [optional] -> offset of the caps if used\n\n\
 \"charstyle\" [optional] -> char style to use\n\n\
 \"bullet\" [optional] -> string to use as bullet\n\n\
-\"tabs\" [optional] -> a list containg tab definitions\n\n\
+\"tabs\" [optional] -> a list containing tab definitions\n\n\
 -> a tab is defined as a tuple with the following format (position,type,fillchar)\"\n\n\
 -> position [required] -> float value for the position\n\n\
 -> type [optional] -> left: 0 [default], right: 1, period: 2, comma: 3, center: 4\n\n\
@@ -60,7 +60,7 @@ Creates a character style. This function takes the following keyword parameters:
 \"name\" [required] -> name of the char style to create\n\n\
 \"font\" [optional] -> name of the font to use\n\n\
 fontsize [optional] -> font size to set (double)\n\n\
-\"features\" [optional] -> nearer typographic details can be defined by a string that might contain the following phrases comma-seperated (without spaces!):\n\n\
+\"features\" [optional] -> nearer typographic details can be defined by a string that might contain the following phrases comma-separated (without spaces!):\n\n\
 -> inherit\n\n\
 -> bold\n\n\
 -> italic\n\n\
diff --git a/scribus/plugins/scriptplugin/cmdutil.cpp b/scribus/plugins/scriptplugin/cmdutil.cpp
index 4ce47c9e10..bbb26392d7 100644
--- a/scribus/plugins/scriptplugin/cmdutil.cpp
+++ b/scribus/plugins/scriptplugin/cmdutil.cpp
@@ -30,7 +30,7 @@ double ValueToPoint(double Val)
 	return value2pts(Val, ScCore->primaryMainWindow()->doc->unitIndex());
 }
 
-/// Convert an X co-ordinate part in page units to a document co-ordinate
+/// Convert an X coordinate part in page units to a document coordinate
 /// in system units.
 double pageUnitXToDocX(double pageUnitX)
 {
@@ -43,9 +43,9 @@ double docUnitXToPageX(double pageUnitX)
 	return PointToValue(pageUnitX - ScCore->primaryMainWindow()->doc->currentPage()->xOffset());
 }
 
-/// Convert a Y co-ordinate part in page units to a document co-ordinate
-/// in system units. The document co-ordinates have their origin somewere
-/// up and left of the first page, where page co-ordinates have their
+/// Convert a Y coordinate part in page units to a document coordinate
+/// in system units. The document coordinates have their origin somewhere
+/// up and left of the first page, where page coordinates have their
 /// origin on the top left of the current page.
 double pageUnitYToDocY(double pageUnitY)
 {
@@ -233,7 +233,7 @@ TableBorder parseBorder(PyObject* borderLines, bool* ok)
 		return border;
 	}
 
-	// Parse each tuple decribing a border line and append it to the border.
+	// Parse each tuple describing a border line and append it to the border.
 	int nBorderLines = PyList_Size(borderLinesList);
 	for (int i = 0; i < nBorderLines; ++i)
 	{
diff --git a/scribus/plugins/scriptplugin/cmdutil.h b/scribus/plugins/scriptplugin/cmdutil.h
index bdd7a71541..fc2f3f2cd2 100644
--- a/scribus/plugins/scriptplugin/cmdutil.h
+++ b/scribus/plugins/scriptplugin/cmdutil.h
@@ -13,15 +13,15 @@ for which a new license (GPL+exception) is in place.
 double PointToValue(double Val);
 double ValueToPoint(double Val);
 
-/*! \brief Convert an X co-ordinate part in page units to a document co-ordinate in system units.
+/*! \brief Convert an X coordinate part in page units to a document coordinate in system units.
 */
 double pageUnitXToDocX(double pageUnitX);
 /// \brief Doc units -> page-relative units
 double docUnitXToPageX(double pageUnitX);
 
-/*! \brief Convert a Y co-ordinate part in page units to a document co-ordinate
-in system units. The document co-ordinates have their origin somewere
-up and left of the first page, where page co-ordinates have their
+/*! \brief Convert a Y coordinate part in page units to a document coordinate
+in system units. The document coordinates have their origin somewhere
+up and left of the first page, where page coordinates have their
 origin on the top left of the current page. */
 double pageUnitYToDocY(double pageUnitY);
 /// \brief Doc units -> page-relative units
diff --git a/scribus/plugins/scriptplugin/cmdvar.h b/scribus/plugins/scriptplugin/cmdvar.h
index aa5077d317..9f98656fda 100644
--- a/scribus/plugins/scriptplugin/cmdvar.h
+++ b/scribus/plugins/scriptplugin/cmdvar.h
@@ -48,7 +48,7 @@ for which a new license (GPL+exception) is in place.
 
 class ScripterCore;
 
-// Globals for testing Qt properties and probably other more intresting future
+// Globals for testing Qt properties and probably other more interesting future
 // uses.
 /** @brief A PyCObject containing a pointer to qApp */
 extern PyObject* wrappedQApp;
@@ -77,7 +77,7 @@ extern PyObject* NotFoundError;
 /*! Exception raised when the user tries to create an object with the same name as one that already exists */
 extern PyObject* NameExistsError;
 
-/*! A helper variable for better string comparsions to reduce warnings:
+/*! A helper variable for better string comparisons to reduce warnings:
 "warning: comparison with string literal results in unspecified behaviour"
 what is criticised by some linux distributors */
 #ifndef EMPTY_STRING
diff --git a/scribus/plugins/scriptplugin/objimageexport.h b/scribus/plugins/scriptplugin/objimageexport.h
index d26c59577b..0ec7d7c172 100644
--- a/scribus/plugins/scriptplugin/objimageexport.h
+++ b/scribus/plugins/scriptplugin/objimageexport.h
@@ -32,7 +32,7 @@ PyDoc_STRVAR(imgexp_alltypes__doc__, "Available image types. Read only list of s
 PyDoc_STRVAR(imgexp_dpi__doc__, "This value will be used for export as DPI. Read/write integer.");
 PyDoc_STRVAR(imgexp_filename__doc__, "Filename of the image. With or without path. Read/write string.");
 PyDoc_STRVAR(imgexp_quality__doc__, "Quality/compression: minimum 1 (poor), maximum 100 (qaulity). Read/write integer.");
-PyDoc_STRVAR(imgexp_scale__doc__, "This is the scaling of the image. 100 = 100% etc. Read/write iteger.");
+PyDoc_STRVAR(imgexp_scale__doc__, "This is the scaling of the image. 100 = 100% etc. Read/write integer.");
 PyDoc_STRVAR(imgexp_transparentBkgnd__doc__, "Enable or disable transparent background.");
 PyDoc_STRVAR(imgexp_type__doc__, "Bitmap type. See allTypes list for more info. Read/write string.");
 
diff --git a/scribus/plugins/scriptplugin/objpdffile.cpp b/scribus/plugins/scriptplugin/objpdffile.cpp
index 64a5251f27..e4bd4525c5 100644
--- a/scribus/plugins/scriptplugin/objpdffile.cpp
+++ b/scribus/plugins/scriptplugin/objpdffile.cpp
@@ -347,7 +347,7 @@ static int PDFfile_init(PDFfile *self, PyObject * /*args*/, PyObject * /*kwds*/)
 	ScribusDoc* currentDoc = ScCore->primaryMainWindow()->doc;
 	PDFOptions& pdfOptions = currentDoc->pdfOptions();
 
-	// Defaut save into file
+	// Default save into file
 	QString tf = pdfOptions.fileName;
 	if (tf.isEmpty())
 	{
@@ -1049,13 +1049,13 @@ static int PDFfile_seteffval(PDFfile *self, PyObject *value, void * /*closure*/)
 		PyObject *tmp = PyList_GetItem(value, i);
 		if (!PyList_Check(tmp))
 		{
-			PyErr_SetString(PyExc_TypeError, "elemets of 'effval' must be list of five integers.");
+			PyErr_SetString(PyExc_TypeError, "elements of 'effval' must be list of five integers.");
 			return -1;
 		}
 		int j = PyList_Size(tmp);
 		if (j != 6)
 		{
-			PyErr_SetString(PyExc_TypeError, "elemets of 'effval' must have exactly six integers.");
+			PyErr_SetString(PyExc_TypeError, "elements of 'effval' must have exactly six integers.");
 			return -1;
 		}
 		for (--j; j > -1; --j)
@@ -1492,7 +1492,7 @@ static PyObject *PDFfile_save(PDFfile *self)
 		PyObject *ti = PyList_GetItem(self->effval, i);
 		if (!ti)
 			continue;
-		// Do I Need to check if every PyLong_AsLong and PyList_GetItem funtion succeed???
+		// Do I Need to check if every PyLong_AsLong and PyList_GetItem function succeed???
 		t.pageEffectDuration = PyLong_AsLong(PyList_GetItem(ti, 0));
 		t.pageViewDuration = PyLong_AsLong(PyList_GetItem(ti, 1));
 		t.effectType = PyLong_AsLong(PyList_GetItem(ti, 2));
diff --git a/scribus/plugins/scriptplugin/objprinter.cpp b/scribus/plugins/scriptplugin/objprinter.cpp
index 82fa13a80e..0961ecc9bb 100644
--- a/scribus/plugins/scriptplugin/objprinter.cpp
+++ b/scribus/plugins/scriptplugin/objprinter.cpp
@@ -154,7 +154,7 @@ static int Printer_init(Printer *self, PyObject * /*args*/, PyObject * /*kwds*/)
 	PyObject *tmp2 = PyUnicode_FromString("File");
 	PyList_Append(self->allPrinters, tmp2);
 	Py_DECREF(tmp2);
-// as defaut set to print into file
+// as default set to print into file
 	PyObject *printer = nullptr;
 	printer = PyUnicode_FromString("File");
 	if (printer) {
diff --git a/scribus/plugins/scriptplugin/samples/ExtractText.py b/scribus/plugins/scriptplugin/samples/ExtractText.py
index a17e28b1e2..d039e9c752 100644
--- a/scribus/plugins/scriptplugin/samples/ExtractText.py
+++ b/scribus/plugins/scriptplugin/samples/ExtractText.py
@@ -12,7 +12,7 @@ this version 2008.02.28
 This program is free software; you can redistribute it and/or modify
 it under the terms of the  GPL, v2 (GNU General Public License as published by
 the Free Software Foundation, version 2 of the License), or any later version.
-See the Scribus Copyright page in the Help Browser for further informaton 
+See the Scribus Copyright page in the Help Browser for further information 
 about GPL, v2.
 
 SYNOPSIS
diff --git a/scribus/plugins/scriptplugin/samples/sample_db_usage.py b/scribus/plugins/scriptplugin/samples/sample_db_usage.py
index 1b3239bf0f..4456425be0 100644
--- a/scribus/plugins/scriptplugin/samples/sample_db_usage.py
+++ b/scribus/plugins/scriptplugin/samples/sample_db_usage.py
@@ -77,7 +77,7 @@ cur = conn.cursor()
 # get the list of the databases
 # it's like 'select * from dba_tables' in Oracle
 count = cur.execute('show tables')
-# formating the output
+# formatting the output
 result = str(count) + ' table(s) in the ' + dbname + ' database.\n\n'
 for i in cur.fetchall():
     result = result + i[0] + '\n'
diff --git a/scribus/plugins/scriptplugin/scriptercore.cpp b/scribus/plugins/scriptplugin/scriptercore.cpp
index 6151ea200f..08b2cee88c 100644
--- a/scribus/plugins/scriptplugin/scriptercore.cpp
+++ b/scribus/plugins/scriptplugin/scriptercore.cpp
@@ -40,7 +40,7 @@ for which a new license (GPL+exception) is in place.
 #include "prefscontext.h"
 #include "prefstable.h"
 #include "prefsmanager.h"
-#include "scribusapp.h" // need it to acces ScQApp->pythonScript & ScQApp->pythonScriptArgs
+#include "scribusapp.h" // need it to access ScQApp->pythonScript & ScQApp->pythonScriptArgs
 
 ScripterCore::ScripterCore(QWidget* parent)
 {
@@ -322,7 +322,7 @@ void ScripterCore::slotRunScriptFile(const QString& fileName, QStringList argume
 		if (!ScCore->usingGUI())
 			cm += QString("    traceback.print_exc()\n");
 		// We re-raise the exception so the return value of PyRun_StringFlags reflects
-		// the fact that an exception has ocurred.
+		// the fact that an exception has occurred.
 		cm        += QString("    raise\n");
 		// FIXME: if cmd contains chars outside 7bit ascii, might be problems
 		QByteArray cmd = cm.toUtf8();
@@ -338,7 +338,7 @@ void ScripterCore::slotRunScriptFile(const QString& fileName, QStringList argume
 			if (errorMsgPyStr == nullptr)
 			{
 				// It's rather unlikely that this will ever be reached - to get here
-				// we'd have to fail to retrive the string we just created.
+				// we'd have to fail to retrieve the string we just created.
 				qDebug("Error retrieving error message content after script exception!");
 				qDebug("Exception was:");
 				PyErr_Print();
diff --git a/scribus/plugins/scriptplugin/scriptplugin.cpp b/scribus/plugins/scriptplugin/scriptplugin.cpp
index ae44ced9fa..afc5aaec9b 100644
--- a/scribus/plugins/scriptplugin/scriptplugin.cpp
+++ b/scribus/plugins/scriptplugin/scriptplugin.cpp
@@ -252,7 +252,7 @@ char* tr(const char* docstringConstant)
 	// Alas, there's a lot of wasteful string copying going on
 	// here.
 	QString translated = QObject::tr(docstringConstant, "scripter docstring");
-	// pv - hack for ugly formating in console removing
+	// pv - hack for ugly formatting in console removing
 	translated.replace("\n\n", "<P>");
 	translated.replace('\n', " ");
 	translated.replace("<P>", "\n\n");
diff --git a/scribus/plugins/scriptplugin/scripts/Align_image_in_frame.py b/scribus/plugins/scriptplugin/scripts/Align_image_in_frame.py
index 2dac110cb8..4357a66669 100644
--- a/scribus/plugins/scriptplugin/scripts/Align_image_in_frame.py
+++ b/scribus/plugins/scriptplugin/scripts/Align_image_in_frame.py
@@ -37,7 +37,7 @@ class TkImageAlignmentWizard(Frame):
  
     def __init__(self, master=None):
         """ Setup the dialog """
-        # refernce to the localization dictionary
+        # reference to the localization dictionary
         self.key = 'English'
         Frame.__init__(self, master)
         self.grid()
diff --git a/scribus/plugins/scriptplugin/scripts/ColorChart.py b/scribus/plugins/scriptplugin/scripts/ColorChart.py
index b1df6f22a6..9228d194df 100644
--- a/scribus/plugins/scriptplugin/scripts/ColorChart.py
+++ b/scribus/plugins/scriptplugin/scripts/ColorChart.py
@@ -293,7 +293,7 @@ def createChart():
     scribus.setRedraw(False)
     for color in colorList:
         if (vSpaceUsedByField * (colorFieldCounter+1)) <= vSpaceAvailable:
-            # when there is enought space left draw a color field...
+            # when there is enough space left draw a color field...
 
             #calculate Position for new colorField
             h=leftMargin
@@ -318,7 +318,7 @@ def createChart():
             stepCompleted = stepCompleted+1
             scribus.progressSet(stepCompleted)
 
-    #make shure pages are redrawn
+    #make sure pages are redrawn
     scribus.setRedraw(True)
 
 
diff --git a/scribus/plugins/scriptplugin/scripts/Ligatursatz.py b/scribus/plugins/scriptplugin/scripts/Ligatursatz.py
index 981ce350e7..71f7bda05c 100644
--- a/scribus/plugins/scriptplugin/scripts/Ligatursatz.py
+++ b/scribus/plugins/scriptplugin/scripts/Ligatursatz.py
@@ -193,7 +193,7 @@ class Hyphenator:
             # points[1] = points[2] = points[-2] = points[-3] = 0
             # But it is necessary to do at least this, just to avoid empty
             # pieces. Otherwise, the pattern “von1” would lead for the
-            # word “von” to the result “[u"von", u""]” which is not intented.
+            # word “von” to the result “[u"von", u""]” which is not intended.
             points[1] = 0
             points[-2] = 0
         # Examine the points to build the pieces list.
@@ -326,7 +326,7 @@ class GermanLigatureSupport:
 
     4.) Combine both, “wortliste” and “pre-1901” in one single file
     > cat ../wortliste/wortliste ../wortliste/pre-1901 > full-list.utf8
-    The other available word lists currently do not provide informations
+    The other available word lists currently do not provide information
     about morpheme boundaries, so it does not make sense to use them.
 
     5.) Preprocess it
@@ -22235,7 +22235,7 @@ zzug4
         This is the content of the file “german.tr” of the Trennmuster
         project (both capital letters and small letters), adding LATIN
         CAPITAL LETTER SHARP S (ẞ) and LATIN SMALL LETTER LONG S (ſ). So it
-        contains all characters that occure in the original word list from
+        contains all characters that occurred in the original word list from
         which the patterns are generated. (So it is likely
         that is contains more characters than the patterns itself.)
 
@@ -22276,7 +22276,7 @@ class InstructionProvider(GermanLigatureSupport):
         all characters starting from this index position shifting to the
         right. False means that at this index there is a ZWNJ and this
         ZWNJ has to be removed. None means that nothing has to be done.
-        Of course, the list might be emtpy if my_word is empty. my_word
+        Of course, the list might be empty if my_word is empty. my_word
         is supposed to contain a single word, and not various words with
         whitespace. This function handles correctly the soft hyphen
         U+00AD and the following characters with canonical decomposition:
@@ -22291,13 +22291,13 @@ class InstructionProvider(GermanLigatureSupport):
         # Handle normalization…
         #
         # The string is yet folded, so only small letters need to be
-        # handeled. We substitute the decomposed form by the composed
+        # handled. We substitute the decomposed form by the composed
         # form (that is used in the pattern). To avoid a different
         # character count, we introduce a soft hyphen. This is okay,
         # because the soft hyphen will be ignored later anyway, and
         # ZWNJ are always inserted before normal characters and never
         # before soft hyphens. We handle only the minimum of
-        # canonical composition that really occures in our pattern.
+        # canonical composition that really occurs in our pattern.
         #
         # WARNING: This must be kept in synch with
         # GermanLigatureSupport.get_word_characters().
@@ -22537,7 +22537,7 @@ class StoryInterface:
         (constructor argument) currently exists in the current document,
         and it refers to a text frame.
         Postcondition: Returns an integer that represents the length
-        of the text. The mesurement unit of the length is provided
+        of the text. The measurement unit of the length is provided
         by Scribus. It is in Scribus 1.5.2 not “Unicode Scalar Values”,
         but “UTF16 code units”.
         """
@@ -22623,7 +22623,7 @@ def do_ligature_setting():
                     # However, we have made sure earlier that only Unicode
                     # Scalar Values inside BMP are in used_characters, so
                     # it is guaranteed that here the indexes are the same,
-                    # wether it is UTF16 or UTF32. So we can savely use
+                    # whether it is UTF16 or UTF32. So we can savely use
                     # these indexes to do our modifications in Scribus.
                     if instruction_list[j] == True:
                         # Insert here a ZWNJ.
@@ -22784,7 +22784,7 @@ def do_ligature_setting():
             # for the hole story (means, also for all linked text
             # frames). Result: If the user has selected various linked
             # text frames of the same story, than we do all the same
-            # work various times. That’s quite inefficent, but however
+            # work various times. That’s quite inefficient, but however
             # I don’t know how to prevent this.
             ligature_setting_for_story(my_textframe, my_provider)
             # Clean the text selection for this Scribus object
diff --git a/scribus/plugins/scriptplugin/scripts/csv2color.py b/scribus/plugins/scriptplugin/scripts/csv2color.py
index 1e042e06ea..ff80315b12 100644
--- a/scribus/plugins/scriptplugin/scripts/csv2color.py
+++ b/scribus/plugins/scriptplugin/scripts/csv2color.py
@@ -11,7 +11,7 @@ The file must be a text file with comma separated values in the following format
 "colorname", c,m,y,k 
 
 There must be a document opend in scribus where the colors can be defined in. 
-If the csv contanins one or more color names that already exist in the document, the colors will be imported with a `*` as prefix.
+If the csv contains one or more color names that already exist in the document, the colors will be imported with a `*` as prefix.
 
 This script is especially helpful if you want to use CMYK color representations of color systems like HKS, Pantone or RAL in Scribus. Lots of such CMYK translation tables can be found on the Web. 
 One can easily copy such a table into a text file, save it in the obove described format and import it into a scribus document.
diff --git a/scribus/plugins/scriptplugin/scripts/importcsv2table.py b/scribus/plugins/scriptplugin/scripts/importcsv2table.py
index 8efd2b6895..5c5ffc12b0 100644
--- a/scribus/plugins/scriptplugin/scripts/importcsv2table.py
+++ b/scribus/plugins/scriptplugin/scripts/importcsv2table.py
@@ -82,7 +82,7 @@ except ImportError as err:
 #########################
 import csv
 
-#get information about the area where the bale should be drawed
+#get information about the area where the bale should be drawn
 def getPosition():
     if scribus.selectionCount() == 1:
         areaname = scribus.getSelectedObject()
diff --git a/scribus/plugins/scriptplugin_py2x/cmdgetsetprop.cpp b/scribus/plugins/scriptplugin_py2x/cmdgetsetprop.cpp
index 1ba08de0b7..859cc263f4 100644
--- a/scribus/plugins/scriptplugin_py2x/cmdgetsetprop.cpp
+++ b/scribus/plugins/scriptplugin_py2x/cmdgetsetprop.cpp
@@ -77,7 +77,7 @@ PyObject* scribus_propertyctype(PyObject* /*self*/, PyObject* args, PyObject* kw
 		return nullptr;
 	objArg = nullptr; // no need to decref, it's borrowed
 
-	// Look up the property and retrive its type information
+	// Look up the property and retrieve its type information
 	const char* type = getpropertytype( (QObject*)obj, propertyname, includesuper);
 	if (type == nullptr)
 	{
@@ -217,7 +217,7 @@ PyObject* scribus_getpropertynames(PyObject* /*self*/, PyObject* args, PyObject*
 		return nullptr;
 	objArg = nullptr; // no need to decref, it's borrowed
 
-	// Retrive the object's meta object so we can query it
+	// Retrieve the object's meta object so we can query it
 	const QMetaObject* objmeta = obj->metaObject();
 	if (!objmeta)
 		return nullptr;
diff --git a/scribus/plugins/scriptplugin_py2x/cmdobj.cpp b/scribus/plugins/scriptplugin_py2x/cmdobj.cpp
index dd04eea403..3ea0ee284a 100644
--- a/scribus/plugins/scriptplugin_py2x/cmdobj.cpp
+++ b/scribus/plugins/scriptplugin_py2x/cmdobj.cpp
@@ -673,7 +673,7 @@ PyObject *scribus_getparagraphstyle(PyObject* /* self */, PyObject* args)
 /*
  * Craig Ringer, 2004-09-09
  * Apply the named style to the currently selected object.
- * pv, 2004-09-13, optionaly param objectName + "check the page" stuff
+ * pv, 2004-09-13, optionally param objectName + "check the page" stuff
  */
 PyObject *scribus_setparagraphstyle(PyObject* /* self */, PyObject* args)
 {
@@ -749,7 +749,7 @@ PyObject *scribus_setparagraphstyle(PyObject* /* self */, PyObject* args)
 /*
 * Jean Ghali, 2017-07-18
 * Apply the named character style to the currently selected object.
-* pv, 2004-09-13, optionaly param objectName + "check the page" stuff
+* pv, 2004-09-13, optionally param objectName + "check the page" stuff
 */
 PyObject *scribus_setcharstyle(PyObject* /* self */, PyObject* args)
 {
diff --git a/scribus/plugins/scriptplugin_py2x/cmdobj.h b/scribus/plugins/scriptplugin_py2x/cmdobj.h
index 8835045aee..ba05c5c04b 100644
--- a/scribus/plugins/scriptplugin_py2x/cmdobj.h
+++ b/scribus/plugins/scriptplugin_py2x/cmdobj.h
@@ -306,7 +306,7 @@ Deprecated. Use setParagraphStyle() instead.\n\
 /**
  Craig Ringer, 2004-09-09
  Apply the named style to the currently selected object.
- pv, 2004-09-13, optionaly param objectName + "check the page" stuff
+ pv, 2004-09-13, optionally param objectName + "check the page" stuff
  */
 PyObject *scribus_setparagraphstyle(PyObject * /*self*/, PyObject* args);
 
diff --git a/scribus/plugins/scriptplugin_py2x/cmdpage.h b/scribus/plugins/scriptplugin_py2x/cmdpage.h
index 2bd1954253..ac843de5c3 100644
--- a/scribus/plugins/scriptplugin_py2x/cmdpage.h
+++ b/scribus/plugins/scriptplugin_py2x/cmdpage.h
@@ -150,7 +150,7 @@ Returns a tuple with document page dimensions measured in the document's current
 See UNIT_<type> constants and getPageMargins()\n\
 "));
 /**
-returns a tuple with page domensions in used system
+returns a tuple with page dimensions in used system
 e.g. when is the doc in picas returns picas ;)
 (Petr Vanek 02/17/04)
 */
diff --git a/scribus/plugins/scriptplugin_py2x/cmdstyle.h b/scribus/plugins/scriptplugin_py2x/cmdstyle.h
index 218133786e..01c214c70a 100644
--- a/scribus/plugins/scriptplugin_py2x/cmdstyle.h
+++ b/scribus/plugins/scriptplugin_py2x/cmdstyle.h
@@ -41,7 +41,7 @@ dropcaplines [optional] -> height (in lines) of the caps if used\n\n\
 dropcapoffset [optional] -> offset of the caps if used\n\n\
 \"charstyle\" [optional] -> char style to use\n\n\
 \"bullet\" [optional] -> string to use as bullet\n\n\
-\"tabs\" [optional] -> a list containg tab definitions\n\n\
+\"tabs\" [optional] -> a list containing tab definitions\n\n\
 -> a tab is defined as a tuple with the following format (position,type,fillchar)\"\n\n\
 -> position [required] -> float value for the position\n\n\
 -> type [optional] -> left: 0 [default], right: 1, period: 2, comma: 3, center: 4\n\n\
@@ -60,7 +60,7 @@ Creates a character style. This function takes the following keyword parameters:
 \"name\" [required] -> name of the char style to create\n\n\
 \"font\" [optional] -> name of the font to use\n\n\
 fontsize [optional] -> font size to set (double)\n\n\
-\"features\" [optional] -> nearer typographic details can be defined by a string that might contain the following phrases comma-seperated (without spaces!):\n\n\
+\"features\" [optional] -> nearer typographic details can be defined by a string that might contain the following phrases comma-separated (without spaces!):\n\n\
 -> inherit\n\n\
 -> bold\n\n\
 -> italic\n\n\
diff --git a/scribus/plugins/scriptplugin_py2x/cmdutil.cpp b/scribus/plugins/scriptplugin_py2x/cmdutil.cpp
index 90fe8ad9c2..3ff68d8857 100644
--- a/scribus/plugins/scriptplugin_py2x/cmdutil.cpp
+++ b/scribus/plugins/scriptplugin_py2x/cmdutil.cpp
@@ -30,7 +30,7 @@ double ValueToPoint(double Val)
 	return value2pts(Val, ScCore->primaryMainWindow()->doc->unitIndex());
 }
 
-/// Convert an X co-ordinate part in page units to a document co-ordinate
+/// Convert an X coordinate part in page units to a document coordinate
 /// in system units.
 double pageUnitXToDocX(double pageUnitX)
 {
@@ -43,9 +43,9 @@ double docUnitXToPageX(double pageUnitX)
 	return PointToValue(pageUnitX - ScCore->primaryMainWindow()->doc->currentPage()->xOffset());
 }
 
-/// Convert a Y co-ordinate part in page units to a document co-ordinate
-/// in system units. The document co-ordinates have their origin somewere
-/// up and left of the first page, where page co-ordinates have their
+/// Convert a Y coordinate part in page units to a document coordinate
+/// in system units. The document coordinates have their origin somewhere
+/// up and left of the first page, where page coordinates have their
 /// origin on the top left of the current page.
 double pageUnitYToDocY(double pageUnitY)
 {
@@ -233,7 +233,7 @@ TableBorder parseBorder(PyObject* borderLines, bool* ok)
 		return border;
 	}
 
-	// Parse each tuple decribing a border line and append it to the border.
+	// Parse each tuple describing a border line and append it to the border.
 	int nBorderLines = PyList_Size(borderLinesList);
 	for (int i = 0; i < nBorderLines; ++i)
 	{
diff --git a/scribus/plugins/scriptplugin_py2x/cmdutil.h b/scribus/plugins/scriptplugin_py2x/cmdutil.h
index 507478a9f4..1dc6165f22 100644
--- a/scribus/plugins/scriptplugin_py2x/cmdutil.h
+++ b/scribus/plugins/scriptplugin_py2x/cmdutil.h
@@ -13,15 +13,15 @@ for which a new license (GPL+exception) is in place.
 double PointToValue(double Val);
 double ValueToPoint(double Val);
 
-/*! \brief Convert an X co-ordinate part in page units to a document co-ordinate in system units.
+/*! \brief Convert an X coordinate part in page units to a document coordinate in system units.
 */
 double pageUnitXToDocX(double pageUnitX);
 /// \brief Doc units -> page-relative units
 double docUnitXToPageX(double pageUnitX);
 
-/*! \brief Convert a Y co-ordinate part in page units to a document co-ordinate
-in system units. The document co-ordinates have their origin somewere
-up and left of the first page, where page co-ordinates have their
+/*! \brief Convert a Y coordinate part in page units to a document coordinate
+in system units. The document coordinates have their origin somewhere
+up and left of the first page, where page coordinates have their
 origin on the top left of the current page. */
 double pageUnitYToDocY(double pageUnitY);
 /// \brief Doc units -> page-relative units
diff --git a/scribus/plugins/scriptplugin_py2x/cmdvar.h b/scribus/plugins/scriptplugin_py2x/cmdvar.h
index 1ec6c43568..70f5b806cb 100644
--- a/scribus/plugins/scriptplugin_py2x/cmdvar.h
+++ b/scribus/plugins/scriptplugin_py2x/cmdvar.h
@@ -39,7 +39,7 @@ for which a new license (GPL+exception) is in place.
 
 class ScripterCore;
 
-// Globals for testing Qt properties and probably other more intresting future
+// Globals for testing Qt properties and probably other more interesting future
 // uses.
 /** @brief A PyCObject containing a pointer to qApp */
 extern PyObject* wrappedQApp;
@@ -66,7 +66,7 @@ extern PyObject* NotFoundError;
 /*! Exception raised when the user tries to create an object with the same name as one that already exists */
 extern PyObject* NameExistsError;
 
-/*! A helper variable for better string comparsions to reduce warnings:
+/*! A helper variable for better string comparisons to reduce warnings:
 "warning: comparison with string literal results in unspecified behaviour"
 what is criticised by some linux distributors */
 #ifndef EMPTY_STRING
diff --git a/scribus/plugins/scriptplugin_py2x/objimageexport.h b/scribus/plugins/scriptplugin_py2x/objimageexport.h
index d26c59577b..0ec7d7c172 100644
--- a/scribus/plugins/scriptplugin_py2x/objimageexport.h
+++ b/scribus/plugins/scriptplugin_py2x/objimageexport.h
@@ -32,7 +32,7 @@ PyDoc_STRVAR(imgexp_alltypes__doc__, "Available image types. Read only list of s
 PyDoc_STRVAR(imgexp_dpi__doc__, "This value will be used for export as DPI. Read/write integer.");
 PyDoc_STRVAR(imgexp_filename__doc__, "Filename of the image. With or without path. Read/write string.");
 PyDoc_STRVAR(imgexp_quality__doc__, "Quality/compression: minimum 1 (poor), maximum 100 (qaulity). Read/write integer.");
-PyDoc_STRVAR(imgexp_scale__doc__, "This is the scaling of the image. 100 = 100% etc. Read/write iteger.");
+PyDoc_STRVAR(imgexp_scale__doc__, "This is the scaling of the image. 100 = 100% etc. Read/write integer.");
 PyDoc_STRVAR(imgexp_transparentBkgnd__doc__, "Enable or disable transparent background.");
 PyDoc_STRVAR(imgexp_type__doc__, "Bitmap type. See allTypes list for more info. Read/write string.");
 
diff --git a/scribus/plugins/scriptplugin_py2x/objpdffile.cpp b/scribus/plugins/scriptplugin_py2x/objpdffile.cpp
index 186bd1e073..4eb3737568 100644
--- a/scribus/plugins/scriptplugin_py2x/objpdffile.cpp
+++ b/scribus/plugins/scriptplugin_py2x/objpdffile.cpp
@@ -347,7 +347,7 @@ static int PDFfile_init(PDFfile *self, PyObject * /*args*/, PyObject * /*kwds*/)
 	ScribusDoc* currentDoc = ScCore->primaryMainWindow()->doc;
 	PDFOptions& pdfOptions = currentDoc->pdfOptions();
 
-	// Defaut save into file
+	// Default save into file
 	QString tf = pdfOptions.fileName;
 	if (tf.isEmpty())
 	{
@@ -1049,13 +1049,13 @@ static int PDFfile_seteffval(PDFfile *self, PyObject *value, void * /*closure*/)
 		PyObject *tmp = PyList_GetItem(value, i);
 		if (!PyList_Check(tmp))
 		{
-			PyErr_SetString(PyExc_TypeError, "elemets of 'effval' must be list of five integers.");
+			PyErr_SetString(PyExc_TypeError, "elements of 'effval' must be list of five integers.");
 			return -1;
 		}
 		int j = PyList_Size(tmp);
 		if (j != 6)
 		{
-			PyErr_SetString(PyExc_TypeError, "elemets of 'effval' must have exactly six integers.");
+			PyErr_SetString(PyExc_TypeError, "elements of 'effval' must have exactly six integers.");
 			return -1;
 		}
 		for (--j; j > -1; --j)
@@ -1492,7 +1492,7 @@ static PyObject *PDFfile_save(PDFfile *self)
 		PyObject *ti = PyList_GetItem(self->effval, i);
 		if (!ti)
 			continue;
-		// Do I Need to check if every PyInt_AsLong and PyList_GetItem funtion succeed???
+		// Do I Need to check if every PyInt_AsLong and PyList_GetItem function succeed???
 		t.pageEffectDuration = PyInt_AsLong(PyList_GetItem(ti, 0));
 		t.pageViewDuration = PyInt_AsLong(PyList_GetItem(ti, 1));
 		t.effectType = PyInt_AsLong(PyList_GetItem(ti, 2));
diff --git a/scribus/plugins/scriptplugin_py2x/objprinter.cpp b/scribus/plugins/scriptplugin_py2x/objprinter.cpp
index f7163e8dc4..622c38c9a5 100644
--- a/scribus/plugins/scriptplugin_py2x/objprinter.cpp
+++ b/scribus/plugins/scriptplugin_py2x/objprinter.cpp
@@ -154,7 +154,7 @@ static int Printer_init(Printer *self, PyObject * /*args*/, PyObject * /*kwds*/)
 	PyObject *tmp2 = PyString_FromString("File");
 	PyList_Append(self->allPrinters, tmp2);
 	Py_DECREF(tmp2);
-// as defaut set to print into file
+// as default set to print into file
 	PyObject *printer = nullptr;
 	printer = PyString_FromString("File");
 	if (printer) {
diff --git a/scribus/plugins/scriptplugin_py2x/samples/ExtractText.py b/scribus/plugins/scriptplugin_py2x/samples/ExtractText.py
index 6c0bfab85c..f8cdd15e6f 100644
--- a/scribus/plugins/scriptplugin_py2x/samples/ExtractText.py
+++ b/scribus/plugins/scriptplugin_py2x/samples/ExtractText.py
@@ -12,7 +12,7 @@ this version 2008.02.28
 This program is free software; you can redistribute it and/or modify
 it under the terms of the  GPL, v2 (GNU General Public License as published by
 the Free Software Foundation, version 2 of the License), or any later version.
-See the Scribus Copyright page in the Help Browser for further informaton 
+See the Scribus Copyright page in the Help Browser for further information 
 about GPL, v2.
 
 SYNOPSIS
diff --git a/scribus/plugins/scriptplugin_py2x/samples/sample_db_usage.py b/scribus/plugins/scriptplugin_py2x/samples/sample_db_usage.py
index 3449015d84..2ccbca9ace 100644
--- a/scribus/plugins/scriptplugin_py2x/samples/sample_db_usage.py
+++ b/scribus/plugins/scriptplugin_py2x/samples/sample_db_usage.py
@@ -77,7 +77,7 @@ cur = conn.cursor()
 # get the list of the databases
 # it's like 'select * from dba_tables' in Oracle
 count = cur.execute('show tables')
-# formating the output
+# formatting the output
 result = str(count) + ' table(s) in the ' + dbname + ' database.\n\n'
 for i in cur.fetchall():
     result = result + i[0] + '\n'
diff --git a/scribus/plugins/scriptplugin_py2x/scriptercore.cpp b/scribus/plugins/scriptplugin_py2x/scriptercore.cpp
index e8a9f1583f..efb47a3621 100644
--- a/scribus/plugins/scriptplugin_py2x/scriptercore.cpp
+++ b/scribus/plugins/scriptplugin_py2x/scriptercore.cpp
@@ -40,7 +40,7 @@ for which a new license (GPL+exception) is in place.
 #include "prefscontext.h"
 #include "prefstable.h"
 #include "prefsmanager.h"
-#include "scribusapp.h" // need it to acces ScQApp->pythonScript & ScQApp->pythonScriptArgs
+#include "scribusapp.h" // need it to access ScQApp->pythonScript & ScQApp->pythonScriptArgs
 
 ScripterCore::ScripterCore(QWidget* parent)
 {
@@ -322,7 +322,7 @@ void ScripterCore::slotRunScriptFile(const QString& fileName, QStringList argume
 		if (!ScCore->usingGUI())
 			cm += QString("    traceback.print_exc()\n");
 		// We re-raise the exception so the return value of PyRun_StringFlags reflects
-		// the fact that an exception has ocurred.
+		// the fact that an exception has occurred.
 		cm        += QString("    raise\n");
 		// FIXME: if cmd contains chars outside 7bit ascii, might be problems
 		QByteArray cmd = cm.toUtf8();
@@ -338,7 +338,7 @@ void ScripterCore::slotRunScriptFile(const QString& fileName, QStringList argume
 			if (errorMsgPyStr == nullptr)
 			{
 				// It's rather unlikely that this will ever be reached - to get here
-				// we'd have to fail to retrive the string we just created.
+				// we'd have to fail to retrieve the string we just created.
 				qDebug("Error retrieving error message content after script exception!");
 				qDebug("Exception was:");
 				PyErr_Print();
diff --git a/scribus/plugins/scriptplugin_py2x/scriptplugin.cpp b/scribus/plugins/scriptplugin_py2x/scriptplugin.cpp
index e22ca8950b..44af839115 100644
--- a/scribus/plugins/scriptplugin_py2x/scriptplugin.cpp
+++ b/scribus/plugins/scriptplugin_py2x/scriptplugin.cpp
@@ -252,7 +252,7 @@ char* tr(const char* docstringConstant)
 	// Alas, there's a lot of wasteful string copying going on
 	// here.
 	QString translated = QObject::tr(docstringConstant, "scripter docstring");
-	// pv - hack for ugly formating in console removing
+	// pv - hack for ugly formatting in console removing
 	translated.replace("\n\n", "<P>");
 	translated.replace('\n', " ");
 	translated.replace("<P>", "\n\n");
diff --git a/scribus/plugins/scriptplugin_py2x/scripts/Align_image_in_frame.py b/scribus/plugins/scriptplugin_py2x/scripts/Align_image_in_frame.py
index 8d780fd833..78650ac065 100644
--- a/scribus/plugins/scriptplugin_py2x/scripts/Align_image_in_frame.py
+++ b/scribus/plugins/scriptplugin_py2x/scripts/Align_image_in_frame.py
@@ -38,7 +38,7 @@ class TkImageAlignmentWizard(Frame):
  
     def __init__(self, master=None):
         """ Setup the dialog """
-        # refernce to the localization dictionary
+        # reference to the localization dictionary
         self.key = 'English'
         Frame.__init__(self, master)
         self.grid()
diff --git a/scribus/plugins/scriptplugin_py2x/scripts/ColorChart.py b/scribus/plugins/scriptplugin_py2x/scripts/ColorChart.py
index adb1ff2604..a924c5f727 100644
--- a/scribus/plugins/scriptplugin_py2x/scripts/ColorChart.py
+++ b/scribus/plugins/scriptplugin_py2x/scripts/ColorChart.py
@@ -293,7 +293,7 @@ def createChart():
     scribus.setRedraw(False)
     for color in colorList:
         if (vSpaceUsedByField * (colorFieldCounter+1)) <= vSpaceAvailable:
-            # when there is enought space left draw a color field...
+            # when there is enough space left draw a color field...
 
             #calculate Position for new colorField
             h=leftMargin
@@ -318,7 +318,7 @@ def createChart():
             stepCompleted = stepCompleted+1
             scribus.progressSet(stepCompleted)
 
-    #make shure pages are redrawn
+    #make sure pages are redrawn
     scribus.setRedraw(True)
 
 
diff --git a/scribus/plugins/scriptplugin_py2x/scripts/Ligatursatz.py b/scribus/plugins/scriptplugin_py2x/scripts/Ligatursatz.py
index c2803d4338..4c61f36119 100644
--- a/scribus/plugins/scriptplugin_py2x/scripts/Ligatursatz.py
+++ b/scribus/plugins/scriptplugin_py2x/scripts/Ligatursatz.py
@@ -193,7 +193,7 @@ class Hyphenator:
             # points[1] = points[2] = points[-2] = points[-3] = 0
             # But it is necessary to do at least this, just to avoid empty
             # pieces. Otherwise, the pattern “von1” would lead for the
-            # word “von” to the result “[u"von", u""]” which is not intented.
+            # word “von” to the result “[u"von", u""]” which is not intended.
             points[1] = 0
             points[-2] = 0
         # Examine the points to build the pieces list.
@@ -326,7 +326,7 @@ class GermanLigatureSupport:
 
     4.) Combine both, “wortliste” and “pre-1901” in one single file
     > cat ../wortliste/wortliste ../wortliste/pre-1901 > full-list.utf8
-    The other available word lists currently do not provide informations
+    The other available word lists currently do not provide information
     about morpheme boundaries, so it does not make sense to use them.
 
     5.) Preprocess it
@@ -22235,7 +22235,7 @@ zzug4
         This is the content of the file “german.tr” of the Trennmuster
         project (both capital letters and small letters), adding LATIN
         CAPITAL LETTER SHARP S (ẞ) and LATIN SMALL LETTER LONG S (ſ). So it
-        contains all characters that occure in the original word list from
+        contains all characters that occurred in the original word list from
         which the patterns are generated. (So it is likely
         that is contains more characters than the patterns itself.)
 
@@ -22276,7 +22276,7 @@ class InstructionProvider(GermanLigatureSupport):
         all characters starting from this index position shifting to the
         right. False means that at this index there is a ZWNJ and this
         ZWNJ has to be removed. None means that nothing has to be done.
-        Of course, the list might be emtpy if my_word is empty. my_word
+        Of course, the list might be empty if my_word is empty. my_word
         is supposed to contain a single word, and not various words with
         whitespace. This function handles correctly the soft hyphen
         U+00AD and the following characters with canonical decomposition:
@@ -22291,13 +22291,13 @@ class InstructionProvider(GermanLigatureSupport):
         # Handle normalization…
         #
         # The string is yet folded, so only small letters need to be
-        # handeled. We substitute the decomposed form by the composed
+        # handled. We substitute the decomposed form by the composed
         # form (that is used in the pattern). To avoid a different
         # character count, we introduce a soft hyphen. This is okay,
         # because the soft hyphen will be ignored later anyway, and
         # ZWNJ are always inserted before normal characters and never
         # before soft hyphens. We handle only the minimum of
-        # canonical composition that really occures in our pattern.
+        # canonical composition that really occurs in our pattern.
         #
         # WARNING: This must be kept in synch with
         # GermanLigatureSupport.get_word_characters().
@@ -22537,7 +22537,7 @@ class StoryInterface:
         (constructor argument) currently exists in the current document,
         and it refers to a text frame.
         Postcondition: Returns an integer that represents the length
-        of the text. The mesurement unit of the length is provided
+        of the text. The measurement unit of the length is provided
         by Scribus. It is in Scribus 1.5.2 not “Unicode Scalar Values”,
         but “UTF16 code units”.
         """
@@ -22623,7 +22623,7 @@ def do_ligature_setting():
                     # However, we have made sure earlier that only Unicode
                     # Scalar Values inside BMP are in used_characters, so
                     # it is guaranteed that here the indexes are the same,
-                    # wether it is UTF16 or UTF32. So we can savely use
+                    # whether it is UTF16 or UTF32. So we can savely use
                     # these indexes to do our modifications in Scribus.
                     if instruction_list[j] == True:
                         # Insert here a ZWNJ.
@@ -22784,7 +22784,7 @@ def do_ligature_setting():
             # for the hole story (means, also for all linked text
             # frames). Result: If the user has selected various linked
             # text frames of the same story, than we do all the same
-            # work various times. That’s quite inefficent, but however
+            # work various times. That’s quite inefficient, but however
             # I don’t know how to prevent this.
             ligature_setting_for_story(my_textframe, my_provider)
             # Clean the text selection for this Scribus object
diff --git a/scribus/plugins/scriptplugin_py2x/scripts/csv2color.py b/scribus/plugins/scriptplugin_py2x/scripts/csv2color.py
index b888be3c3a..5002edbef4 100644
--- a/scribus/plugins/scriptplugin_py2x/scripts/csv2color.py
+++ b/scribus/plugins/scriptplugin_py2x/scripts/csv2color.py
@@ -11,7 +11,7 @@ The file must be a text file with comma separated values in the following format
 "colorname", c,m,y,k 
 
 There must be a document opend in scribus where the colors can be defined in. 
-If the csv contanins one or more color names that already exist in the document, the colors will be imported with a `*` as prefix.
+If the csv contains one or more color names that already exist in the document, the colors will be imported with a `*` as prefix.
 
 This script is especially helpful if you want to use CMYK color representations of color systems like HKS, Pantone or RAL in Scribus. Lots of such CMYK translation tables can be found on the Web. 
 One can easily copy such a table into a text file, save it in the obove described format and import it into a scribus document.
diff --git a/scribus/plugins/scriptplugin_py2x/scripts/importcsv2table.py b/scribus/plugins/scriptplugin_py2x/scripts/importcsv2table.py
index 05c71004f2..05436106d8 100644
--- a/scribus/plugins/scriptplugin_py2x/scripts/importcsv2table.py
+++ b/scribus/plugins/scriptplugin_py2x/scripts/importcsv2table.py
@@ -82,7 +82,7 @@ except ImportError,err:
 #########################
 import csv
 
-#get information about the area where the bale should be drawed
+#get information about the area where the bale should be drawn
 def getPosition():
     if scribus.selectionCount() == 1:
         areaname = scribus.getSelectedObject()
diff --git a/scribus/plugins/short-words/configuration.cpp b/scribus/plugins/short-words/configuration.cpp
index 20d9494151..afd424b1c7 100644
--- a/scribus/plugins/short-words/configuration.cpp
+++ b/scribus/plugins/short-words/configuration.cpp
@@ -4,11 +4,11 @@ to the COPYING file provided with the program. Following this notice may exist
 a copyright and/or license notice that predates the release of Scribus 1.3.2
 for which a new license (GPL+exception) is in place.
 */
-/* This is the Scribus Short Words configuratin implementation.
+/* This is the Scribus Short Words configuration implementation.
 There will be interface for the future Scribus central plugin
 config center. maybe :)
 
-This code is based on the Scribus-Vlna plug in rewritten for
+This code is based on the Scribus-Vlna plugin rewritten for
 international use.
 
 2004 Petr Vanek <petr@yarpen.cz>
diff --git a/scribus/plugins/short-words/configuration.h b/scribus/plugins/short-words/configuration.h
index 4b4e01618d..2d2011656f 100644
--- a/scribus/plugins/short-words/configuration.h
+++ b/scribus/plugins/short-words/configuration.h
@@ -13,11 +13,11 @@ class QString;
 class QStringList;
 class PrefsContext;
 
-/*! \brief This is the Scribus Short Words configuratin specification.
-Methods of this class read config files and PrefsManager context informations.
+/*! \brief This is the Scribus Short Words configuration specification.
+Methods of this class read config files and PrefsManager context information.
 Preferences GUI is in SWPrefsGui.
 
-This code is based on the Scribus-Vlna plug in rewritten for
+This code is based on the Scribus-Vlna plugin rewritten for
 international use.
 
 \author Petr Vanek <petr@yarpen.cz> with contributors.
diff --git a/scribus/plugins/short-words/parse.cpp b/scribus/plugins/short-words/parse.cpp
index dd301cb4bf..ebd0b2f552 100644
--- a/scribus/plugins/short-words/parse.cpp
+++ b/scribus/plugins/short-words/parse.cpp
@@ -6,7 +6,7 @@ for which a new license (GPL+exception) is in place.
 */
 /* This is the Scribus Short Words plugin main mechanism.
 
-This code is based on the Scribus-Vlna plug in rewritten for
+This code is based on the Scribus-Vlna plugin rewritten for
 international use.
 
 2004 Petr Vanek <petr@yarpen.cz>
diff --git a/scribus/plugins/short-words/parse.h b/scribus/plugins/short-words/parse.h
index 50d27569a9..aae3cdc65b 100644
--- a/scribus/plugins/short-words/parse.h
+++ b/scribus/plugins/short-words/parse.h
@@ -15,8 +15,8 @@ class PageItem;
 
 /*! \brief This is the Scribus Short Words plugin main mechanism.
 
-It walks trough the user specified objects and apply the spaces.
-This code is based on the Scribus-Vlna plug in rewritten for
+It walks through the user specified objects and applies the spaces.
+This code is based on the Scribus-Vlna plugin rewritten for
 international use.
 
 \author Petr Vanek <petr@yarpen.cz> with contributors.
@@ -42,7 +42,7 @@ public:
 	description in the code of this method.
 	\param aFrame pointer to the existing text frame */
 	void parseItem(PageItem *aFrame);
-	/*! \brief selcted frames on the page */
+	/*! \brief selected frames on the page */
 	void parseSelection(ScribusDoc* doc);
 	/*! \brief one page - using actual page */
 	void parsePage(ScribusDoc* doc);
diff --git a/scribus/plugins/short-words/shortwords.cpp b/scribus/plugins/short-words/shortwords.cpp
index ec73078676..8f1ca0e174 100644
--- a/scribus/plugins/short-words/shortwords.cpp
+++ b/scribus/plugins/short-words/shortwords.cpp
@@ -6,7 +6,7 @@ for which a new license (GPL+exception) is in place.
 */
 /* This is the Scribus Short Words plugin interface implementation.
 
-This code is based on the Scribus-Vlna plug in rewritten for
+This code is based on the Scribus-Vlna plugin rewritten for
 international use.
 
 2004 Petr Vanek <petr@yarpen.cz>
diff --git a/scribus/plugins/short-words/shortwords.h b/scribus/plugins/short-words/shortwords.h
index 3d3cd67de5..1dc74a6dce 100644
--- a/scribus/plugins/short-words/shortwords.h
+++ b/scribus/plugins/short-words/shortwords.h
@@ -14,7 +14,7 @@ for which a new license (GPL+exception) is in place.
 
 /*! \brief This is the Scribus Short Words plugin interface specification.
 
-This code is based on the Scribus-Vlna plug in rewritten for
+This code is based on the Scribus-Vlna plugin rewritten for
 international use.
 
 \author Petr Vanek <petr@yarpen.cz>
diff --git a/scribus/plugins/short-words/swdialog.cpp b/scribus/plugins/short-words/swdialog.cpp
index f3100a9a68..b437978d16 100644
--- a/scribus/plugins/short-words/swdialog.cpp
+++ b/scribus/plugins/short-words/swdialog.cpp
@@ -6,7 +6,7 @@ for which a new license (GPL+exception) is in place.
 */
 /* This is the Scribus Short Words GUI class implementation.
 
-This code is based on the Scribus-Vlna plug in rewritten for
+This code is based on the Scribus-Vlna plugin rewritten for
 international use.
 
 2004 Petr Vanek <petr@yarpen.cz>
diff --git a/scribus/plugins/short-words/swdialog.h b/scribus/plugins/short-words/swdialog.h
index aaba51dec9..c8cb84d2d8 100644
--- a/scribus/plugins/short-words/swdialog.h
+++ b/scribus/plugins/short-words/swdialog.h
@@ -6,7 +6,7 @@ for which a new license (GPL+exception) is in place.
 */
 /* This is the Scribus Short Words GUI class specification.
 
-This code is based on the Scribus-Vlna plug in rewritten for
+This code is based on the Scribus-Vlna plugin rewritten for
 international use.
 
 2004 Petr Vanek <petr@yarpen.cz>
diff --git a/scribus/plugins/short-words/version.h b/scribus/plugins/short-words/version.h
index f4ba10c51c..46efd7c0fb 100644
--- a/scribus/plugins/short-words/version.h
+++ b/scribus/plugins/short-words/version.h
@@ -7,7 +7,7 @@ for which a new license (GPL+exception) is in place.
 /* \brief This is the Scribus Short Words various constants and preprocessor
 definitions. There should be all SPACEs defined (unbreak, em, en etc.)
 
-This code is based on the Scribus-Vlna plug in rewritten for
+This code is based on the Scribus-Vlna plugin rewritten for
 international use.
 
 2004 Petr Vanek <petr@yarpen.cz>
diff --git a/scribus/plugins/tools/hunspellcheck/hunspellpluginimpl.cpp b/scribus/plugins/tools/hunspellcheck/hunspellpluginimpl.cpp
index cda28c9896..45c0c96144 100644
--- a/scribus/plugins/tools/hunspellcheck/hunspellpluginimpl.cpp
+++ b/scribus/plugins/tools/hunspellcheck/hunspellpluginimpl.cpp
@@ -68,7 +68,7 @@ bool HunspellPluginImpl::initHunspell()
 	bool dictPathFound = LanguageManager::instance()->findSpellingDictionaries(dictionaryPaths);
 	if (!dictPathFound)
 	{
-		qDebug()<<"No preinstalled dictonary paths found";
+		qDebug()<<"No preinstalled dictionary paths found";
 		return false;
 	}
 	dictionaryMap.clear();
diff --git a/scribus/prefsmanager.h b/scribus/prefsmanager.h
index b4dad5023b..1b0823ad8b 100644
--- a/scribus/prefsmanager.h
+++ b/scribus/prefsmanager.h
@@ -105,7 +105,7 @@ public:
 
 	/*! \brief Save the preferences.
 	\param fname optional filename with preferences. If is not given,
-	the defualt is used. */
+	the default is used. */
 	void savePrefs();
 	void savePrefsXML();
 
diff --git a/scribus/prefsstructs.h b/scribus/prefsstructs.h
index 4ccdfa6895..130d0e1a04 100644
--- a/scribus/prefsstructs.h
+++ b/scribus/prefsstructs.h
@@ -303,7 +303,7 @@ struct HyphenatorPrefs
 struct FontPrefs
 {
 	SCFonts AvailFonts; //! Fonts that Scribus has available to it, or the current document has available to use
-	bool askBeforeSubstitute; //! Request that the user confirms a font substituion or not
+	bool askBeforeSubstitute; //! Request that the user confirms a font substitution or not
 	QMap<QString,QString> GFontSub;
 };
 
diff --git a/scribus/qtiocompressor.cpp b/scribus/qtiocompressor.cpp
index 29e836f915..353d5a327d 100644
--- a/scribus/qtiocompressor.cpp
+++ b/scribus/qtiocompressor.cpp
@@ -193,7 +193,7 @@ void QtIOCompressorPrivate::setZlibError(const QString &errorMessage, int zlibEr
     A QtIOCompressor object is constructed with a pointer to an
     underlying QIODevice.  Data written to the QtIOCompressor object
     will be compressed before it is written to the underlying
-    QIODevice. Similary, if you read from the QtIOCompressor object,
+    QIODevice. Similarly, if you read from the QtIOCompressor object,
     the data will be read from the underlying device and then
     decompressed.
 
@@ -252,7 +252,7 @@ void QtIOCompressorPrivate::setZlibError(const QString &errorMessage, int zlibEr
 
     \a bufferSize specifies the size of the internal buffer used when reading from and writing to the
     underlying device. The default value is 65KB. Using a larger value allows for faster compression and
-    deompression at the expense of memory usage.
+    decompression at the expense of memory usage.
 */
 QtIOCompressor::QtIOCompressor(QIODevice *device, int compressionLevel, int bufferSize)
 :d_ptr(new QtIOCompressorPrivate(this, device, compressionLevel, bufferSize))
@@ -314,7 +314,7 @@ bool QtIOCompressor::isSequential() const
 
 /*!
     Opens the QtIOCompressor in \a mode. Only ReadOnly and WriteOnly is supported.
-    This functon will return false if you try to open in other modes.
+    This function will return false if you try to open in other modes.
 
     If the underlying device is not opened, this function will open it in a suitable mode. If this happens
     the device will also be closed when close() is called.
@@ -551,7 +551,7 @@ qint64 QtIOCompressor::readData(char *data, qint64 maxSize)
                 d->state = QtIOCompressorPrivate::Error;
                 d->setZlibError(QT_TRANSLATE_NOOP("QtIOCompressor", "Internal zlib error when decompressing: "), status);
                 return -1;
-            case Z_BUF_ERROR: // No more input and zlib can not privide more output - Not an error, we can try to read again when we have more input.
+            case Z_BUF_ERROR: // No more input and zlib can not provide more output - Not an error, we can try to read again when we have more input.
                 return 0;
             break;
         }
diff --git a/scribus/sampleitem.h b/scribus/sampleitem.h
index ba85e50263..49d2f0ffc3 100644
--- a/scribus/sampleitem.h
+++ b/scribus/sampleitem.h
@@ -39,11 +39,11 @@ class SCRIBUS_API SampleItem : QObject
 		/*! \brief Use lorem ipsum generator as text source.
 		\param para count of the LI paragraphs */
 		void setLoremIpsum(int para);
-		/*! \brief Set backgroud color of the pixmap.
+		/*! \brief Set background color of the pixmap.
 		\param c a QColor */
 		void setBgColor(const QColor& c);
 		void setBgShade(int c);
-		/*! \brief Set color management for backgroud color of the pixmap.
+		/*! \brief Set color management for background color of the pixmap.
 		\param enable if color management should be enabled */
 		void setBgColorMgmt(bool enable);
 		/*! \brief Set Text color of the pixmap.
diff --git a/scribus/scclocale.cpp b/scribus/scclocale.cpp
index de43d72c81..1745ecf1c2 100644
--- a/scribus/scclocale.cpp
+++ b/scribus/scclocale.cpp
@@ -179,7 +179,7 @@ double ScCLocale::strtod(const char * str, char ** endptr)
 {
 	if (nullptr == that()->cLocale)
 	{
-		// a sade workaround
+		// a sad workaround
 		double result(0.0);
 		std::streamoff bytesRead;
 		std::istringstream sstream(str);
diff --git a/scribus/sccolorengine.h b/scribus/sccolorengine.h
index 6bc67f39b6..d67e62ec1f 100644
--- a/scribus/sccolorengine.h
+++ b/scribus/sccolorengine.h
@@ -120,7 +120,7 @@ public:
 	/** \brief Check if a color is inside document output color space gamut. */
 	static bool isOutOfGamut(const ScColor& color, const ScribusDoc* doc);
 
-	/** \brief Applys Gray-Component-Removal to an ScColor */
+	/** \brief Applies Gray-Component-Removal to an ScColor */
 	static void applyGCR(ScColor& color, const ScribusDoc* doc);
 };
 
diff --git a/scribus/scfonts.cpp b/scribus/scfonts.cpp
index 3923eac70e..4b94b7687d 100644
--- a/scribus/scfonts.cpp
+++ b/scribus/scfonts.cpp
@@ -1208,7 +1208,7 @@ void SCFonts::addType1RegistryFonts()
 /* Add an extra path to our font search path,
  * allowing a user to have extra fonts installed
  * only for this user. Can also be used also as an emergency
- * fallback if no suitable fonts are found elsewere */
+ * fallback if no suitable fonts are found elsewhere */
 void SCFonts::addUserPath(const QString& pf)
 {
 	PrefsContext *pc = PrefsManager::instance().prefsFile->getContext("Fonts");
diff --git a/scribus/scgtplugin.h b/scribus/scgtplugin.h
index 6701105ad0..083d9eb60f 100644
--- a/scribus/scgtplugin.h
+++ b/scribus/scgtplugin.h
@@ -49,7 +49,7 @@ public:
 	/**
 	  @brief Run the plugin and import from the file <code>filename</code>
 
-	  This function is ment to be overriden by all file format plugins.
+	  This function is meant to be overridden by all file format plugins.
 	  Once the file decoding and text and style has been sorted out use the
 	  function forward() to pass the text and it's style forward to a text frame
 	  or to another plugin.
@@ -63,7 +63,7 @@ public:
 	  @brief Run the plugin and do the magic with the <code>text</code> and
 	  @brief <code>style</code>.
 	
-	  This function is ment to be overriden by all text and style handler plugins.
+	  This function is meant to be overridden by all text and style handler plugins.
 	  @param text text to work with
 	 */
 	virtual void run(const QString&text /*, insert style stuff here */) {};
diff --git a/scribus/scimagecachemanager.cpp b/scribus/scimagecachemanager.cpp
index b2cb95a20b..bc1009fe01 100644
--- a/scribus/scimagecachemanager.cpp
+++ b/scribus/scimagecachemanager.cpp
@@ -132,7 +132,7 @@ access.
 
 \section ic_dirstructure Directory Structure
 
-Each cache file is uniquely indentified by a hexadecimal MD5 hash. The first
+Each cache file is uniquely identified by a hexadecimal MD5 hash. The first
 two hex digits represent two levels of subdirectories and the remainder forms
 the start of the file's basename, for example:
 
diff --git a/scribus/scimagecachemanager.h b/scribus/scimagecachemanager.h
index 0c185b131e..3fdca22f7f 100644
--- a/scribus/scimagecachemanager.h
+++ b/scribus/scimagecachemanager.h
@@ -80,7 +80,7 @@ public:
 	/**
 	* @brief Set cache image file compression level
 	* @param level Image compression level. -1 is the default compression level
-	*        for PNG images. 0 is no compression, 1 is fastest comression and
+	*        for PNG images. 0 is no compression, 1 is fastest compression and
 	*        9 is best compression.
 	* @return \c true if the compression level could be set, \c false otherwise
 	*/
diff --git a/scribus/scplugin.h b/scribus/scplugin.h
index 7b5ff99bb1..7f559c07ad 100644
--- a/scribus/scplugin.h
+++ b/scribus/scplugin.h
@@ -42,7 +42,7 @@ class Prefs_Pane;
  * and maintain as little state as possible. Most functionality should be
  * implemented in a private subclass that is not exposed in the header of the
  * scplugin subclass defined by the plugin. That helps keep the plugin's
- * implementation separate from its inteface to Scribus.
+ * implementation separate from its interface to Scribus.
  *
  * Note that the two subclases ScActionPlugin and ScPersistentPlugin, defined
  * below, create two quite different kinds of plugins. One is for import/export
@@ -402,7 +402,7 @@ class SCRIBUS_API ScActionPlugin : public ScPlugin
 		 *   A caller is not required to do this, but with the current (August
 		 *   2005) core code it's the only way to operate safely. This is
 		 *   likely to change in future and you should avoid relying on it if
-		 *   at all posssible.
+		 *   at all possible.
 		 *
 		 * If this method is used, the plugin must not be unloaded until all
 		 * DeferredTask instances have been deleted.
@@ -419,7 +419,7 @@ class SCRIBUS_API ScActionPlugin : public ScPlugin
 		virtual DeferredTask* runAsync(QIODevice* target);
 
 		// Compat kludge ... we store a QString result from any successful
-		// run(...) call in m_runResult and let callers retrive it here.
+		// run(...) call in m_runResult and let callers retrieve it here.
 		// DO NOT USE THIS INTERFACE FOR NEW PLUG-INS; you should
 		// dynamic_cast<> to the plugin type then call a plug-in specific
 		// method instead.
diff --git a/scribus/scprintengine_gdi.cpp b/scribus/scprintengine_gdi.cpp
index 9b3b537ed1..da5dab0c14 100644
--- a/scribus/scprintengine_gdi.cpp
+++ b/scribus/scprintengine_gdi.cpp
@@ -357,7 +357,7 @@ bool ScPrintEngine_GDI::printPage_GDI(ScPage* page, PrintOptions& options, HDC p
 			else
 				success = true;
 		}
-		// Return if color managament could not be setup
+		// Return if color management could not be setup
 		if (!success)
 		{
 			EndPage(printerDC);
@@ -719,7 +719,7 @@ bool ScPrintEngine_GDI::printerUseFilePort(QString& printerName)
 		PRINTER_INFO_2W* pInfos = (PRINTER_INFO_2W*) malloc(size);
 		if (pInfos)
 		{
-			// Get printer informations
+			// Get printer information
 			done = GetPrinterW(prnHandle, 2, (LPBYTE) pInfos, size, &size);
 			if (done)
 			{
diff --git a/scribus/scribus.cpp b/scribus/scribus.cpp
index 38e0657da9..3756125750 100644
--- a/scribus/scribus.cpp
+++ b/scribus/scribus.cpp
@@ -2543,7 +2543,7 @@ void ScribusMainWindow::SwitchWin()
 	//if we are switching windows #4357
 	//nodePalette->setDoc(doc, view);
 	slotChangeUnit(doc->unitIndex(), false);
-/*	FIXME: check if this is really superflous now
+/*	FIXME: check if this is really superfluous now
 	if (doc->appMode == modeEditClip)
 	{
 		doc->appMode = modeNormal;
@@ -3390,7 +3390,7 @@ bool ScribusMainWindow::loadDoc(const QString& fileName)
 		setScriptRunning(true);
 		bool loadSuccess = fileLoader->loadFile(doc);
 		//Do the font replacement check from here, when we have a GUI. TODO do this also somehow without the GUI
-		//This also gives the user the opportunity to cancel the load when finding theres a replacement required.
+		//This also gives the user the opportunity to cancel the load when finding there's a replacement required.
 		if (loadSuccess && ScCore->usingGUI())
 			loadSuccess = fileLoader->postLoad(doc);
 		if (!loadSuccess)
@@ -3881,7 +3881,7 @@ void ScribusMainWindow::slotGetClipboardImage()
 	currItem->Pfile = fileName;
 	doc->loadPict(fileName, currItem, false, true);
 	// Call to showScaleAndOffset() is now very likely unnecessary
-	// due to mecanisms used to update properties in PP in 1.5.x+
+	// due to mechanisms used to update properties in PP in 1.5.x+
 	//propertiesPalette->imagePal->showScaleAndOffset(currItem->imageXScale(), currItem->imageYScale(), currItem->imageXOffset(), currItem->imageYOffset());
 	qApp->processEvents(QEventLoop::ExcludeUserInputEvents);
 	view->DrawNew();
@@ -7109,7 +7109,7 @@ void ScribusMainWindow::doSaveAsPDF()
 	if (doc->pdfOptions().useDocBleeds)
 		doc->pdfOptions().bleeds = *doc->bleeds();
 
-	// If necssary, generate thumbnails in one go : if color management is enabled
+	// If necessary, generate thumbnails in one go : if color management is enabled
 	// we gain lots of time by avoiding multiple color management settings change
 	// and hence multiple reloading of images
 	bool cmsCorr = false;
@@ -9366,7 +9366,7 @@ void ScribusMainWindow::slotInsertMarkNote()
 	if (!HaveDoc)
 		return;
 	if (doc->m_docNotesStylesList.count() == 1)
-	{ //fast insert note with the only default notes style avaiable
+	{ //fast insert note with the only default notes style available
 		PageItem* currItem = doc->m_Selection->itemAt(0);
 		Q_ASSERT(currItem->isTextFrame() && !currItem->isNoteFrame());
 		UndoTransaction trans;
diff --git a/scribus/scribus.h b/scribus/scribus.h
index 91fc4c7df3..8236c141c5 100644
--- a/scribus/scribus.h
+++ b/scribus/scribus.h
@@ -553,7 +553,7 @@ public slots:
 	void slotItemTransform();
 	//! \brief manages paints
 	void manageColorsAndFills();
-	//! \brief allow SE to get the SM for edit stlyes
+	//! \brief allow SE to get the SM for edit styles
 	StyleManager *styleMgr() const {return m_styleManager;};
 	//! \brief drawnew, call palettes to update for new page layout
 	void updateGUIAfterPagesChanged();
diff --git a/scribus/scribus_pch.h b/scribus/scribus_pch.h
index c154ded4b1..9b40540417 100644
--- a/scribus/scribus_pch.h
+++ b/scribus/scribus_pch.h
@@ -64,7 +64,7 @@
 
 #include <qcoreapplication.h>
 #include <qlist.h>
-#include <qvariant.h>  // All moc genereated code has this include
+#include <qvariant.h>  // All moc generated code has this include
 #include <qobject.h>
 #include <qregexp.h>
 #include <qstring.h>
diff --git a/scribus/scribusapp.h b/scribus/scribusapp.h
index 9543bd2216..810aaf2bec 100644
--- a/scribus/scribusapp.h
+++ b/scribus/scribusapp.h
@@ -59,8 +59,8 @@ class SCRIBUS_API ScribusQApp : public QApplication
 		the whole string is returned. For all the other locales starting
 		with "en", no locale is returned.
 		(Inspired from Klocale.cpp)
-		\param lang QString a two letter string describing the lang environement
-		\retval QStringList A string describing the language environement
+		\param lang QString a two letter string describing the lang environment
+		\retval QStringList A string describing the language environment
 		*/
 		QStringList getLang(QString m_lang);
 		/*!
@@ -68,7 +68,7 @@ class SCRIBUS_API ScribusQApp : public QApplication
 		\author Alessandro Rimoldi
 		\date Mon Feb  9 14:07:46 CET 2004
 		\brief Loads the translations for Scribus and for the Plugins
-		\param langs QString a two letter string describing the lang environement
+		\param langs QString a two letter string describing the lang environment
 		*/
 		void installTranslators(const QStringList & langs);
 
diff --git a/scribus/scribusdoc.cpp b/scribus/scribusdoc.cpp
index f1dba178ce..7d209faed2 100644
--- a/scribus/scribusdoc.cpp
+++ b/scribus/scribusdoc.cpp
@@ -451,7 +451,7 @@ void ScribusDoc::init()
 	
 	Layers.addLayer( tr("Background") );
 	// FIXME: Check PDF version input
-	//TODO: Check if this is needed now we ue appPrefsData --> docPrefsData
+	//TODO: Check if this is needed now we use appPrefsData --> docPrefsData
 	docPatterns.clear();
 	docGradients.clear();
 
@@ -565,7 +565,7 @@ ScribusDoc::~ScribusDoc()
 			delete pa.items.takeFirst();
 		}
 	}
-	//deleting resources alocated for marks and notes
+	//deleting resources allocated for marks and notes
 	while (! m_docNotesList.isEmpty())
 		delete m_docNotesList.takeFirst();
 	while (!m_docMarksList.isEmpty())
@@ -5469,7 +5469,7 @@ void ScribusDoc::itemAddDetails(const PageItem::ItemType itemType, const PageIte
 			newItem->setLineColor(m_docPrefsData.itemToolPrefs.textLineColor);
 			newItem->setLineShade(m_docPrefsData.itemToolPrefs.textLineColorShade);
 			// 13792 : Commented out because this trigger the first line of a text frame having
-			// default character style explictly assigned, which we don't want
+			// default character style explicitly assigned, which we don't want
 			/*defaultParagraphStyle.setParent(CommonStrings::DefaultParagraphStyle);
 			defaultParagraphStyle.charStyle().setParent(CommonStrings::DefaultCharacterStyle);
 			newItem->itemText.setDefaultStyle(defaultParagraphStyle);*/
@@ -6188,7 +6188,7 @@ void ScribusDoc::getBleeds(int pageNumber, MarginStruct &bleedData)
 	if (pageNumber >= 0 && pageNumber < Pages->size())
 		getBleeds(Pages->at(pageNumber), bleedData);
 	else
-		qCritical() << "Attempting to get bleeds for non-existant page";
+		qCritical() << "Attempting to get bleeds for non-existent page";
 }
 
 void ScribusDoc::getBleeds(const ScPage* page, MarginStruct& bleedData)
@@ -6856,7 +6856,7 @@ const QString ScribusDoc::getSectionPageNumberForPageIndex(uint pageIndex) const
 	int key=getSectionKeyForPageIndex(pageIndex);
 	if (key==-1)
 		return retVal;
-	//If a section is inactive, theres no page numbers printed
+	//If a section is inactive, there's no page numbers printed
 	if (!m_docPrefsData.docSectionMap[key].active)
 		return "";
 	uint sectionIndexOffset;
@@ -6875,7 +6875,7 @@ const QChar ScribusDoc::getSectionPageNumberFillCharForPageIndex(uint pageIndex)
 	if (key == -1)
 		return retVal;
 
-	//If a section is inactive, theres no page numbers printed
+	//If a section is inactive, there's no page numbers printed
 	if (!m_docPrefsData.docSectionMap[key].active)
 		return retVal;
 	retVal = m_docPrefsData.docSectionMap[key].pageNumberFillChar;
@@ -6891,7 +6891,7 @@ int ScribusDoc::getSectionPageNumberWidthForPageIndex(uint pageIndex) const
 	if (key == -1)
 		return retVal;
 
-	//If a section is inactive, theres no page numbers printed
+	//If a section is inactive, there's no page numbers printed
 	if (!m_docPrefsData.docSectionMap[key].active)
 		return retVal;
 	retVal = qMin(m_docPrefsData.docSectionMap[key].pageNumberWidth, 20);			// added the qmin as a sanity check -> fixes bug #9721
@@ -8720,7 +8720,7 @@ void ScribusDoc::itemSelection_DistributeTableRowsEvenly()
 	dontResize = true;
 	if (appMode == modeEditTable && !table->selectedRows().isEmpty())
 	{
-		// Distribute each contigous range of selected rows.
+		// Distribute each contiguous range of selected rows.
 		QList<int> selectedRows = table->selectedRows().values();
 		std::sort(selectedRows.begin(), selectedRows.end());
 		int startRow = selectedRows.first();
@@ -8763,7 +8763,7 @@ void ScribusDoc::itemSelection_DistributeTableColumnsEvenly()
 	dontResize = true;
 	if (appMode == modeEditTable && !table->selectedColumns().isEmpty())
 	{
-		// Distribute each contigous range of selected columns.
+		// Distribute each contiguous range of selected columns.
 		QList<int> selectedColumns = table->selectedColumns().values();
 		std::sort(selectedColumns.begin(), selectedColumns.end());
 		int startColumn = selectedColumns.first();
@@ -10986,7 +10986,7 @@ void ScribusDoc::item_setFrameShape(PageItem* item, int frameType, int count, do
 		is->set("CHANGE_SHAPE_TYPE");
 		is->set("OLD_FRAME_TYPE", item->FrameType);
 		is->set("NEW_FRAME_TYPE", frameType);
-		// HACK: this is propably Evil Code (TM). I have to find better way...
+		// HACK: this is probably Evil Code (TM). I have to find better way...
 		FPointArray newShape;
 		int ix = 0;
 		for (int i = 0; i < count/2; ++i)
@@ -14404,7 +14404,7 @@ void ScribusDoc::adjustItemSize(PageItem *currItem, bool includeGroup)
 				if (embedded->isGroup())
 					embedded->asGroupFrame()->adjustXYPosition();
 			}
-			// JG : Break flipped group positionning when resizing on canvas
+			// JG : Break flipped group positioning when resizing on canvas
 			/*if (currItem->imageFlippedH())
 			{
 				if (oldX - currItem->xPos() == 0)
diff --git a/scribus/scribusdoc.h b/scribus/scribusdoc.h
index 1166c808ee..7557e4d8e9 100644
--- a/scribus/scribusdoc.h
+++ b/scribus/scribusdoc.h
@@ -872,7 +872,7 @@ public:
 	/**
 	 * @brief Rebuild item lists taking into account layer order.
 	 * Utility function used in various places, basically handles keeping items numbered in the way
-	 * they are layered. When layer is a property and not a fuction of storage, this should be removed.
+	 * they are layered. When layer is a property and not a function of storage, this should be removed.
 	 * @sa updateFrameItems();
 	 */
 	void rebuildItemLists();
@@ -1264,8 +1264,8 @@ public:
 	//! \brief Set rotation mode
 	void setRotationMode(int val);
 
-	//! \brief Fonctions which avoid doc updater and update manager to send too much
-	// unncessary signals when doing updates on multiple items
+	//! \brief Functions which avoid doc updater and update manager to send too much
+	// unnecessary signals when doing updates on multiple items
 	void beginUpdate();
 	void endUpdate();
 
@@ -1695,7 +1695,7 @@ public slots:
 	/**
 	 * Distributes rows in a table evenly.
 	 *
-	 * If in table edit mode and there is a cell selection, each contigous range of selected rows
+	 * If in table edit mode and there is a cell selection, each contiguous range of selected rows
 	 * is distributed. If there is no cell selection, all rows in the table are distributed.
 	 *
 	 * If there is no table selected, then this slot does nothing.
@@ -1705,7 +1705,7 @@ public slots:
 	/**
 	 * Distributes columns in a table evenly.
 	 *
-	 * If in table edit mode and there is a cell selection, each contigous range of selected columns
+	 * If in table edit mode and there is a cell selection, each contiguous range of selected columns
 	 * is distributed. If there is no cell selection, all columns in the table are distributed.
 	 *
 	 * If there is no table selected, then this slot does nothing.
@@ -1788,7 +1788,7 @@ public:
 	bool eraseMark(Mark* mrk, bool fromText=false, PageItem* item = nullptr, bool force = false); //force is used only for deleting non-unique marks by MarksManager
 	void setUndoDelMark(Mark* mrk);
 	//invalidate all text frames where given mark will found
-	//useful spacially for varaible text marks after changing its text definition
+	//useful spacially for variable text marks after changing its text definition
 	//if forceUpdate then found master frames are relayouted
 	bool invalidateVariableTextFrames(Mark* mrk, bool forceUpdate = false); //returns if any text was changed
 
@@ -1811,7 +1811,7 @@ public:
 	bool updateNotesNums(NotesStyle* nStyle);
 	//set new text styles for notes marks
 	void updateNotesFramesStyles(NotesStyle* nStyle);
-	//check conflicts beetween notes styles
+	//check conflicts between notes styles
 	bool validateNSet(const NotesStyle& NS, QString newName = "");
 	//update layout remove empty notesframes
 	bool notesFramesUpdate();
@@ -1878,7 +1878,7 @@ protected slots:
 //auto-numerations
 public:
 	QMap<QString, NumStruct*> numerations;
-	QStringList orgNumNames; //orgNumerations keeps original settings read from paragraph styles for reset settings overrided localy
+	QStringList orgNumNames; //orgNumerations keeps original settings read from paragraph styles for reset settings overridden localy
 	void setupNumerations(); //read styles for used auto-numerations, initialize numCounters
 	QString getNumberStr(const QString& numName, int level, bool reset, const ParagraphStyle &style);
 	void setNumerationCounter(const QString& numName, int level, int number);
diff --git a/scribus/scribusview.cpp b/scribus/scribusview.cpp
index af113e5c34..9e1e1d8b4b 100644
--- a/scribus/scribusview.cpp
+++ b/scribus/scribusview.cpp
@@ -3175,7 +3175,7 @@ void ScribusView::TextToPath()
 		}
 
 		// We usually don't need any of the undo actions created by TextToPathPainter. If we did take them into account,
-		// the created items woud reappear when redoing an undone TextToPath action
+		// the created items would reappear when redoing an undone TextToPath action
 		int textLen = currItem->itemText.length();
 		if (textLen > 1)
 			undoManager->setUndoEnabled(false);
diff --git a/scribus/sctextstruct.h b/scribus/sctextstruct.h
index 20cc1c2585..4b687f42fb 100644
--- a/scribus/sctextstruct.h
+++ b/scribus/sctextstruct.h
@@ -24,7 +24,7 @@ class PageItem;
 class Mark;
 class ScribusDoc;
 
-/* Strucure for Pageitem Text */
+/* Structure for Pageitem Text */
 
 
 /*
@@ -63,7 +63,7 @@ enum LayoutFlags {
 
 /**
  * simple class to abstract from inline pageitems. You will need a ITextContext
- * to get meaningfull data about the InlineFrame, for other purposes it is opaque
+ * to get meaningful data about the InlineFrame, for other purposes it is opaque
  */
 class SCRIBUS_API InlineFrame
 {
@@ -160,7 +160,7 @@ private:
 
 
 /** @brief First Line Offset Policy
- * Set wether the first line offset is based on max glyph height
+ * Set whether the first line offset is based on max glyph height
  * or some of predefined height.
  * I put a prefix because it could easily conflict 
  */
diff --git a/scribus/styleitem.h b/scribus/styleitem.h
index 38f2ec1829..4b11120611 100644
--- a/scribus/styleitem.h
+++ b/scribus/styleitem.h
@@ -29,7 +29,7 @@ typedef QPair<QString, QString> StyleName;
  * @brief Represents a style type that can be added to the Style Manager
  * @brief palette.
  *
- * This class is ment to be used as a parent class for any style types
+ * This class is meant to be used as a parent class for any style types
  * that are wanted to be configured using the Style Manager palette.
  * @author Riku Leino <riku@scribus.info>
  * @date November 2005
@@ -191,7 +191,7 @@ signals:
 */
 
 private:
-	/* hide these two, StyleItem is not ment to be copied */
+	/* hide these two, StyleItem is not meant to be copied */
 	StyleItem(const StyleItem&);
 	void operator=(const StyleItem&);
 
diff --git a/scribus/tests/CMakeLists.txt b/scribus/tests/CMakeLists.txt
index 930ba62e6a..c24f5697b9 100644
--- a/scribus/tests/CMakeLists.txt
+++ b/scribus/tests/CMakeLists.txt
@@ -26,7 +26,7 @@ set_target_properties(${SCRIBUS_TESTS_LIB}
 
 # Regular unit tests below.
 #
-# These tests are built as standalone executables and runned using "make test"
+# These tests are built as standalone executables and are run using "make test"
 #
 
 set(TESTS_LIBRARIES ${QT_QTTEST_LIBRARY} ${QT_LIBRARIES})
diff --git a/scribus/tests/scripts/test_tables.py b/scribus/tests/scripts/test_tables.py
index 0a69d51a58..ad720d7ae1 100644
--- a/scribus/tests/scripts/test_tables.py
+++ b/scribus/tests/scripts/test_tables.py
@@ -11,10 +11,10 @@ a copyright and/or license notice that predates the release of Scribus 1.3.2
 for which a new license (GPL+exception) is in place.
 
 To add a new test, simply add a new test method named 'test_mytest' to the
-TableTests class, and the test will be runned automatically.
+TableTests class, and the test will be run automatically.
 
 Use check() to check a condition and fail(msg) to manually fail a test. The
-tests are runned in a "fail fast" fashion; on failure, the test method will
+tests are run in a "fail fast" fashion; on failure, the test method will
 stop executing and testing move on to the next test method.
 """
 
diff --git a/scribus/text/design.txt b/scribus/text/design.txt
index 65b6099021..2ab7e83059 100644
--- a/scribus/text/design.txt
+++ b/scribus/text/design.txt
@@ -2,7 +2,7 @@ Rendering complex text can be subdivided in several phases:
 
 0) Storage. Scribus uses Unicode and defines it's own style classes.
 
-1) Itemizing. This involves breaking the text into charater runs which have single language/script, the same font and style. 
+1) Itemizing. This involves breaking the text into character runs which have single language/script, the same font and style. 
 
 2) Shaping. This phase uses font information to associate glyphs to characters. 
 The relationship between characters and glyphs is 1:1 only in the simplest cases. The result is a list of grapheme clusters, where each cluster consists of one and more glyphs which represent one or more characters. 
diff --git a/scribus/text/specialchars.cpp b/scribus/text/specialchars.cpp
index ad91fbfeb8..56d8177c57 100644
--- a/scribus/text/specialchars.cpp
+++ b/scribus/text/specialchars.cpp
@@ -246,9 +246,9 @@ bool SpecialChars::isLetterRequiringSpaceAroundCJK(uint ch) {
 		   (0x0100 <= ch && ch <= 0x017F) ||  // Letters in Latin Extended-A
 		   (0x0180 <= ch && ch <= 0x024F) ||  // Letters in Latin Extended-B
 		   (0x0250 <= ch && ch <= 0x02AF) ||  // Letters in IPA Extensions
-		   (0x1D00 <= ch && ch <= 0x1D25) ||  // Letters in Phonetic Extentions
-		   (0x1D6B <= ch && ch <= 0x1D70) ||  // Letters in Phonetic Extentions
-		   (0x1D80 <= ch && ch <= 0x1D9A) ||  // Letters in Phonetic Extentions Supplement
+		   (0x1D00 <= ch && ch <= 0x1D25) ||  // Letters in Phonetic Extensions
+		   (0x1D6B <= ch && ch <= 0x1D70) ||  // Letters in Phonetic Extensions
+		   (0x1D80 <= ch && ch <= 0x1D9A) ||  // Letters in Phonetic Extensions Supplement
 		   (0x1E02 <= ch && ch <= 0x1EF3) ||  // Letters in Latin Extended Additional
 		   (0x2C60 <= ch && ch <= 0x2C7F) ||  // Letters in Latin Extended-C
 		   (0xA722 <= ch && ch <= 0xA787) ||  // Letters in Latin Extended-D
diff --git a/scribus/text/storytext.cpp b/scribus/text/storytext.cpp
index b3a56e1ab8..45c11d00a0 100644
--- a/scribus/text/storytext.cpp
+++ b/scribus/text/storytext.cpp
@@ -1221,7 +1221,7 @@ void StoryText::replaceMark(int pos, Mark* mrk)
 	if (textItem->mark)
 		this->d->marksCount++;
 
-	// Set marksCountChanged unconditionnaly to force text relayout
+	// Set marksCountChanged unconditionally to force text relayout
 	d->marksCountChanged = true;
 }
 
diff --git a/scribus/text/textshaper.cpp b/scribus/text/textshaper.cpp
index 85029584e5..dabe99f1ce 100644
--- a/scribus/text/textshaper.cpp
+++ b/scribus/text/textshaper.cpp
@@ -294,7 +294,7 @@ ShapedText TextShaper::shape(int fromPos, int toPos)
 	QVector<int32_t> justificationTracking;
 
 	// Insert implicit spaces in justification between characters
-	// in scripts that do not use spaces to seperate words
+	// in scripts that do not use spaces to separate words
 	for (const TextRun& run : qAsConst(scriptRuns))
 	{
 		switch (run.script) {
diff --git a/scribus/ui/charselect.h b/scribus/ui/charselect.h
index 264c3c61c6..5a7192226e 100644
--- a/scribus/ui/charselect.h
+++ b/scribus/ui/charselect.h
@@ -20,7 +20,7 @@ class CharSelectEnhanced;
 /*! \brief Character Palette for direct glyphs inserting.
 The "classical" one is opened as CharSelectEnhanced instance.
 Both CharSelect/CharSelectEnhanced palettes are split due:
-1) initial and usage performace. The CharSelectEnhanced is too
+1) initial and usage performance. The CharSelectEnhanced is too
 slow to load on startup/doc opening etc. The memory footprint
 is much smaller too.
 2) It was one dialog before split. To show/hide "enhanced" part
@@ -52,7 +52,7 @@ protected:
 	void changeEvent(QEvent *e) override;
 
 signals:
-	/*! \brief A signall emittedthis palette tries to insert glyphs.
+	/*! \brief A signal emitted this palette tries to insert glyphs.
 	It does not have sense in standard "palette" mode, but it's used
 	in StoryEditor workaround. */
 	void insertSpecialChar();
diff --git a/scribus/ui/charselectenhanced.h b/scribus/ui/charselectenhanced.h
index 1817a6edb5..8568ce7c95 100644
--- a/scribus/ui/charselectenhanced.h
+++ b/scribus/ui/charselectenhanced.h
@@ -15,7 +15,7 @@ for which a new license (GPL+exception) is in place.
 
 /*! \brief Character Palette for batch glyphs inserting.
 Enhanced instance is created/destroyed on every call from CharSelect
-to improve internal performace.
+to improve internal performance.
 */
 class SCRIBUS_API CharSelectEnhanced : public ScrPaletteBase, public Ui::CharSelectEnhanced
 {
diff --git a/scribus/ui/checkDocument.cpp b/scribus/ui/checkDocument.cpp
index d8f46e1add..3f358c335c 100644
--- a/scribus/ui/checkDocument.cpp
+++ b/scribus/ui/checkDocument.cpp
@@ -397,7 +397,7 @@ void CheckDocument::buildItem(QTreeWidgetItem * item,
 		default:
 			break;
 	};
-	// additional informations
+	// additional information
 	const ScLayer* layer = m_Doc->Layers.layerByID(pageItem->m_layerID);
 	if (layer)
 	{
diff --git a/scribus/ui/checkDocument.h b/scribus/ui/checkDocument.h
index 82f9693dfd..6235291350 100644
--- a/scribus/ui/checkDocument.h
+++ b/scribus/ui/checkDocument.h
@@ -112,15 +112,15 @@ protected:
 	QVBoxLayout* checkDocumentLayout { nullptr };
 	QHBoxLayout* layout1 { nullptr };
 	QHBoxLayout* layout2 { nullptr };
-	//! \brief Mappping Page Item - item nr.
+	//! \brief Mapping Page Item - item nr.
 	QMap<QTreeWidgetItem*, QPointer<PageItem> > itemMap;
-	//! \brief Mappping Page - page nr.
+	//! \brief Mapping Page - page nr.
 	QMap<QTreeWidgetItem*, ScPage*> pageMap;
-	//! \brief Mappping Master Page - MP nr.
+	//! \brief Mapping Master Page - MP nr.
 	QMap<QTreeWidgetItem*, ScPage*> masterPageMap;
-	//! \brief Mappping MP Item - MP item nr.
+	//! \brief Mapping MP Item - MP item nr.
 	QMap<QTreeWidgetItem*, QPointer<PageItem> > masterPageItemMap;
-	//! \brief Mappping Page Item - cursor position in item
+	//! \brief Mapping Page Item - cursor position in item
 	QMap<QTreeWidgetItem*, int> posMap;
 
 	//! \brief a reference to the current document
diff --git a/scribus/ui/cpalette.cpp b/scribus/ui/cpalette.cpp
index 80bba751de..28fb85cdb5 100644
--- a/scribus/ui/cpalette.cpp
+++ b/scribus/ui/cpalette.cpp
@@ -99,7 +99,7 @@ ColorPalette::ColorPalette(QWidget* parent) : QWidget(parent)
 	hatchLineColor->setPixmapType(ColorCombo::fancyPixmaps);
 	hatchBackground->setPixmapType(ColorCombo::fancyPixmaps);
 
-/*  Setting a delegate to dispaly only icons for the patterns */
+/*  Setting a delegate to display only icons for the patterns */
 /*	ScListWidgetDelegate* delegateF = new ScListWidgetDelegate(patternBox, patternBox);
 	delegateF->setIconOnly(true);
 	patternBox->setItemDelegate(delegateF);
diff --git a/scribus/ui/helpbrowser.cpp b/scribus/ui/helpbrowser.cpp
index 526812fb54..7c36d1cb19 100644
--- a/scribus/ui/helpbrowser.cpp
+++ b/scribus/ui/helpbrowser.cpp
@@ -62,7 +62,7 @@ for which a new license (GPL+exception) is in place.
 #include "iconmanager.h"
 #include "util.h"
 
-/*! \brief XML parsef for documantation history.
+/*! \brief XML parsed for documentation history.
 This is small helper class which reads saved bookmarks configuration
 from ~/.scribus/doc/history.xml file.
 The reference to historyBrowser is a reference to the dialog.
@@ -105,7 +105,7 @@ class HistoryParser2
 		}
 };
 
-/*! \brief XML parsef for documantation bookmarks.
+/*! \brief XML parsed for documentation bookmarks.
 This is small helper class which reads saved bookmarks configuration
 from ~/.scribus/doc/bookmarks.xml file.
 The reference to QListView *view is a reference to the list view with bookmarks
diff --git a/scribus/ui/loremipsum.h b/scribus/ui/loremipsum.h
index 09aaf312a1..dd9086ddec 100644
--- a/scribus/ui/loremipsum.h
+++ b/scribus/ui/loremipsum.h
@@ -69,7 +69,7 @@ public:
 
 /*! \brief This module provides simple interface to the various Lorem Ipsum variants.
 Scribus LI are stored in the set of XML files.
-The file has followind structure:
+The file has the following structure:
 \<?xml version="1.0" encoding="utf8"?\>
 \<lorem\>
 \<name\>name to display\</name\>
diff --git a/scribus/ui/mark2item.cpp b/scribus/ui/mark2item.cpp
index f4c717fefa..024586ba43 100644
--- a/scribus/ui/mark2item.cpp
+++ b/scribus/ui/mark2item.cpp
@@ -12,7 +12,7 @@ Mark2Item::Mark2Item(QWidget *parent) : MarkInsert(parent)
 	{
 		PageItem* item = scmw->doc->Items->at(i);
 		if (item->isAutoNoteFrame())
-			continue; //omit notes frames automaticaly created and removed
+			continue; //omit notes frames automatically created and removed
 		itemsList.append(item->itemName());
 	}
 	ItemList->addItems(itemsList);
diff --git a/scribus/ui/marksmanager.cpp b/scribus/ui/marksmanager.cpp
index e2e22fe074..f5bb22f654 100644
--- a/scribus/ui/marksmanager.cpp
+++ b/scribus/ui/marksmanager.cpp
@@ -194,7 +194,7 @@ void MarksManager::on_UpdateButton_clicked()
 		updateListView();
 	}
 
-	//update lables for "lost" marks (marks not in any text)
+	//update labels for "lost" marks (marks not in any text)
 	QList<Mark*> notUsed;
 	for (int a=0; a < m_Doc->marksList().count(); ++a)
 	{
diff --git a/scribus/ui/picsearchoptions.h b/scribus/ui/picsearchoptions.h
index 109257de0d..50a05f1986 100644
--- a/scribus/ui/picsearchoptions.h
+++ b/scribus/ui/picsearchoptions.h
@@ -59,7 +59,7 @@ protected:
 	/**
 	 * \brief Toggle a search button in the table between "Search" and "Cancel Search",
 	 * fixing signal connections as well.
-	 * \param toCancel true in the "cancelation" state/process
+	 * \param toCancel true in the "cancellation" state/process
 	 * \param searcher a reference to the searcher object 
 	 */
 	void setSearchButton(bool toCancel, const FileSearch* searcher);
diff --git a/scribus/ui/prefs_documentsetup.cpp b/scribus/ui/prefs_documentsetup.cpp
index ed0d51ca5f..221d664660 100644
--- a/scribus/ui/prefs_documentsetup.cpp
+++ b/scribus/ui/prefs_documentsetup.cpp
@@ -132,7 +132,7 @@ void Prefs_DocumentSetup::languageChange()
 	pageSizeLinkToolButton->setToolTip( "<qt>" + tr( "Enable or disable more page sizes by jumping to Page Size preferences" ) + "</qt>" );
 	pageOrientationComboBox->setToolTip( "<qt>" + tr( "Default orientation of document pages" ) + "</qt>" );
 	pageUnitsComboBox->setToolTip( "<qt>" + tr( "Default unit of measurement for document editing" ) + "</qt>" );
-	autosaveCheckBox->setToolTip( "<qt>" + tr( "When enabled, Scribus saves backup copys of your file each time the time period elapses" ) + "</qt>" );
+	autosaveCheckBox->setToolTip( "<qt>" + tr( "When enabled, Scribus saves backup copies of your file each time the time period elapses" ) + "</qt>" );
 	autosaveIntervalSpinBox->setToolTip( "<qt>" + tr( "Time period between saving automatically" ) + "</qt>" );
 	undoLengthSpinBox->setToolTip( "<qt>" + tr("Set the length of the action history in steps. If set to 0 infinite amount of actions will be stored.") + "</qt>");
 	applySizesToAllPagesCheckBox->setToolTip( "<qt>" + tr( "Apply the page size changes to all existing pages in the document" ) + "</qt>" );
diff --git a/scribus/ui/prefs_fonts.cpp b/scribus/ui/prefs_fonts.cpp
index 86eb481da1..2bd6f7a5d8 100644
--- a/scribus/ui/prefs_fonts.cpp
+++ b/scribus/ui/prefs_fonts.cpp
@@ -135,7 +135,7 @@ void Prefs_Fonts::restoreDefaults(struct ApplicationPrefs *prefsData)
 	DON'T REMOVE THIS COMMENTS, PLEASE! (Petr)
 	It's just a performance vs. functionality test.
 	availFonts->clear();
-	// FIXME: This is main preformance issue. It's about 90% of all preference reads! - PV
+	// FIXME: This is main performance issue. It's about 90% of all preference reads! - PV
 	availFonts->getFonts(HomeP); */
 	/* Are you wondering why this condition? See the comment at
 	line #102 (or somewhere near) as reference. Hint: PathList
diff --git a/scribus/ui/prefs_userinterface.cpp b/scribus/ui/prefs_userinterface.cpp
index 6c9cbb2eed..61a68ff9a5 100644
--- a/scribus/ui/prefs_userinterface.cpp
+++ b/scribus/ui/prefs_userinterface.cpp
@@ -61,7 +61,7 @@ void Prefs_UserInterface::languageChange()
 {
 	themeComboBox->setToolTip( "<qt>" + tr( "Choose the default window decoration and looks. Scribus inherits any available KDE or Qt themes, if Qt is configured to search KDE plugins." ) + "</qt>");
 	iconSetComboBox->setToolTip( "<qt>" + tr( "Choose the default icon set" ) + "</qt>");
-	useSmallWidgetsCheckBox->setToolTip( "<qt>" + tr( "Palette windows will use smaller (space savy) widgets. Requires application restart." ) + "</qt>");
+	useSmallWidgetsCheckBox->setToolTip( "<qt>" + tr( "Palette windows will use smaller (space savvy) widgets. Requires application restart." ) + "</qt>");
 	recentDocumentsSpinBox->setToolTip( "<qt>" + tr( "Number of recently edited documents to show in the File menu" ) + "</qt>");
 	languageComboBox->setToolTip( "<qt>" + tr( "Select your default language for Scribus to run with. Leave this blank to choose based on environment variables. You can still override this by passing a command line option when starting Scribus." )+"</qt>");
 	numberFormatComboBox->setToolTip( "<qt>" + tr( "Use either the system or selected language related definition for number formats for decimals for numbers in the interface" ) + "</qt>");
diff --git a/scribus/ui/propertiespalette.h b/scribus/ui/propertiespalette.h
index d3b8f24a6b..985ed8e773 100644
--- a/scribus/ui/propertiespalette.h
+++ b/scribus/ui/propertiespalette.h
@@ -64,7 +64,7 @@ public:
 	bool userActionOn(); // not yet implemented!!! This is needed badly.
                          // When user releases the mouse button or arrow key, changes must be checked
                          // and if in ScribusView a groupTransaction has been started it must be also
-                         // commmited
+                         // committed
 
 	PropertiesPalette_Line* linePal {nullptr};
 	PropertiesPalette_Shadow* shadowPal {nullptr};
diff --git a/scribus/ui/propertiespalette_text.h b/scribus/ui/propertiespalette_text.h
index 5f863d7e47..9820e476d7 100644
--- a/scribus/ui/propertiespalette_text.h
+++ b/scribus/ui/propertiespalette_text.h
@@ -46,7 +46,7 @@ public:
 	bool userActionOn(); // not yet implemented!!! This is needed badly.
                          // When user releases the mouse button or arrow key, changes must be checked
                          // and if in ScribusView a groupTransaction has been started it must be also
-                         // commmited
+                         // committed
 protected:
 	bool m_haveDoc {false};
 	bool m_haveItem {false};
diff --git a/scribus/ui/propertiespalette_xyz.h b/scribus/ui/propertiespalette_xyz.h
index db0018609b..e59826603c 100644
--- a/scribus/ui/propertiespalette_xyz.h
+++ b/scribus/ui/propertiespalette_xyz.h
@@ -36,7 +36,7 @@ public:
 	bool userActionOn(); // not yet implemented!!! This is needed badly.
                          // When user releases the mouse button or arrow key, changes must be checked
                          // and if in ScribusView a groupTransaction has been started it must be also
-                         // commmited
+                         // committed
 
 	void setLineMode(int lineMode);
 
diff --git a/scribus/ui/resourcemanager.cpp b/scribus/ui/resourcemanager.cpp
index 3c6ce0eb02..7098587368 100644
--- a/scribus/ui/resourcemanager.cpp
+++ b/scribus/ui/resourcemanager.cpp
@@ -1050,7 +1050,7 @@ void ResourceManager::downloadFilesFinished()
 				}
 				if (d.filetype=="plain")
 				{
-					//do nothing as the file is alread in place from dl mgr
+					//do nothing as the file is already in place from dl mgr
 				}
 			}
 			break;
@@ -1090,7 +1090,7 @@ void ResourceManager::downloadFilesFinished()
 					}
 					if (d.filetype=="plain")
 					{
-						//do nothing as the file is alread in place from dl mgr
+						//do nothing as the file is already in place from dl mgr
 					}
 				}
 			}
@@ -1140,7 +1140,7 @@ void ResourceManager::downloadFilesFinished()
 				}
 				if (d.filetype=="plain")
 				{
-					//do nothing as the file is alread in place from dl mgr
+					//do nothing as the file is already in place from dl mgr
 				}
 			}
 			break;
diff --git a/scribus/ui/scfilewidget.cpp b/scribus/ui/scfilewidget.cpp
index 13556b14f5..587c0ec92c 100644
--- a/scribus/ui/scfilewidget.cpp
+++ b/scribus/ui/scfilewidget.cpp
@@ -70,7 +70,7 @@ ScFileWidget::ScFileWidget(QWidget * parent) : QFileDialog(parent, Qt::Widget)
 
 void ScFileWidget::forceDoubleClickActivation(bool force)
 {
-	// Hack to make the previews in our file dialogs useable again,
+	// Hack to make the previews in our file dialogs usable again,
 	// needed e.g on OpenSuse KDE. Otherwise file would open on first
 	// click, leaving user no time to see preview.
 	if (m_forceDoubleClickActivation == force)
diff --git a/scribus/ui/scfilewidget.h b/scribus/ui/scfilewidget.h
index 7ee83382f7..60a6502447 100644
--- a/scribus/ui/scfilewidget.h
+++ b/scribus/ui/scfilewidget.h
@@ -17,7 +17,7 @@ a dialog, it's a widget. It can be used for extension features etc.
 \note Original QFileDialog OK/Cancel buttons are hidden. You must
 write your own dialog accept/reject handling.
 There is one good idea - it's quite good to handle original dialog
-accepted() signal on your own to prevent ugly widget hidding when
+accepted() signal on your own to prevent ugly widget hiding when
 user e.g. doubleclicks the "open" file (in the parent (new) dialog):
 connect(fileWidget, SIGNAL(accepted()), this, SLOT(accept()));
 \author Petr Vanek <petr@scribus.info>
diff --git a/scribus/ui/smstyleimport.h b/scribus/ui/smstyleimport.h
index d2750feac2..794cf7bf0a 100644
--- a/scribus/ui/smstyleimport.h
+++ b/scribus/ui/smstyleimport.h
@@ -43,7 +43,7 @@ class SCRIBUS_API SMStyleImport : public QDialog, public Ui::SMStyleImport
 		QTreeWidgetItem * lstyleItem;
 
 		/*! \brief Following constants are used as flags for searching.
-		Soemthing like: give me all character style related items from
+		Something like: give me all character style related items from
 		the list. See commonStyles() for more info.
 		*/
 		static const int cType = QTreeWidgetItem::UserType;
diff --git a/scribus/ui/storyeditor.h b/scribus/ui/storyeditor.h
index 90d367eb41..f6634be2e3 100644
--- a/scribus/ui/storyeditor.h
+++ b/scribus/ui/storyeditor.h
@@ -488,7 +488,7 @@ protected slots:
 	void Do_del();
 	void Do_insSp();
 	/*! \brief Insert a Lorem Ipsum (from dialog) into
-	current position inthe SE.
+	current position in the SE.
 	*/
 	void insertSampleText();
 	void Do_fontPrev();
diff --git a/scribus/ui/textpalette.h b/scribus/ui/textpalette.h
index 173ba9c2c0..807b6d0b0c 100644
--- a/scribus/ui/textpalette.h
+++ b/scribus/ui/textpalette.h
@@ -42,7 +42,7 @@ public:
 	bool userActionOn(); // not yet implemented!!! This is needed badly.
                          // When user releases the mouse button or arrow key, changes must be checked
                          // and if in ScribusView a groupTransaction has been started it must be also
-                         // commmited
+                         // committed
 
 	PropertiesPalette_Text*  textPal { nullptr };
 
diff --git a/scribus/ui/unicodesearch.h b/scribus/ui/unicodesearch.h
index 0183e3866f..41103bebb8 100644
--- a/scribus/ui/unicodesearch.h
+++ b/scribus/ui/unicodesearch.h
@@ -48,7 +48,7 @@ private:
 	//! Data model
 	UnicodeSearchModel * m_model;
 
-	//! \brief Overriden hide event. Just emit the setVisibleState(false) here.
+	//! \brief Overridden hide event. Just emit the setVisibleState(false) here.
 	void hideEvent(QHideEvent * e);
 
 	private slots:
@@ -131,7 +131,7 @@ protected:
 private:
 	/*! \brief UnicodeSearch reference.
 	The dialog is created in "this" constructor. Showing and hiding
-	is handled by toggled() signal catched in self_toggled() */
+	is handled by toggled() signal caught in self_toggled() */
 	UnicodeSearch* m_searchDialog;
 
 	/* \brief Hold cache timer.
diff --git a/scribus/upgradechecker.cpp b/scribus/upgradechecker.cpp
index e1bf793517..d3a65d485b 100644
--- a/scribus/upgradechecker.cpp
+++ b/scribus/upgradechecker.cpp
@@ -158,7 +158,7 @@ bool UpgradeChecker::process()
 			uint verMinor = verAStripped.section('.', 1, 1).toInt();
 			uint verRevsion1 = verAStripped.section('.', 2, 2).toInt();
 			uint verRevsion2 = verAStripped.section('.', 3, 3).toInt();
-			//If we found a release whe a user is running an old CVS version
+			//If we found a release when a user is running an old CVS version
 			if (verMajor == major && verMinor == minor && verRevsion1 == m_patchLevel && verRevsion2 == m_versionSuffix && m_isSVN && !verIsCVS && !m_updates.contains(verA))
 				newVersion = true;
 			else if (!(verMajor == major && verMinor == minor && verRevsion1 == m_patchLevel && verRevsion2 == m_versionSuffix))
diff --git a/scribus/util.h b/scribus/util.h
index 8f074f49fd..aa78771466 100644
--- a/scribus/util.h
+++ b/scribus/util.h
@@ -199,7 +199,7 @@ QString getUniqueName(const QString& name, const STRINGLIST& list)
 /*!
  *\brief
  * check if name exists in list
- * if exist then seprator and numbers are pre/append to name while it will be unique
+ * if exist then separator and numbers are pre/append to name while it will be unique
 */
 void SCRIBUS_API getUniqueName(QString &name, const QStringList& list, const QString& separator = QString(), bool prepend = false);
 
diff --git a/scribus/util_file.h b/scribus/util_file.h
index a2551d897e..fc80663337 100644
--- a/scribus/util_file.h
+++ b/scribus/util_file.h
@@ -47,14 +47,14 @@ bool SCRIBUS_API copyFileAtomic(const QString& source, const QString& target);
    *
    * @param  source the source file
    * @param  target the target filter
-   * @return true on success, false on failre.
+   * @return true on success, false on failure.
 **/
 bool SCRIBUS_API copyFileToFilter(const QString& source, ScStreamFilter& target);
 /**
 * @brief Copy a source file to a data stream
    * @param  source the source file
    * @param  target the target stream
-   * @return true on success, false on failre.
+   * @return true on success, false on failure.
 **/
 bool SCRIBUS_API copyFileToStream(const QString& source, QDataStream& target);
 /**
@@ -65,7 +65,7 @@ bool SCRIBUS_API copyFileToStream(const QString& source, QDataStream& target);
    *
    * @param  source the source file
    * @param  target the target file
-   * @return true on success, false on failre.
+   * @return true on success, false on failure.
 **/
 bool SCRIBUS_API moveFile(const QString& source, const QString& target);
 /**
diff --git a/scribus/util_ghostscript.cpp b/scribus/util_ghostscript.cpp
index a0cb2b1932..d1b7b7c6a4 100644
--- a/scribus/util_ghostscript.cpp
+++ b/scribus/util_ghostscript.cpp
@@ -228,7 +228,7 @@ bool testGSDeviceAvailability( const QString& device )
 	return (proc.exitCode() == 0);
 }
 
-// Return the GhostScript version string, or QString() if it couldn't be retrived.
+// Return the GhostScript version string, or QString() if it couldn't be retrieved.
 QString getGSVersion()
 {
 	QStringList args;
diff --git a/scribus/util_ghostscript.h b/scribus/util_ghostscript.h
index f3b25e9cc2..74588346f9 100644
--- a/scribus/util_ghostscript.h
+++ b/scribus/util_ghostscript.h
@@ -6,7 +6,7 @@ for which a new license (GPL+exception) is in place.
 */
 
 /*!
- * @brief GS utility fucntions
+ * @brief GS utility functions
  * Moved functions written or modified by various people over the time from util.cpp
  * 
  * @author Craig Bradney
diff --git a/scribus/util_math.cpp b/scribus/util_math.cpp
index d687638452..d99bc71a30 100644
--- a/scribus/util_math.cpp
+++ b/scribus/util_math.cpp
@@ -324,7 +324,7 @@ bool regionContainsRect(const QRegion& shape, QRect rect)
 	/*bool oldResult = QRegion(rect).subtracted(shape).isEmpty();*/
 
 	// Code adapted from Qt RectInRegion (cf. qregion.cpp) to detect
-	// if a specific rect is stricly contained in a specific region
+	// if a specific rect is strictly contained in a specific region
 	const QRect *pbox, *pboxEnd;
 	bool partIn(false), partOut(false);
 
-- 
2.31.1

typo.patch (193,962 bytes)   

Issue History

Date Modified Username Field Change
2021-06-07 19:21 luzpaz New Issue
2021-06-07 19:21 luzpaz File Added: typo.patch
2021-06-08 06:13 jghali Assigned To => jghali
2021-06-08 06:13 jghali Status new => resolved
2021-06-08 06:13 jghali Resolution open => fixed
2021-06-08 06:13 jghali Fixed in Version => 1.5.8.svn